<?php
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClase = '../modelo/clases/psicomotor.php';

switch($_REQUEST["accion"])
{	case "Template":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClase;
		$con = new Psicomotor($conex);
		$datos = $con->get(NULL, NULL, NULL, NULL, " idPsicomotor ASC");

		ob_start();
		include ("../vista/capas/psicomotor/plantilla_psicomotor_lista.php");
		$lista_psicomotor = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_psicomotor, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
	case "Listado":
		include $dirClase;  $con = new Psicomotor($conex);
		$datos = $con->get();

		include ("../vista/capas/psicomotor/plantilla_psicomotor_lista.php");

	  break;
	case "Nuevo":
		include $dirClase;  $con = new Psicomotor($conex);
		$html = file_get_contents("../vista/capas/psicomotor/plantilla_psicomotor_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NOMBRE}", "{VALUE_DESCRIPCION}", "{VALUE_MES}", "{VALUE_CATEGORIA}", "{VALUE_MATERIAL}", "{VALUE_POSTURA}", "{VALUE_TECNICA}", "{VALUE_RESPUESTA}");
		$valores = array(" Nueva - Formulario", "", "", "", "", "", "", "", "", "");
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Edicion":
		include $dirClase;  $con = new Psicomotor($conex);
		$idPsicomotor = $_REQUEST["idPsicomotor"];
		$datosPsicomotor = $con->get($idPsicomotor);
		$html = file_get_contents("../vista/capas/psicomotor/plantilla_psicomotor_formulario.html");

		$variable = array("{TITULO_FORMULARIO}", "{INPUT_ID}", "{VALUE_NOMBRE}", "{VALUE_DESCRIPCION}", "{VALUE_MES}", "{VALUE_CATEGORIA}", "{VALUE_MATERIAL}", "{VALUE_POSTURA}", "{VALUE_TECNICA}", "{VALUE_RESPUESTA}");
		$valores = array(" - Editar"
			,"<input type='hidden' id='idPsicomotor' name='idPsicomotor' value='".$idPsicomotor."' />"
			, $datosPsicomotor->getNombre()
			, $datosPsicomotor->getDescripcion()
			, $datosPsicomotor->getMes()
			, $datosPsicomotor->getCategoria()
			, $datosPsicomotor->getMaterial()
			, $datosPsicomotor->getPostura()
			, $datosPsicomotor->getTecnica()
			, $datosPsicomotor->getRespuesta());
		$html = $con->getFuncion()->replace_form($html, $variable, $valores);

		echo $html;
	  break;
	case "Guardar":
		include $dirClase;
		$con = new Psicomotor($conex);

		if(isset($_REQUEST["idPsicomotor"]))
			$con->setIdPsicomotor($_REQUEST["idPsicomotor"]);

		$con->setNombre($_REQUEST["nombre"]);
		$con->setDescripcion($_REQUEST["descripcion"]);
		$con->setMes($_REQUEST["mes"]);
		$con->setCategoria($_REQUEST["categoria"]);
		$con->setMaterial($_REQUEST["material"]);
		$con->setPostura($_REQUEST["postura"]);
		$con->setTecnica($_REQUEST["tecnica"]);
		$con->setRespuesta($_REQUEST["respuesta"]);
		
		$con->guardar();
	  break;
	case "Eliminar":
		include $dirClase;  $con = new Psicomotor($conex);
		$con->setIdPsicomotor($_REQUEST["idPsicomotor"]);

		$con->eliminar();
	  break;
}
$Conexion->desconectar();

?>