<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Financiamiento
{	private $idFinanciamiento = 0; 
	private $nombre; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdFinanciamiento($idFinanciamiento)
	{	$this->idFinanciamiento = $idFinanciamiento;	} 
	public function setNombre($nombre)
	{	$this->nombre = $nombre;	} 

	//GETS
	public function getIdFinanciamiento()
	{	return $this->idFinanciamiento;	} 
	public function getNombre()
	{	return $this->nombre;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idFinanciamiento == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO m_financiamiento (nombre)
			VALUES('".$this->nombre."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE m_financiamiento 
			SET nombre = '".$this->nombre."'
			WHERE idFinanciamiento = '".$this->idFinanciamiento."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM m_financiamiento ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Financiamiento($this->conex);
				$objeto->setIdFinanciamiento($row['idFinanciamiento']);
				$objeto->setNombre($row['nombre']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM m_financiamiento WHERE idFinanciamiento='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Financiamiento($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdFinanciamiento($datos[0]['idFinanciamiento']);
				$objeto->setNombre($datos[0]['nombre']);
			}
			return $objeto;
		}
	}
    
    public function getOption($id = NULL)
    {   $datos = $this->get();
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getIdFinanciamiento())?"selected='selected'":"";
			$opciones .= " value='".$row->getIdFinanciamiento()."'>";
			$opciones .= htmlentities($row->getNombre());
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM m_financiamiento WHERE idFinanciamiento='".$this->idFinanciamiento."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>