<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class M_Triaje
{	private $id = 0; 
	private $descripcion; 
	private $nombreCorto; 
	private $simbolo; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()                              	{	return $this->conexion;	}
	public function getFuncion()                               	{	return new Funciones();	}

	//SETS
	public function setId($id)                                 	{	$this->id = $id;	} 
	public function setDescripcion($descripcion)               	{	$this->descripcion = $descripcion;	} 
	public function setNombreCorto($nombreCorto)               	{	$this->nombreCorto = $nombreCorto;	} 
	public function setSimbolo($simbolo)                       	{	$this->simbolo = $simbolo;	} 

	//GETS
	public function getId()                                    	{	return $this->id;	} 
	public function getDescripcion()                           	{	return $this->descripcion;	} 
	public function getNombreCorto()                           	{	return $this->nombreCorto;	} 
	public function getSimbolo()                               	{	return $this->simbolo;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->id == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO m_triaje (descripcion, nombreCorto, simbolo)
			VALUES('".$this->descripcion."', '".$this->nombreCorto."', '".$this->simbolo."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE m_triaje 
			SET descripcion = '".$this->descripcion."', nombreCorto = '".$this->nombreCorto."', 
				simbolo = '".$this->simbolo."' WHERE id = '".$this->id."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM m_triaje ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new M_Triaje($this->conex);
				$objeto->setId($row['id']);
				$objeto->setDescripcion($row['descripcion']);
				$objeto->setNombreCorto($row['nombreCorto']);
				$objeto->setSimbolo($row['simbolo']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM m_triaje WHERE id='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new M_Triaje($this->conex);
			if(count($datos)>0)
			{	$objeto->setId($datos[0]['id']);
				$objeto->setDescripcion($datos[0]['descripcion']);
				$objeto->setNombreCorto($datos[0]['nombreCorto']);
				$objeto->setSimbolo($datos[0]['simbolo']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM m_triaje WHERE id='".$this->id."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>