<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/m_etnia.php';
include_once '../modelo/clases/financiamiento.php';
include_once '../modelo/clases/sector.php';
include_once '../modelo/clases/ubigeo.php';
class Persona
{	private $idPersona = 0;
    private $cod_2000; 
	private $historiaClinica; 
	private $dni; 
	private $cnv; 
    private $codigoSis;
	private $paterno; 
	private $materno; 
	private $nombre; 
	private $fechaNacimiento; 
	private $sexo; 
	private $dniResponsable; 
	private $paternoResponsable; 
	private $maternoResponsable; 
	private $nombreResponsable;
    private $tipoResponsable = 4;
    private $edadGestacional = 0;
    private $pesoNacimiento = 0;
    private $tallaNacimiento = 0;
    private $perimetroCefalicoNacimiento = 0;
    private $idSector = 0;  
    private $direccion;  
    private $idEtnia = 0;
    private $idFinanciamiento = 1;
    private $localidad;
    private $idUbigeoDireccion = 0;
    private $idUbigeoNacimiento = 0;
    private $telefono;
    private $telefono2;
    private $idPrograma = 6; 
	private $fechaRegistro;  
	private $fechaActualizacion; 
	private $dniValido; 
    
    private $etnia;
    private $financiamiento;
    private $sector;
    private $ubigeoDireccion;
    private $ubigeoNacimiento;
    
	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
        $this->etnia = new Etnia($con);
        $this->financiamiento = new Financiamiento($con);
        $this->ubigeoDireccion = new Ubigeo($con);
        $this->sector = new Sector($con);
        $this->ubigeoNacimiento = new Ubigeo($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
    public function setEtnia($etnia)                                	{	$this->etnia = $etnia;	}
    public function setFinanciamiento($financiamiento)              	{	$this->financiamiento = $financiamiento;	}
    public function setSector($sector)                              	{	$this->sector = $sector;	}
    public function setUbigeoDireccion($ubigeoDireccion)               	{	$this->ubigeoDireccion = $ubigeoDireccion;	}
    public function setUbigeoNacimiento($ubigeoNacimiento)          	{	$this->ubigeoNacimiento = $ubigeoNacimiento;	}
    
	public function setIdPersona($idPersona)                            {	$this->idPersona = $idPersona;	} 
	public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	} 
	public function setHistoriaClinica($historiaClinica)               	{	$this->historiaClinica = $historiaClinica;	} 
	public function setDni($dni)                                       	{	$this->dni = $dni;	}
    public function setCnv($cnv)                                       	{	$this->cnv = $cnv;	}
    public function setCodigoSis($codigoSis)                        	{	$this->codigoSis = $codigoSis;	} 
	public function setPaterno($paterno)                               	{	$this->paterno = $paterno;	} 
	public function setMaterno($materno)                               	{	$this->materno = $materno;	} 
	public function setNombre($nombre)                                 	{	$this->nombre = $nombre;	} 
	public function setFechaNacimiento($fechaNacimiento)               	{	$this->fechaNacimiento = $fechaNacimiento;	} 
	public function setSexo($sexo)                                     	{	$this->sexo = $sexo;	} 
	public function setDniResponsable($dniResponsable)                 	{	$this->dniResponsable = $dniResponsable;	} 
	public function setPaternoResponsable($paternoResponsable)         	{	$this->paternoResponsable = $paternoResponsable;	} 
	public function setMaternoResponsable($maternoResponsable)          {	$this->maternoResponsable = $maternoResponsable;	} 
	public function setNombreResponsable($nombreResponsable)           	{	$this->nombreResponsable = $nombreResponsable;	}
    public function setTipoResponsable($tipoResponsable)            	{	$this->tipoResponsable = ($tipoResponsable=="")?0:$tipoResponsable;	}
    public function setEdadGestacional($edadGestacional)            	{	$this->edadGestacional = ($edadGestacional=="")?0:$edadGestacional;	}
    public function setPesoNacimiento($pesoNacimiento)              	{	$this->pesoNacimiento = ($pesoNacimiento=="")?0:$pesoNacimiento;	}
    public function setTallaNacimiento($tallaNacimiento)            	{	$this->tallaNacimiento = ($tallaNacimiento=="")?0:$tallaNacimiento;	}
    public function setPerimetroCefalicoNacimiento($perimetroCefalicoNacimiento)
                                                                        {	$this->perimetroCefalicoNacimiento = ($perimetroCefalicoNacimiento=="")?0:$perimetroCefalicoNacimiento;	}
    public function setIdSector($idSector)                          	{	$this->idSector = $idSector;	}
    public function setDireccion($direccion)                        	{	$this->direccion = $direccion;	}
    public function setIdEtnia($idEtnia)                            	{	$this->idEtnia = $idEtnia;	}
    public function setIdFinanciamiento($idFinanciamiento)          	{	$this->idFinanciamiento = ($idFinanciamiento=="")?0:$idFinanciamiento;	}
    public function setLocalidad($localidad)                        	{	$this->localidad = $localidad;	}
    public function setIdUbigeoDireccion($idUbigeoDireccion)        	{	$this->idUbigeoDireccion = $idUbigeoDireccion;	}
    public function setIdUbigeoNacimiento($idUbigeoNacimiento)      	{	$this->idUbigeoNacimiento = ($idUbigeoNacimiento=="")?0:$idUbigeoNacimiento;	}
    public function setTelefono($telefono)                          	{	$this->telefono = $telefono;	}
    public function setTelefono2($telefono2)                          	{	$this->telefono2 = $telefono2;	}
    public function setIdPrograma($idPrograma)                          {	$this->idPrograma = $idPrograma;	} 
	public function setFechaRegistro($fechaRegistro)               	    {	$this->fechaRegistro = $fechaRegistro;	}  
	public function setFechaActualizacion($fechaActualizacion)          {	$this->fechaActualizacion = $fechaActualizacion;	} 
	public function setDniValido($dniValido)                            {	$this->dniValido = $dniValido;	} 
    
	//GETS
    public function getEtnia()                      	{	return $this->etnia;	}
    public function getFinanciamiento()             	{	return $this->financiamiento;	}
    public function getSector()                     	{	return $this->sector;	}
    public function getUbigeoDireccion()            	{	return $this->ubigeoDireccion;	}
    public function getUbigeoNacimiento()               {	return $this->ubigeoNacimiento;	}
    
	public function getIdPersona()                      {	return $this->idPersona;	}
	public function getCod_2000()                      	{	return $this->cod_2000;	}
	public function getHistoriaClinica()               	{	return $this->historiaClinica;	} 
	public function getDni()                           	{	return $this->dni;	} 
    public function getCnv()                            {	return $this->cnv;	}
    public function getCodigoSis()                  	{	return $this->codigoSis;	} 
	public function getPaterno()                       	{	return $this->paterno;	} 
	public function getMaterno()                       	{	return $this->materno;	} 
	public function getNombre()                        	{	return $this->nombre;	} 
	public function getFechaNacimiento()               	{	return $this->fechaNacimiento;	} 
	public function getSexo()                          	{	return $this->sexo;	} 
	public function getDniResponsable()                	{	return $this->dniResponsable;	} 
	public function getPaternoResponsable()            	{	return $this->paternoResponsable;	} 
	public function getMaternoResponsable()            	{	return $this->maternoResponsable;	} 
	public function getNombreResponsable()             	{	return $this->nombreResponsable;	}
    public function getTipoResponsable()            	{	return $this->tipoResponsable;	}
    public function getEdadGestacional()            	{	return $this->edadGestacional;	}
    public function getPesoNacimiento()             	{	return $this->pesoNacimiento;	}
    public function getTallaNacimiento()            	{	return $this->tallaNacimiento;	}
    public function getPerimetroCefalicoNacimiento()    {	return $this->perimetroCefalicoNacimiento;	}
    public function getDireccion()                  	{	return $this->direccion;	}
    public function getIdSector()                   	{	return $this->idSector;	}
    public function getIdEtnia()                    	{	return $this->idEtnia;	}
    public function getIdFinanciamiento()           	{	return $this->idFinanciamiento;	}
    public function getLocalidad()                  	{	return $this->localidad;	}
    public function getIdUbigeoDireccion()          	{	return $this->idUbigeoDireccion;	}
    public function getIdUbigeoNacimiento()         	{	return $this->idUbigeoNacimiento;	}
    public function getTelefono()                   	{	return $this->telefono;	}
    public function getTelefono2()                   	{	return $this->telefono2;	}
    public function getIdPrograma()                     {	return $this->idPrograma;	}
	public function getFechaRegistro()                  {	return $this->fechaRegistro;	}  
	public function getFechaActualizacion()             {	return $this->fechaActualizacion;	}
	public function getDniValido()                      {	return $this->dniValido;	} 
    
    public function getPrimerNombre()
    {   $nom = explode(" ",$this->nombre,2);
        return $nom[0];  }
    public function getSegundoNombre()
    {   $nom = explode(" ",$this->nombre,2);
        if(count($nom)>1)
            return str_replace($nom[0],"", $this->nombre);    
        else
            return "";
    }
    public function getNombreCompleto()
    {   return ($this->paterno." ".$this->materno.", ".$this->getPrimerNombre());    }
    public function getNombreCorto()
    {   return ($this->getPrimerNombre()." ".$this->paterno);    }
    public function getNombreCortoPlus()
    {   $materno = $this->materno;
        return ($this->getPrimerNombre()." ".$this->paterno." ".$materno[0].".");    }
    public function getSexoDescripcion()
    {   return ($this->sexo=="M")?"Masculino":(($this->sexo=="F")?"Femenino":"");    }
    
    public function getPrimerNombreResponsable()
    {   $nom = explode(" ",$this->nombreResponsable,2);
        return $nom[0];  }
    public function getNombreCompletoResponsable()
    {   return ($this->paternoResponsable." ".$this->maternoResponsable.", ".$this->getPrimerNombreResponsable());    }
    public function getNombreCortoResponsable()
    {   return ($this->getPrimerNombreResponsable()." ".$this->paternoResponsable);    }
    public function getNombrePrograma()
    {   $datos = array("1"=>"PIN", "2"=>"PVL", "3"=>"CUNA+", "4"=>"JUNTOS", "5"=>"OTROS", "6"=>"NINGUNO");
        return ($datos[$this->idPrograma]);    }
    public function getEdadAnio($fechaActual = 0)
    {   $fechaActual = ($fechaActual==0)?date("Y-m-d",time()):$fechaActual;
        $edad = $this->getFuncion()->calculo_edad($this->fechaNacimiento,$fechaActual, "ANIOS");
        return $edad[1];        
    }

	//METODOS GUARDAR
	public function guardar()
	{	($this->idPersona == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO sin_nino.nino (cod_2000, historiaClinica, dni, cnv, codigoSis, paterno, materno, nombre, fechaNacimiento, sexo, dniResponsable, paternoResponsable, maternoResponsable, nombreResponsable, tipoResponsable, edadGestacional, pesoNacimiento, tallaNacimiento, perimetroCefalicoNacimiento, idSector, direccion, idEtnia, idFinanciamiento, localidad, idUbigeoDireccion, idUbigeoNacimiento, telefono, telefono2, idPrograma, dniValido)
			VALUES('".$this->cod_2000."', '".$this->historiaClinica."', '".$this->dni."', '".$this->cnv."', '".$this->codigoSis."', '".$this->paterno."', '".$this->materno."', '".$this->nombre."', '".$this->fechaNacimiento."', '".$this->sexo."', '".$this->dniResponsable."', '".$this->paternoResponsable."', '".$this->maternoResponsable."', '".$this->nombreResponsable."', '".$this->tipoResponsable."', '".$this->edadGestacional."', '".$this->pesoNacimiento."', '".$this->tallaNacimiento."', '".$this->perimetroCefalicoNacimiento."', '".$this->idSector."', '".$this->direccion."', '".$this->idEtnia."', '".$this->idFinanciamiento."', '".$this->localidad."', '".$this->idUbigeoDireccion."', '".$this->idUbigeoNacimiento."', '".$this->telefono."', '".$this->telefono2."', '".$this->idPrograma."', '".$this->dniValido."')";
        //echo "<br />".$consulta."<br />";
        $this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE sin_nino.nino 
			SET cod_2000 = '".$this->cod_2000."', 
				historiaClinica = '".$this->historiaClinica."', 	    dni = '".$this->dni."', cnv = '".$this->cnv."', 
				codigoSis = '".$this->codigoSis."', 				    paterno = '".$this->paterno."', 
				materno = '".$this->materno."',     				    nombre = '".$this->nombre."', 
				fechaNacimiento = '".$this->fechaNacimiento."',		    sexo = '".$this->sexo."', 
				dniResponsable = '".$this->dniResponsable."', 		    paternoResponsable = '".$this->paternoResponsable."', 
				maternoResponsable = '".$this->maternoResponsable."',	nombreResponsable = '".$this->nombreResponsable."', 
                tipoResponsable = '".$this->tipoResponsable."', 		edadGestacional = '".$this->edadGestacional."', 
				pesoNacimiento = '".$this->pesoNacimiento."', 			tallaNacimiento = '".$this->tallaNacimiento."', 
				perimetroCefalicoNacimiento = '".$this->perimetroCefalicoNacimiento."',  idSector = '".$this->idSector."',
                direccion = '".$this->direccion."',                     idEtnia = '".$this->idEtnia."',
                idFinanciamiento = '".$this->idFinanciamiento."',       localidad = '".$this->localidad."',
                idUbigeoDireccion = '".$this->idUbigeoDireccion."',     idUbigeoNacimiento = '".$this->idUbigeoNacimiento."',
                telefono = '".$this->telefono."', telefono2 = '".$this->telefono2."', idPrograma = '".$this->idPrograma."', fechaActualizacion = '".$this->fechaActualizacion."', 
                dniValido = '".$this->dniValido."'            			
            WHERE idNino = '".$this->idPersona."'";
		//echo "<br />".$consulta."<br />";
        $this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
            $orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM sin_nino.nino ".$condicion.$orden.$limite;
            $datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Persona($this->conex);
				$objeto->setIdPersona($row['idNino']);
                $objeto->setCod_2000($row['cod_2000']);
				$objeto->setHistoriaClinica($row['historiaClinica']);
				$objeto->setDni($row['dni']);
				$objeto->setCnv($row['cnv']);
                $objeto->setCodigoSis($row['codigoSis']);
				$objeto->setPaterno($row['paterno']);
				$objeto->setMaterno($row['materno']);
				$objeto->setNombre($row['nombre']);
				$objeto->setFechaNacimiento($row['fechaNacimiento']);
				$objeto->setSexo($row['sexo']);
				$objeto->setDniResponsable($row['dniResponsable']);
				$objeto->setPaternoResponsable($row['paternoResponsable']);
				$objeto->setMaternoResponsable($row['maternoResponsable']);
				$objeto->setNombreResponsable($row['nombreResponsable']);
                $objeto->setTipoResponsable($row['tipoResponsable']);
                $objeto->setEdadGestacional($row['edadGestacional']);
                $objeto->setPesoNacimiento($row['pesoNacimiento']);
                $objeto->setTallaNacimiento($row['tallaNacimiento']);
                $objeto->setPerimetroCefalicoNacimiento($row['perimetroCefalicoNacimiento']);
                $objeto->setIdSector($row['idSector']);
                $objeto->setDireccion($row['direccion']);
                $objeto->setIdEtnia($row['idEtnia']);
                $objeto->setIdFinanciamiento($row['idFinanciamiento']);
                $objeto->setLocalidad($row['localidad']);
                $objeto->setIdUbigeoDireccion($row['idUbigeoDireccion']);
                $objeto->setIdUbigeoNacimiento($row['idUbigeoNacimiento']);
                $objeto->setTelefono($row['telefono']);
                $objeto->setTelefono2($row['telefono2']);
                $objeto->setIdPrograma($row['idPrograma']);
                $objeto->setDniValido($row['dniValido']);
                
                if($row['idUbigeoDireccion']>0) $objeto->setUbigeoDireccion($this->ubigeoDireccion->get($row['idUbigeoDireccion']));
                if($row['idFinanciamiento']>0) $objeto->setFinanciamiento($this->financiamiento->get($row['idFinanciamiento']));
                if($row['idSector']>0) $objeto->setSector($this->sector->get($row['idSector']));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM sin_nino.nino WHERE idNino='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Persona($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdPersona($datos[0]['idNino']);                
                $objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setHistoriaClinica($datos[0]['historiaClinica']);
				$objeto->setDni($datos[0]['dni']);
				$objeto->setCnv($datos[0]['cnv']);
                $objeto->setCodigoSis($datos[0]['codigoSis']);
				$objeto->setPaterno($datos[0]['paterno']);
				$objeto->setMaterno($datos[0]['materno']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setFechaNacimiento($datos[0]['fechaNacimiento']);
				$objeto->setSexo($datos[0]['sexo']);
				$objeto->setDniResponsable($datos[0]['dniResponsable']);
				$objeto->setPaternoResponsable($datos[0]['paternoResponsable']);
				$objeto->setMaternoResponsable($datos[0]['maternoResponsable']);
				$objeto->setNombreResponsable($datos[0]['nombreResponsable']);
                $objeto->setTipoResponsable($datos[0]['tipoResponsable']);
                $objeto->setEdadGestacional($datos[0]['edadGestacional']);
                $objeto->setPesoNacimiento($datos[0]['pesoNacimiento']);
                $objeto->setTallaNacimiento($datos[0]['tallaNacimiento']);
                $objeto->setPerimetroCefalicoNacimiento($datos[0]['perimetroCefalicoNacimiento']);
                $objeto->setIdSector($datos[0]['idSector']);
                $objeto->setDireccion($datos[0]['direccion']);
                $objeto->setIdEtnia($datos[0]['idEtnia']);
                $objeto->setIdFinanciamiento($datos[0]['idFinanciamiento']);
                $objeto->setLocalidad($datos[0]['localidad']);
                $objeto->setIdUbigeoDireccion($datos[0]['idUbigeoDireccion']);
                $objeto->setIdUbigeoNacimiento($datos[0]['idUbigeoNacimiento']);
                $objeto->setTelefono($datos[0]['telefono']);
                $objeto->setTelefono2($datos[0]['telefono2']);
                $objeto->setIdPrograma($datos[0]['idPrograma']);
                $objeto->setDniValido($datos[0]['dniValido']);
                
                if($datos[0]['idUbigeoDireccion']>0) $objeto->setUbigeoDireccion($this->ubigeoDireccion->get($datos[0]['idUbigeoDireccion']));
                if($datos[0]['idFinanciamiento']>0) $objeto->setFinanciamiento($this->financiamiento->get($datos[0]['idFinanciamiento']));
                if($datos[0]['idSector']>0) $objeto->setSector($this->sector->get($datos[0]['idSector']));
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM sin_nino.nino WHERE idNino='".$this->idPersona."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
    
    function getOptionResponsable($id = NULL) 
    {
        $datos = array(array("1","MADRE"), array("2","PADRE"), array("3","HIJO"), array("4","OTROS"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }
    
    function getOptionPrograma($id = NULL) 
    {
        $datos = array(array("1","PIN"), array("2","PVL"), array("3","CUNA+"), array("4","JUNTOS"), array("5","OTROS"), array("6","NINGUNO"));
        $opciones = $this->getFuncion()->getOption($datos, $id );
        return $opciones;
    }
}
?>