<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Psicomotor
{	private $idPsicomotor = 0; 
	private $nombre; 
	private $descripcion; 
	private $mes; 
	private $categoria; 
	private $material; 
	private $postura; 
	private $tecnica; 
	private $respuesta; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdPsicomotor($idPsicomotor)
	{	$this->idPsicomotor = $idPsicomotor;	} 
	public function setNombre($nombre)
	{	$this->nombre = $nombre;	} 
	public function setDescripcion($descripcion)
	{	$this->descripcion = $descripcion;	} 
	public function setMes($mes)
	{	$this->mes = $mes;	} 
	public function setCategoria($categoria)
	{	$this->categoria = $categoria;	} 
	public function setMaterial($material)
	{	$this->material = $material;	} 
	public function setPostura($postura)
	{	$this->postura = $postura;	} 
	public function setTecnica($tecnica)
	{	$this->tecnica = $tecnica;	} 
	public function setRespuesta($respuesta)
	{	$this->respuesta = $respuesta;	} 

	//GETS
	public function getIdPsicomotor()
	{	return $this->idPsicomotor;	} 
	public function getNombre()
	{	return $this->nombre;	} 
	public function getDescripcion()
	{	return $this->descripcion;	} 
	public function getMes()
	{	return $this->mes;	} 
	public function getCategoria()
	{	return $this->categoria;	} 
	public function getMaterial()
	{	return $this->material;	} 
	public function getPostura()
	{	return $this->postura;	} 
	public function getTecnica()
	{	return $this->tecnica;	} 
	public function getRespuesta()
	{	return $this->respuesta;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idPsicomotor == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO psicomotor (nombre, descripcion, mes, categoria, material, postura, tecnica, respuesta)
			VALUES('".$this->nombre."', '".$this->descripcion."', '".$this->mes."', '".$this->categoria."', '".$this->material."', '".$this->postura."', '".$this->tecnica."', '".$this->respuesta."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE psicomotor 
			SET nombre = '".$this->nombre."', 
				descripcion = '".$this->descripcion."', 
				mes = '".$this->mes."', 
				categoria = '".$this->categoria."', 
				material = '".$this->material."', 
				postura = '".$this->postura."', 
				tecnica = '".$this->tecnica."', 
				respuesta = '".$this->respuesta."'
			WHERE idPsicomotor = '".$this->idPsicomotor."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM psicomotor ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Psicomotor($this->conex);
				$objeto->setIdPsicomotor($row['idPsicomotor']);
				$objeto->setNombre($row['nombre']);
				$objeto->setDescripcion($row['descripcion']);
				$objeto->setMes($row['mes']);
				$objeto->setCategoria($row['categoria']);
				$objeto->setMaterial($row['material']);
				$objeto->setPostura($row['postura']);
				$objeto->setTecnica($row['tecnica']);
				$objeto->setRespuesta($row['respuesta']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM psicomotor WHERE idPsicomotor='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Psicomotor($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdPsicomotor($datos[0]['idPsicomotor']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setDescripcion($datos[0]['descripcion']);
				$objeto->setMes($datos[0]['mes']);
				$objeto->setCategoria($datos[0]['categoria']);
				$objeto->setMaterial($datos[0]['material']);
				$objeto->setPostura($datos[0]['postura']);
				$objeto->setTecnica($datos[0]['tecnica']);
				$objeto->setRespuesta($datos[0]['respuesta']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM psicomotor WHERE idPsicomotor='".$this->idPsicomotor."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}