<?php  session_start();
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$consulta = "SELECT * FROM parametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);
foreach($datosP AS $item)
    $parametro[$item["nombre"]] = $item["valor"];

$fechaAtencion = (isset($_REQUEST["fechaAtencion1"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion1"]):date("Y-m-d", time());
$fechaAtencion2 = (isset($_REQUEST["fechaAtencion2"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion2"]):date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 

$consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre
       , ni.dni, ni.historiaClinica, ni.pesoNacimiento
       , ni.sexo , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio, obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes
	   , obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia, obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion) as meses
       , nc.numeroControl AS numCtrl, nc.peso, nc.talla, nc.perimetroCefalico
       , nc.lme, nc.consejeriaNutricional, nc.estimulacion, nc.pesoEdad, nc.tallaEdad, nc.tallaPeso
       , nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento, ni.idEtnia, ni.idFinanciamiento
       , ub.distrito, ni.idNino, nc.idRegla
    FROM nino_cred AS nc
    	INNER JOIN nino AS ni ON ni.idNino=nc.idNino
        LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
    WHERE fechaAtencion>='".$fechaAtencion."' AND fechaAtencion<='".$fechaAtencion2."' AND idResponsable='".$_SESSION["idUsuario"]."' AND estado='1' 
    ORDER BY nc.fechaAtencion ASC";
$datosNC = $conC->datosTabla($consulta);

$datosU = $conU->get($_SESSION["idUsuario"]);
$nombre = array("GiP"=>"Ganancia Inadecuada de Peso", "DA"=>"Desnutricin Aguda", "SP"=>"Sobrepeso"
            , "GiT"=>"Ganancia Inadecuada de Talla", "TA"=>"Talla Alta", "TB"=>"Desnutricin Crnica"
            , "TS"=>"Desnutricin Crnica", "DS"=>"Desnutricin Severa", "OB"=>"Obesidad");
$codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
            , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669");
$meses = array("01"=>"Ene", "02"=>"Feb", "03"=>"Mar", "04"=>"Abr", "05"=>"May", "06"=>"Jun", "07"=>"Jul", "08"=>"Ago", "09"=>"Sep", "10"=>"Oct", "11"=>"Nov", "12"=>"Dic");

$arrayPR = array("nombre"=>"", "p"=>"P", "d"=>"D", "r"=>"R", "lab"=>"PR", "codigo"=>"");

/** PHPExcel_IOFactory */
require_once '../modelo/clases/Classes_Excel/PHPExcel/IOFactory.php';



$objPHPExcel = PHPExcel_IOFactory::load("FORMATO_HIS_MIS_DIARIO.xls");
//$objPHPExcel = new PHPExcel();

$objPHPExcel->getActiveSheet("hoja1");

$objPHPExcel->getActiveSheet()->setCellValue('B8', substr($anio,2,2));
$objPHPExcel->getActiveSheet()->setCellValue('C8', $meses[$mes]);
$objPHPExcel->getActiveSheet()->setCellValue('D8', $parametro["NOMBREESTABLECIMIENTO"]);

$objPHPExcel->getActiveSheet()->setCellValue('O8', $datosU->getDni()." - ".$datosU->getPaterno());


$i=15;      $iii = 0;   $ij = 0;    $id = 0;    $serie = 15;
$renglones = 0; $band=0;
foreach($datosNC as $item)
{   $datosR = $conR->get($item["idRegla"]);
    $diag = array();  
    $temp = array("nombre"=>"CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$item["numCtrl"], "codigo"=>"Z001");
    $diag[] = $temp; 
                
    if($item["meses"]==0 AND $item["numCtrl"]==1)
    {   $temp = array("nombre"=>"RN Extremadamente bajo", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P070");
        if($item["pesoNacimiento"]>=1)
            $temp = array("nombre"=>"RN Muy bajo peso al nacer", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P0711");
        if($item["pesoNacimiento"]>=1.5)
            $temp = array("nombre"=>"RN bajo peso al nacer", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P0712");
        if($item["pesoNacimiento"]>=2.5)
            $temp = array("nombre"=>"RN Normal", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z006");
        if($item["pesoNacimiento"]>=4)
            $temp = array("nombre"=>"RN Macrosmico", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P080");
        $diag[] = $temp;
    }
                
    $bandZ = 1;
        $cond = "idNino='".$item["idNino"]."';;fechaAtencion<'".$item["fechaAtencion"]."'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");                 
    $nom = $item["pesoEdad"]; $p = "P"; $d = "D"; $r = "R"; $lab = "PE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getPesoEdad():"";
    if($item["pesoEdad"]!="N")
    {   if($nom=="GiP")     {   if($nomA=="GiP")    $r="-R-";   else    $d="-D-";    
        }elseif($nom=="DA") {   if($nomA=="DA")     $r="-R-";   else    $d="-D-";    
        }elseif($nom=="SP") {   if($nomA=="SP")     $r="-R-";   else    $d="-D-";       
        }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom]);
        $diag[] = $temp;    $bandZ = 0;                    
    }elseif($nomA!="N" and $nomA!="")
    {   $temp = array("nombre"=>$nombre[$nomA], "p"=>$p, "d"=>$d, "r"=>"-R-", "lab"=>$lab, "codigo"=>$codigo[$nomA]);                    
        $diag[] = $temp;    $temp = $arrayPR;   $bandZ = 0;     $diag[] = $temp;    }
                
    $nom = $item["tallaEdad"]; $p = "P"; $d = "D"; $r = "R"; $lab = "TE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaEdad():"";                    
    if($item["tallaEdad"]!="N")
    {   if($nom=="GiT")     {   if($nomA=="GiT")    $r="-R-";   else    $d="-D-";                             
        }elseif($nom=="TB" or $nom=="TS") {   if($nomA=="TB" or $nomA=="TS")     $r="-R-";   else    $d="-D-";                    
        }elseif($nom=="TA") {   if($nomA=="TA")     $r="-R-";   else    $d="-D-";                        
        }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom]);
        $diag[] = $temp;    $bandZ = 0;                    
    }elseif($nomA!="N" and $nomA!="")
    {   $temp = array("nombre"=>$nombre[$nomA], "p"=>$p, "d"=>$d, "r"=>"-R-", "lab"=>$lab, "codigo"=>$codigo[$nomA]);
        $diag[] = $temp;    $temp = $arrayPR;   $bandZ = 0;     $diag[] = $temp;    }                
                
                $nom = $item["tallaPeso"]; $p = "P"; $d = "D"; $r = "R"; $lab = "TP"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaPeso():"";
                if($nom!="N")
                {   if($nom=="DA")      {   if($nomA=="DA")    $r="-R-";   else    $d="-D-";
                    }elseif($nom=="DS") {   if($nomA=="DS")    $r="-R-";   else    $d="-D-";
                    }elseif($nom=="SP") {   if($nomA=="SP")    $r="-R-";   else    $d="-D-";
                    }elseif($nom=="OB") {   if($nomA=="OB")    $r="-R-";   else    $d="-D-";                        
                    }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom]);
                    $diag[] = $temp;    $bandZ = 0;                    
                }elseif($nomA!="N" and $nomA!="")
                {   $temp = array("nombre"=>$nombre[$nomA], "p"=>$p, "d"=>$d, "r"=>"-R-", "lab"=>$lab, "codigo"=>$codigo[$nomA]);
                    $diag[] = $temp;    $temp = $arrayPR;   $bandZ = 0;     $diag[] = $temp;
                }
                
                if($bandZ == 1) /* NIO NORMAL EN CONTROL ACTUAL */
                {   $temp = array("nombre"=>"Normal", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z006");
                    $diag[] = $temp;      
                }  
                
                $query ="SELECT re.descripcion FROM nino_psicomotor AS np
                        INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
                    WHERE np.fechaAtencion='".$item["fechaAtencion"]."' AND  np.idNino='".$item["idNino"]."' AND np.estado!='ED'
                    GROUP BY re.descripcion";
                $datosNP = $conC->datosTabla($query);
                $query ="SELECT re.descripcion FROM nino_psicomotor AS np
                        INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
                    WHERE np.fechaAtencion<'".$item["fechaAtencion"]."' AND  np.idNino='".$item["idNino"]."'
                    GROUP BY re.descripcion ORDER BY np.fechaAtencion DESC LIMIT 1";                    
                $datosNPA = $conC->datosTabla($query);  $d="D"; $r = "R";
                if(count($datosNP)>0)
                {   if(count($datosNPA)>0)
                    {   if($datosNPA[0]["descripcion"]=="ED")      $d = "-D-";
                        else                                       $r = "-R-";                        
                    }
                    else                        $d = "-D-";
                    
                    if(count($datosNP)>1)
                        $temp = array("nombre"=>"Dficit del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>"", "codigo"=>"F83X");
                    else
                        if($item["meses"]>35)
                            $temp = array("nombre"=>"Dficit del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNP[0]["descripcion"], "codigo"=>"F82X");
                        else
                            $temp = array("nombre"=>" Trastorno del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNP[0]["descripcion"], "codigo"=>"F82X");                    
                }
                else
                {   if(count($datosNPA)>0)
                    {   if($datosNPA[0]["descripcion"]=="ED")
                            $temp = array("nombre"=>"Normal", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>"ED", "codigo"=>"Z006");
                        else
                        {   $temp = array("nombre"=>"Trastorno del Desarrollo", "p"=>"P", "d"=>"D", "r"=>"-R-", "lab"=>$datosNPA[0]["descripcion"], "codigo"=>"F82X");
                            $diag[] = $temp;    $temp = $arrayPR; 
                        }
                               
                    }else
                        $temp = array("nombre"=>"Normal", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>"ED", "codigo"=>"Z006");                    
                }
                   
    $diag[] = $temp;
                
    if($item["lme"]==1 && $item["meses"]==6)
    {   $temp = array("nombre"=>"Lactancia Materna Exclusiva", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z391");
        $diag[] = $temp;
    }
    if($item["lme"]==2 || $item["lme"]==3)
    {   $LabAc = "IA";
        if(count($datosHist)>0)
            if($datosHist[0]->getLme()==2 || $datosHist[0]->getLme()==3)
                $LabAc = ($datosNC[0]["lme"]==2)?"AA":"AI";
        $temp = array("nombre"=>"Alimentaci&oacute;n Complementaria ", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$LabAc, "codigo"=>"Z0017");
        $diag[] = $temp;
    }    
    if($item["consejeriaNutricional"]==1)
    {   $temp = array("nombre"=>"Consejera Nutricional", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$item["numCtrl"], "codigo"=>"99403");
        $diag[] = $temp;
    }
                    
    $query = "SELECT * FROM nino_suplemento AS ns
            WHERE ns.fechaAtencion='".$item["fechaAtencion"]."' AND ns.idNino='".$item["idNino"]."'
            ORDER BY ns.idRegla";
    $datosNS = $conC->datosTabla($query);
    if(count($datosNS)>0)
    {   foreach($datosNS AS $itemNS)
        {   $labS = ""; $labS .= ($itemNS["idRegla"]==10)?"VA":"";
            $labS .= ($itemNS["idRegla"]==11)?"SF":"";   $labS .= ($itemNS["idRegla"]==12)?"ZN":"";
            $labS .= ($itemNS["numeroControl"]!="12")?$itemNS["numeroControl"]:"TA";
                        
            $temp = array("nombre"=>"Administracin Micronutrientes", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$labS, "codigo"=>"Z298");
            if($itemNS["idRegla"]==16)
                $temp = array("nombre"=>"Administracin de Antiparasitario", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$labS, "codigo"=>"Z292");
            $diag[] = $temp;                            
        }                   
    }
                
    $query = "SELECT nt.idReglaTamizaje AS idRegla, max(nt.resultado) as resultado FROM nino_tamizaje AS nt 
            WHERE idNino='".$item["idNino"]."' and nt.fechaAtencion='".$item["fechaAtencion"]."' and idUsuario='".$_SESSION["idUsuario"]."'
            GROUP BY idReglaTamizaje ORDER BY idReglaTamizaje ASC, numeroControl ASC, resultado DESC";
    $datosNT = $conC->datosTabla($query);   $ii = 0;
    if(count($datosNT)>0)
    {   foreach($datosNT AS $itemNT)
        {   $p = "P";   $d = "D";
            if($itemNT["idRegla"]==13)
            {   $p = ($itemNT["resultado"]==0)?"-P-":$p;
                $d = ($itemNT["resultado"]>0)?"-D-":$d;                            
                $temp = array("nombre"=>"Dosaje de Hemoglobina", "p"=>$p, "d"=>$d, "r"=>"R", "lab"=>"", "codigo"=>"85018");
                $diag[] = $temp;    
            }
            else
            {   $ii++;
                $p = ($itemNT["resultado"]==0)?"-P-":$p; 
                $d = ($itemNT["resultado"]>0)?"-D-":$d;
                $temp = array("nombre"=>"Descarte de Parasitosis", "p"=>$p, "d"=>$d, "r"=>"R", "lab"=>"", "codigo"=>"Z119");
                if($ii==1)  $diag[] = $temp;
            }                               
        }                   
    }  
                
    if($item["numCtrl"]==$datosR->getCantidadMaxima())
    {   $temp = array("nombre"=>"Plan de Atencin Integral de Salud", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"TA", "codigo"=>"C8002");
        $diag[] = $temp;
    }
    else
    {   if($item["numCtrl"]==1)
        {   $temp = array("nombre"=>"Plan de Atencin Integral de Salud", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$item["numCtrl"], "codigo"=>"C8002");
            $diag[] = $temp;
        }                    
    }     
    if($item["estimulacion"]>=1)
    {   $temp = array("nombre"=>"Sesin de Estimulacin Temprana", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$item["estimulacion"], "codigo"=>"99411");
        $diag[] = $temp;
    }
    $k = 0; $j = 0; $plantilla = "";      
    $aa = ceil(count($diag)/3);
    $max = ($id==0)?12:13;
    if($ij + $aa >$max)
    {   $i = ($id==0)?($serie+71):($serie+86);
        $serie = $i;
        $id = ($id==0)?1:0;
        $ij=0;
    }    
    $ij += $aa;     $j = $i;
    foreach($diag as $linea)
    {   $k++;     
        if(($j-$i) == 5)  $i = $j;    
        if($k==1)
        {   $objPHPExcel->getActiveSheet()->setCellValue('B'.$i, date("d", strtotime($item["fechaAtencion"])));                     
            $objPHPExcel->getActiveSheet()->setCellValue('C'.$i, $item["historiaClinica"]);           
            $objPHPExcel->getActiveSheet()->setCellValue('C'.($i+2), $item["dni"]);
            $objPHPExcel->getActiveSheet()->setCellValue('D'.($i), $item["idFinanciamiento"]);            
            $objPHPExcel->getActiveSheet()->setCellValue('E'.($i), $item["idEtnia"]);
            $objPHPExcel->getActiveSheet()->setCellValue('F'.($i), $item["distrito"]);            
            
            $objPHPExcel->getActiveSheet()->setCellValue('I'.($i), $conF->calculo_edad($item["fechaNacimiento"], $item["fechaAtencion"]));
            $objPHPExcel->getActiveSheet()->getStyle('J'.(($item["sexo"]=='M')?$i:($i+2)))->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('J'.(($item["sexo"]=='M')?$i:($i+2)))->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            
                $condA = "idNino='".$item["idNino"]."' AND fechaAtencion<'".$fechaAtencion."' ";
            $datosNCA = $conNC->get(NULL, NULL, $condA, 1, "fechaAtencion DESC");
            if(count($datosNCA)>0)
            {   $anioA = date("Y", strtotime($datosNCA[0]->getFechaAtencion()));
                if($anio!=$anioA)     $nca = $i+3;
                else     $nca = $i+1;                
            }
            else    $nca = $i;  
            $objPHPExcel->getActiveSheet()->getStyle('K'.$nca)->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('K'.$nca)->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            $objPHPExcel->getActiveSheet()->getStyle('L'.$nca)->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
            $objPHPExcel->getActiveSheet()->getStyle('L'.$nca)->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
            
            $iii++;
        }                    
        
        $objPHPExcel->getActiveSheet()->setCellValue('N'.($j), utf8_encode($linea["nombre"]));    
        $objPHPExcel->getActiveSheet()->setCellValue('T'.($j), $linea["lab"]);
        $objPHPExcel->getActiveSheet()->setCellValue('U'.($j), $linea["codigo"]);
        if(strlen($linea["p"])>1)   $LTD = "Q";
        if(strlen($linea["d"])>1)   $LTD = "R";
        if(strlen($linea["r"])>1)   $LTD = "S";          
        $objPHPExcel->getActiveSheet()->getStyle($LTD.($j))->getBorders()->setDiagonalDirection(PHPExcel_Style_Borders::DIAGONAL_DOWN );
        $objPHPExcel->getActiveSheet()->getStyle($LTD.($j))->getBorders()->getDiagonal()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
                
//        if($j==3)
//        {   $j=0;                        
//            $aux = $conF->replace_form($aux, $variables, $valores);
//            $plantilla .= $aux;
//        }
        if($i == $j)    $j+=1;
        else            $j+=2;
    } 
                
                
                
    
    
    
    $i+=5;
    if($i>70 && $i<86)   $i = 86;
}

$archivo = "his_CRED_OK";
//
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$archivo.'.xls"');
header('Cache-Control: max-age=0');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  

//header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
//header('Content-Disposition: attachment;filename="'.$segundo.'.xlsx"');
//header('Cache-Control: max-age=0');
//$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output'); 
exit;

?>

