<?php  session_start();
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$fechaAtencion = (isset($_REQUEST["fechaAtencion1"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion1"]):date("Y-m-d", time());
$fechaAtencion2 = (isset($_REQUEST["fechaAtencion2"]))?$conF->getFechaYMD($_REQUEST["fechaAtencion2"]):date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 

$consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre, ni.dni, ni.historiaClinica, ni.sexo 
       , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio, obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes
	   , obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia, obtenerEdad(ni.fechaNacimiento, 4, nc.fechaAtencion) as meses
       , obtenerEdad(fechaNacimiento, 5, nc.fechaAtencion) as regla
       , nc.numeroControl AS numCtrl, nc.peso, nc.talla, nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento
       , ni.idNino, ni.localidad, ni.idFinanciamiento, ub.provincia, ub.distrito, nc.mmnConsumido
    FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
        LEFT JOIN ubigeo AS ub ON ni.idUbigeoDireccion=ub.idUbigeo
    WHERE fechaAtencion>='".$fechaAtencion."' AND fechaAtencion<='".$fechaAtencion2."' AND obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion)<60 
        AND nc.estado='1' ORDER BY nc.fechaAtencion ASC";
$datosNC = $conC->datosTabla($consulta);

$consulta = "SELECT valor FROM parametro WHERE nombre='NOMBREESTABLECIMIENTO'";
$datosE = $conC->datosTabla($consulta); $nombreEsta = (count($datosE)>0)?$datosE[0][0]:'';

$meses = array("01"=>"Ene", "02"=>"Feb", "03"=>"Mar", "04"=>"Abr", "05"=>"May", "06"=>"Jun", "07"=>"Jul", "08"=>"Ago", "09"=>"Sep", "10"=>"Oct", "11"=>"Nov", "12"=>"Dic");

$arrayPR = array("nombre"=>"", "p"=>"P", "d"=>"D", "r"=>"R", "lab"=>"PR", "codigo"=>"");

/** PHPExcel_IOFactory */
require_once '../modelo/clases/Classes_Excel/PHPExcel/IOFactory.php';



$objPHPExcel = PHPExcel_IOFactory::load("FORMATO_SIEN_DIARIO.xls");
//$objPHPExcel = new PHPExcel();

$objPHPExcel->getActiveSheet("hoja1");

$i = $j = 12;
foreach($datosNC as $item)
{   $query = "SELECT nc.idNinoCred, nc.numeroControl, nc.consejeriaNutricional 
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
            WHERE nc.idNino='".$item['idNino']."' AND obtenerEdad(ni.fechaNacimiento, 5, nc.fechaAtencion)='".$item['regla']."'
            	AND nc.fechaAtencion<='".$item['fechaAtencion']."' AND consejeriaNutricional='1'";
    $datosCN = $conC->datosTabla($query);
        
    $consulta = "SELECT nt.resultado, nt.fechaResultado FROM nino_tamizaje AS nt
            WHERE nt.idNino='".$item["idNino"]."' AND idReglaTamizaje='13' AND fechaAtencion='".$item["fechaAtencion"]."'
            AND resultado!='0' LIMIT 1";
    $datosT = $conC->datosTabla($consulta);
    $hemoglobina = "-";     $fechaHemoglobina = "-";
    if(count($datosT)>0)
    {    $hemoglobina = $datosT[0][0];     $fechaHemoglobina = $conF->getFechaDMY($datosT[0][1]);   }
                
    $objPHPExcel->getActiveSheet()->setCellValue('A'.($j), $conF->getFechaDMY($item["fechaAtencion"]));    
    $objPHPExcel->getActiveSheet()->setCellValue('B'.($j), date("W",strtotime($item["fechaAtencion"])));
    $objPHPExcel->getActiveSheet()->setCellValue('D'.($j), $item["dni"]);
    $objPHPExcel->getActiveSheet()->setCellValue('E'.($j), $item["historiaClinica"]);
    $objPHPExcel->getActiveSheet()->setCellValue('F'.($j), ($item["sexo"]=='M')?'X':'');
    $objPHPExcel->getActiveSheet()->setCellValue('G'.($j), ($item["sexo"]=='F')?'X':'');
    $objPHPExcel->getActiveSheet()->setCellValue('H'.($j), $conF->getFechaDMY($item["fechaNacimiento"]));
    $objPHPExcel->getActiveSheet()->setCellValue('I'.($j), $item["meses"]);
    $objPHPExcel->getActiveSheet()->setCellValue('J'.($j), $item["peso"]);
    $objPHPExcel->getActiveSheet()->setCellValue('K'.($j), $item["talla"]);
    $objPHPExcel->getActiveSheet()->setCellValue('L'.($j), $hemoglobina);
    $objPHPExcel->getActiveSheet()->setCellValue('M'.($j), $fechaHemoglobina);
    $objPHPExcel->getActiveSheet()->setCellValue('N'.($j), $item["numCtrl"]);
    $objPHPExcel->getActiveSheet()->setCellValue('O'.($j), ($item["meses"]>6)?$item["mmnConsumido"]:"-");
    $objPHPExcel->getActiveSheet()->setCellValue('P'.($j), count($datosCN));
    
    $objPHPExcel->getActiveSheet()->setCellValue('S'.($j), ($item["idFinanciamiento"]=="2")?'':'-');
    $objPHPExcel->getActiveSheet()->setCellValue('T'.($j), ($item["idFinanciamiento"]=="2")?"X":'-');
    $objPHPExcel->getActiveSheet()->setCellValue('U'.($j), ($item["idFinanciamiento"]=="2")?'':'-');
    $objPHPExcel->getActiveSheet()->setCellValue('V'.($j), ($item["idFinanciamiento"]=="2")?'':'-');
    $objPHPExcel->getActiveSheet()->setCellValue('W'.($j), $item["provincia"]);
    $objPHPExcel->getActiveSheet()->setCellValue('X'.($j), $item["distrito"]);
    $objPHPExcel->getActiveSheet()->setCellValue('Y'.($j), $item["localidad"]);
          
    $j+=1;
    if($j-$i>=20)
    {   $i = $i + 41;
        $j = $i;
    }    
}
$j = 8;
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+41), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+82), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+123), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+164), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+205), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+246), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+287), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+328), $nombreEsta);
$objPHPExcel->getActiveSheet()->setCellValue('C'.($j+369), $nombreEsta);

$archivo = "his_sien_OK";
//
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="'.$archivo.'.xls"');
header('Cache-Control: max-age=0');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');  

//header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
//header('Content-Disposition: attachment;filename="'.$segundo.'.xlsx"');
//header('Cache-Control: max-age=0');
//$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output'); 
exit;

?>

