<?php
error_reporting(E_ALL);
//
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	

$dirClaseNino = '../modelo/clases/nino.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
include_once $dirClaseNino;     $conN = new Nino($conex);
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
$conF = $conN->getFuncion();   $conC = $conN->getConexion();
$datosN = $conN->get($_REQUEST["idNino"]);

$fechaNacimiento = $datosN->getFechaNacimiento();
$fecha = explode("-",$fechaNacimiento);   $diaN = $fecha[2]; $mesN = $fecha[1]; $anioN = $fecha[0];

$fechaAtencion = $_REQUEST["fechaAtencion"];
$fecha = explode("-",$fechaAtencion);   $dia = $fecha[0]; $mes = $fecha[1]; $anio = $fecha[2]; 
$consulta = "SELECT * FROM parametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);
foreach($datosP AS $item)
    $parametro[$item["nombre"]] = $item["valor"];

$dniRes = "";  $nombreRes = "";  $codigoRes = "";  $codespRes = "";  $especialidadRes = "";
if($_REQUEST["idResponsable"]!='0')
{   $datosU = $conU->get($_REQUEST["idResponsable"]);   
    $dniRes = $datosU->getDni();  $nombreRes = $datosU->getNombreCompleto();  
    $codigoRes = "";  $codespRes = "";  $especialidadRes = "";
}  

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                .center {     text-align: center;}
                .margin_auto {  margin-left: auto; margin-right: auto;  }
                .bo_izq { border-left: 1px solid black; }
                .bo_der { border-right: 1px solid black; }
                .bo_aba { border-bottom: 1px solid black; }
                
            }
            .f4 { font-size: 4px; }   .f5 { font-size: 5px; }
            .f6 { font-size: 6px; }   .f7 { font-size: 7px; }
            .f8 { font-size: 8px; }   .f9 { font-size: 9px; }
            .f10 { font-size: 10px; }   .f11 { font-size: 11px; }
            .f12 { font-size: 12px; }   .f13 { font-size: 13px; }
            .f14 { font-size: 14px; }   .f15 { font-size: 15px; }
            .f16 { font-size: 16px; }   .f17 { font-size: 17px; }
            .f18 { font-size: 18px; }   .f19 { font-size: 19px; }
            .back_color {   background-color: black; color:  white; }
            .back_gris  {   background-color: gainsboro;    }
            .borde { border: 1px solid black;   }
            .fl_der { float:right}  .fl_izq { float:left} .limpiar { clear: both;}
            .fon12 { font-size: 12px;}  .fon11 { font-size: 11px;}
            
        </style>         
     
    </head>
	
    <body style="font-family: sans-serif;">        
        <div class="limpiar"></div>
        <div>
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq" style="margin-right: 8px;">
                    <img src="../img/escudo_peru.jpg" width="40" height="40" />
                </div>
                <div class="fl_izq back_color f19" style="height: 22px; padding: 6px 2px; margin-top: 3px; font-family: fantasy;">
                    <strong>PER</strong>
                </div>
                <div class="fl_izq back_color f18" style="padding: 1px 4px; line-height: 16px; height: 32px; width: 92px; margin-left: 5px; margin-top: 3px;">
                    <strong>Ministerio de Salud</strong>
                </div>
                <div class="fl_izq f18 back_color center" style="padding: 6px 3px; width: 225px; height: 22px; margin-top: 3px; margin-left: 5px;">
                    <strong>Seguro Integral de Salud</strong>
                </div> <div class="limpiar"></div>
            </div>
            <div class="center f16" style="font-family: serif; font-weight: bold;">FORMATO UNICO DE ATENCION</div>
            <div class="margin_auto" style="width: 294px; ">
                <div class="center back_color f11" style="width: 293px; padding: 1px 0px; font-weight: bold;">
                    <strong>NUMERO DE FORMATO (preimpreso)</strong></div>
                <div style="font-size: 17px; font-weight: bold;">
                    <div class="fl_izq center bo_izq bo_aba" style="padding: 7px 1px; width: 60px; height: 20px; ">
                        340</div>
                    <div class="fl_izq bo_izq bo_aba" style="padding: 7px 4px; height: 20px; ">-</div>
                    <div class="fl_izq center bo_izq bo_aba" style="padding: 7px 4px; width: 30px; height: 20px; ">14</div>
                    <div class="fl_izq bo_izq bo_aba" style="padding: 7px 4px; height: 20px; ">-</div>
                    <div class="fl_izq center bo_izq bo_aba" style="padding: 7px 3px; width: 34px; height: 20px;"><strong>N</strong></div>
                    <div class="fl_izq center bo_aba bo_der" style="padding: 7px 0; width: 120px; height: 20px; ">01555132</div>
                </div>
                <div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 02 -->
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq" style="width: 155px; margin-right: px;">
                    <div class="back_color f9 center bo_izq" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                        CODIGO E.S. / EQUIPO AISPED</div>
                    <div class="center f18 bo_izq bo_aba bo_der" style="height: 18px; padding:  4px 0 4px 0;">
                        <?php echo $parametro["CODIGOESTABLECIMIENTO"]; ?></div>
                </div>
                <div class="fl_izq" style="width: 380px; margin-right: px;">
                    <div class="back_color f9 center" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                        NOMBRE DE ESTABLECIMIENTO O EQUIPO AISPED QUE REALIZA LA ATENCION</div>
                    <div class="center f18 bo_aba bo_der" style="height: 18px; padding:  4px 0 4px 0;">
                        <?php echo $parametro["NOMBREESTABLECIMIENTO"]; ?></div>
                </div>
                <div class="fl_izq" style="width: 164px; margin-right: 1px;">
                    <div style="width: 164px;">
                        <div class="fl_izq back_color f9 center" style="width: 139px; height: 10px; font-weight: bold; padding: 3px; ">
                        RECONSIDERACION (*)</div>
                        <div class="fl_izq f9 center" style="border: 1px solid black; padding: 2px 5px 2px 5px; width: 7px; height: 10px;">
                            <?php echo "<strong>&nbsp;</strong>"?>
                        </div>
                        <div class="limpiar"></div>
                    </div>                    
                    <div class="center bo_aba bo_der">
                        <div class="bo_aba f7" style="height: 8px; padding:  2px 0; font-family: fantasy;">N DE FORMATO ATENCION PARA RECONSIDERACION</div>
                        <div class="f9" style="height: 9px;  padding: 2px;">&nbsp;</div>
                    </div>
                </div>
                <div class="limpiar"></div>
            </div>
            
            <div class=" margin_auto f6" style="width: 700px;">
                <div class="fl_der" style="padding-right: 20px; font-family: sans-serif;">(*) Llenar con aspa (x) en caso de reconsideraci&oacute;n</div>
                <div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 03 -->
            <div class="margin_auto" style="width: 700px;">
                <!-- FILA 03 - COLUM 01 -->
                <div class="fl_izq" style="width: 76px; margin-right: 14px;">
                    <div class="back_color f9 center bo_izq" style="height: 10px; font-weight: bold; padding: 3px; ">
                        COMPONENTE</div>
                    <div class=" f7 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq bo_aba bo_der back_gris" style=" width: 53px; padding: 4px 2px; height: 8px;">
                                <strong>SUBSIDIADO</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 12px; height: 10px;">
                                <strong>X</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div>
                            <div class="fl_izq bo_aba bo_der back_gris" style=" width: 53px; padding: 1px 2px 0px 2px; height: 15px;">
                                <strong><div>SEMI</div><div style="padding: 0; margin-top: -1px;">SUBSIDIADO</div></strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 12px; height: 10px;">
                                <strong>X</strong>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <!-- FILA 03 - COLUM 02 -->
                <div class="fl_izq" style="width: 94px; margin-right: 14px;">
                    <div class="back_color f9 center bo_izq" style="height: 10px; font-weight: bold; padding: 3px; ">
                        AFILIACION</div>
                    <div class=" f7 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 4px 2px; height: 8px;">
                                <strong>NUEVO</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 12px; height: 10px;">
                                <strong>&nbsp;</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 75px; ">
                                <div class="fl_izq" style="width: 52px; padding: 4px 2px; height: 8px;"><strong>ANTIGUO</strong></div>
                                <div class="fl_izq bo_izq" style="width: 18px; height: 16px;">
                                    <div class="bo_aba" style="margin-top: 0px;"><strong>inscr</strong></div>
                                    <div class=""><strong>afil</strong></div>
                                </div><div class="limpiar"></div>                               
                            </div>
                            <div class="fl_izq center bo_aba" style="padding: 0px 0px 0px 0px; width: 16px; height: 16px;">
                                <div class="bo_aba" style="margin-top: 0px;"><strong>&nbsp;</strong></div>
                                <div class=""><strong>x</strong></div>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <!-- FILA 03 - COLUM 03 -->
                <div class="fl_izq" style="width: 190px; margin-right: 14px;">
                    <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                        CODIGO DE AFILIACION / INSCRIPCION</div>
                    <div class=" f8 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 42px; padding: 4px 2px; height: 8px;">
                                <strong>DISA</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center back_gris" style="padding: 4px 2px 2px 2px; width: 137px; height: 10px;">
                                <strong>NUMERO</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div class="f10">
                            <?php  $cod = explode("-", $datosN->getCodigoSis()); ?>
                            <div class="fl_izq center bo_aba bo_der" style=" width: 42px; padding: 3px 2px; height: 10px;">
                                <strong><?php echo $cod[0];?></strong>                                
                            </div>
                            <div class="fl_izq bo_aba bo_der center" style="padding: 3px 2px; width: 22px; height: 10px;">
                                <strong><?php echo $cod[1];?></strong>
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 3px 2px; width: 110px; height: 10px;">
                                <strong><?php echo $cod[2];?></strong>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <!-- FILA 03 - COLUM 04 -->
                <div class="fl_izq" style="width: 106px; margin-right: 14px;">
                    <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                        IDENTIFICACION</div>
                    <div class=" f7 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 27px; padding: 4px 2px; height: 8px;">
                                <strong>TP</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center back_gris" style="padding: 4px 2px 2px 2px; width: 68px; height: 10px;">
                                <strong>N DOCUMENTO</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div>
                            <div class="fl_izq center f10 bo_aba bo_der" style=" width: 27px; padding: 3px 2px; height: 10px;">
                                <strong>1</strong>                                
                            </div>
                            <div class="fl_izq f10 bo_aba center" style="padding: 3px 2px 3px 2px; width: 68px; height: 10px;">
                                <strong><?php echo $datosN->getDni();?></strong>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <!-- FILA 03 - COLUM 05 -->
                <div class="fl_izq" style="width: 176px;">
                    <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                        CODIGO DE LA AFILIACION DE SEGURO (*)</div>
                    <div class=" f7 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 53px; padding: 4px 2px; height: 8px;">
                                <strong>INSTITUCION</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 112px; height: 10px;">
                                <strong>X</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 53px; padding: 4px 2px; height: 8px;">
                                <strong>COD. SEGURO</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 112px; height: 10px;">
                                <strong>X</strong>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <div class="limpiar"></div>
            </div>            
            <div class=" margin_auto f6" style="width: 694px;">
                <div class="fl_der" style="padding-right: 50px; font-family: sans-serif;">
                    (*) En caso de atenci&oacute;n con otras instituciones</div>
                <div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 04 -->
            <div class="margin_auto" style="width: 700px;">
                <div class="fl_izq" style="width: 341px; margin-right: 15px;">
                    <div class="back_color f9 center bo_izq" style="height: 8px; font-weight: bold; padding: 3px; ">
                        APELLIDO PATERNO</div>
                    <div class="center f15 bo_izq bo_aba bo_der" style="height: 16px; padding:  2px 0 2px 0;">
                        <strong><?php echo $datosN->getPaterno();?></strong></div>
                </div>
                <div class="fl_izq bo_izq" style="width: 341px; margin-right: px;">
                    <div class="back_color f9 center" style="height: 8px;  font-weight: bold; padding: 3px; ">
                        APELLIDO MATERNO</div>
                    <div class="center f15 bo_aba bo_der" style="height: 16px; padding:  2px 0 2px 0;">
                        <strong><?php echo $datosN->getMaterno();?></strong></div>
                </div>
                <div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 05 -->
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq" style="width: 341px; margin-right: 15px;">
                    <div class="back_color f9 center bo_izq" style="height: 8px; font-weight: bold; padding: 3px; ">
                        PRIMER NOMBRE</div>
                    <div class="center f15 bo_izq bo_aba bo_der" style="height: 16px; padding:  2px 0 2px 0;">
                        <strong><?php echo $datosN->getPrimerNombre();?></strong></div>
                </div>
                <div class="fl_izq bo_izq" style="width: 341px; margin-right: px;">
                    <div class="back_color f9 center" style="height: 8px;  font-weight: bold; padding: 3px; ">
                        OTROS NOMBRES</div>
                    <div class="center f15 bo_aba bo_der" style="height: 16px; padding:  2px 0 2px 0;">
                        <strong><?php echo $datosN->getSegundoNombre();?></strong></div>
                </div>
                <div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 06 - 07-->
            <div class="margin_auto f8" style="width: 700px; margin-top: 5px; font-weight: bold;">
                <div class="fl_izq">    
                    <!-- LINEA NUMERO 06 - COMLUM 01-->
                    <div>
                        <!-- LINEA 06 - CUADRO 01-->
                        <div class="fl_izq bo_aba bo_der bo_izq" style="">
                            <div class="back_color center" style="width: 115px; height: 9px; padding: 2px;"><strong>FECHA DE NACIMIENTO</strong></div>
                            <div class="bo_aba f7 back_gris center" style="height: 12px;">
                                <div class="fl_izq" style="width: 25px; padding: 2px;">DIA</div>
                                <div class="fl_izq bo_izq" style="width: 25px; padding: 2px;" >MES</div>
                                <div class="fl_izq bo_izq" style="width: 55px; padding: 2px;">AO</div><div class="limpiar"></div>
                            </div>
                            <div class="center f9">
                                <?php $fecha = explode("-",$datosN->getFechaNacimiento());   $diaN = $fecha[2]; $mesN = $fecha[1]; $anioN = $fecha[0]; ?>
                                <div class="fl_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $diaN[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $diaN[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $mesN[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $mesN[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anioN[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anioN[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anioN[2]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anioN[3]; ?></div><div class="limpiar"></div>
                            </div>
                        </div>
                        <!-- LINEA 06 - CUADRO 02 -->
                        <div class="fl_izq" style="margin-left: 5px;">
                            <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                                SEXO</div>
                            <div class=" f7 bo_izq  bo_der" style=" ">
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 56px; padding: 4px 2px; height: 8px;">
                                        <strong>MASCULINO</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 21px; height: 10px;">
                                        <strong><?php echo ($datosN->getSexo()=="M")?"X":"&nbsp;"?></strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 56px; padding: 4px 2px; height: 8px;">
                                        <strong>FEMENINO</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 21px; height: 10px;">
                                        <strong><?php echo ($datosN->getSexo()=="F")?"x":"&nbsp;"?></strong>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                        </div>
                        <div class="fl_izq" style="margin-left: 5px;">
                            <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                                ATENCION</div>
                            <div class=" f7 bo_izq  bo_der" style=" ">
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 3px 2px; height: 8px;">
                                        <strong>AMBULATORIA</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 3px 2px 1px 2px; width: 24px; height: 10px;">
                                        <strong>X</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 3px 2px; height: 8px;">
                                        <strong>REFERENCIA</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 3px 2px 1px 2px; width: 24px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 3px 2px; height: 8px;">
                                        <strong>EMERGENCIA</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 3px 2px 1px 2px; width: 24px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                        </div>
                        <div class="fl_izq" style="margin-left: 5px; margin-top: 16px; border-top: 1px solid black; ">                            
                            <div class=" f7 bo_izq  bo_der" style=" ">
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 4px 2px; height: 8px;">
                                        <strong>GESTANTE</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 21px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 71px; padding: 4px 2px; height: 8px;">
                                        <strong>PUERPERA</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 21px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                        </div><div class="limpiar"></div>                        
                    </div>
                    <!-- LINEA NUMERO 07 - COMLUM 01-->
                    <div>
                        <div class="fl_izq bo_aba bo_der bo_izq">
                            <div class="back_color center" style="width: 115px; height: 9px; padding: 2px;"><strong>FECHA DE ATENCI&Oacute;N</strong></div>
                            <div class="bo_aba f7 back_gris center" style="height: 12px;">
                                <div class="fl_izq" style="width: 25px; padding: 2px;">DIA</div>
                                <div class="fl_izq bo_izq" style="width: 25px; padding: 2px;" >MES</div>
                                <div class="fl_izq bo_izq" style="width: 55px; padding: 2px;">AO</div><div class="limpiar"></div>
                            </div>
                            <div class="center f9" style="font-weight: bold;">
                                <?php $fecha = explode("-",$_REQUEST["fechaAtencion"]);   $dia = $fecha[0]; $mesN = $fecha[1]; $anio = $fecha[2]; ?>
                                <div class="fl_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $dia[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $dia[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $mes[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $mes[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anio[0]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anio[1]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anio[2]; ?></div>
                                <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;"><?php echo $anio[3]; ?></div><div class="limpiar"></div>
                            </div>
                        </div>
                        <div class="fl_izq bo_izq" style="margin-left: 5px;">
                            <div class="back_color f8 center" style="height: 10px; font-weight: bold; padding: 3px; ">
                                HORA</div>
                            <div class="center f14 bo_aba bo_der" style="height: 33px;  ">
                                <div class="fl_izq bo_der" style="padding: 9px 7px 8px 7px;">x</div>
                                <div class="fl_izq bo_der" style="padding: 9px 4px 8px 4px;">:</div>
                                <div class="fl_izq" style="padding: 9px 7px 8px 7px;">x</div><div class="limpiar"></div>
                            </div>
                        </div>
                        <div class="fl_izq" style="margin-left: 5px; margin-top: 7px;">
                            <div class="back_color f8 center bo_izq" style=" height: 7px; font-weight: bold; padding: 3px 3px 3px 3px; ">
                                LUGAR DE ATENCION</div>
                            <div class=" f7 bo_izq  bo_der" style=" ">
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 96px; padding: 4px 2px; height: 6px;">
                                        <strong>INTRAMURAL</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 27px; height: 8px;">
                                        <strong>X</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 96px; padding: 4px 2px; height: 6px;">
                                        <strong>EXTRAMURAL</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 27px; height: 8px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                        </div>
                        <div class="fl_izq bo_izq" style="margin-left: 5px;">
                            <div class="back_color f8 center" style="height: 10px; font-weight: bold; padding: 3px; ">
                                N DE HISTORIA CLINICA</div>
                            <div class="center f16 bo_aba bo_der" style="height: 17px; padding:  8px 0;">
                                <strong><?php echo $datosN->getHistoriaClinica();?></strong></div>
                        </div><div class="limpiar"></div>  
                    </div>                    
                </div>
                <!-- LINEA NUMERO 06 - 07 - COMLUM 02-->
                <div class="fl_izq" style="margin-left: 5px;">
                    <div class="back_color f8 center bo_der " style=" width: 244px; height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                                CONCEPTO PRESTACIONAL</div>
                            <div class=" f8 " style=" ">
                                <div>
                                    <div class="fl_izq center bo_izq bo_aba bo_der back_gris" style=" width: 90px; padding: 4px 2px; height: 8px;">
                                        <strong>ATENCION DIRECTA</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 4px 2px; width: 16px; height: 8px;">
                                        <strong>X</strong>
                                    </div>
                                    <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 85px; padding: 4px 2px; height: 8px;">
                                        <strong>N DE AUTORIACION</strong>                                
                                    </div>
                                    <div class="fl_izq back_gris bo_der bo_aba center" style="padding: 4px 2px; width: 40px; height: 8px;">
                                        <strong>MONTO</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_izq bo_aba bo_der back_gris" style=" width: 90px; padding: 3px 2px; height: 16px;">
                                        <strong>ENFERMEDAD ALTO COSTO (NO LPIN)</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 6px 2px; width: 16px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 6px 2px; width: 85px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 6px 2px; width: 40px; height: 10px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_izq bo_aba bo_der back_gris" style=" width: 90px; padding: 4px 2px; height: 8px;">
                                        <strong>CASO ESPECIAL</strong>                                
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 4px 2px; width: 16px; height: 8px;">
                                        <strong>&nbsp;</strong>
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 4px 2px; width: 85px; height: 8px;">
                                        <strong>&nbsp;</strong>
                                    </div>
                                    <div class="fl_izq bo_aba bo_der center" style="padding: 4px 2px; width: 40px; height: 8px;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                                <div>
                                    <div class="fl_izq center bo_izq bo_aba bo_der back_gris" style="height: 32px;">
                                        <div class="bo_aba" style="width: 86px; padding: 3px 4px;">SEPELIO</div>                                
                                        <div style="padding: 3px 4px;">TRASLADO</div>
                                    </div>
                                    <div class="fl_izq bo_aba center" style="height: 32px;">
                                        <div class="bo_der bo_aba" style="width: 20px; padding: 3px 0px;">&nbsp;</div>                                
                                        <div class="bo_der" style="padding: 4px 3px 3px 3px">&nbsp;</div>
                                    </div>
                                    <div class="fl_izq center" style=" margin-left: 10px; padding: 3px 2px 1px 2px; width: 121px; height:40px;">
                                        <div class="back_color center bo_izq bo_der" style="width: 115px; height: 9px; padding: 2px;"><strong>FECHA DE PARTO</strong></div>
                                        <div class="bo_aba f7  bo_izq back_gris center" style="height: 12px;">
                                            <div class="fl_izq" style="width: 25px; padding: 2px;">DIA</div>
                                            <div class="fl_izq bo_izq" style="width: 25px; padding: 2px;" >MES</div>
                                            <div class="fl_izq bo_izq bo_der" style="width: 55px; padding: 2px;">AO</div><div class="limpiar"></div>
                                        </div>
                                        <div class="center f9">
                                            <div class="fl_izq  bo_izq bo_aba bo_" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                                            <div class="fl_izq bo_izq bo_aba bo_der" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div><div class="limpiar"></div>
                                        </div>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                </div><div class="limpiar"></div>                
            </div>     
            
            <!-- LINEA NUMERO 08-->
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq" style="width: 134px;  margin-right: 12px;">
                    <div class="back_color f8 center bo_izq" style=" height: 9px; font-weight: bold; padding: 4px 3px 3px 3px; ">
                        PERSONAL QUE ATIENDE</div>
                    <div class=" f7 bo_izq  bo_der" style=" ">
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 96px; padding: 4px 2px; height: 8px;">
                                <strong>DEL ESTABLECIMIENTO</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 27px; height: 10px;">
                                <strong>X</strong>
                            </div><div class="limpiar"></div>
                        </div>
                        <div>
                            <div class="fl_izq center bo_aba bo_der back_gris" style=" width: 96px; padding: 4px 2px; height: 8px;">
                                <strong>ITINERANTE/EQ. AISPED</strong>                                
                            </div>
                            <div class="fl_izq bo_aba center" style="padding: 4px 2px 2px 2px; width: 27px; height: 10px;">
                                <strong>&nbsp;</strong>
                            </div><div class="limpiar"></div>
                        </div>
                    </div>
                </div>
                <div class="fl_izq bo_izq" style="width: 136px; margin-right: 12px;">
                    <div class="back_color f8 center" style="height: 10px; font-weight: bold; padding: 3px; ">
                        CODIGO DE PRESTACION</div>
                    <div class="center f14 bo_aba bo_der" style="height: 17px; padding:  8px 0;">
                        <strong>061</strong></div>
                </div>
                <div class="fl_izq" style="width: 94px; margin-right: px;">
                    <div class="back_color f7 center bo_izq" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 4px 0 2px 0; ">
                        CODIGO E.S./EQ. AISPED</div>
                    <div class="center f10 bo_izq bo_aba bo_der" style="height: 17px; padding:  8px 0;">
                        <strong>&nbsp;</strong></div>
                </div>
                <div class="fl_izq" style="width: 236px; margin-right: px;">
                    <div class="back_color f8 center" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                        NOMBRE DE E.S./EQ. AISPED QUE REFIRIO AL PACIENTE</div>
                    <div class="center f10 bo_aba bo_der" style="height: 17px; padding:  8px 0;">
                        <strong>&nbsp;</strong></div>
                </div>
                <div class="fl_izq" style="width: 73px; margin-right: px;">
                    <div class="back_color f7 center bo_izq" style="height: 16px; font-weight: bold; padding: 0px; ">
                        N HOJA DE REFERENCIA</div>
                    <div class="center f10       bo_aba bo_der" style="height: 17px; padding:  8px 0;">
                        <strong>&nbsp;</strong></div>
                </div>
                <div class="limpiar"></div>
            </div>
            
            
            <!-- LINEA NUMERO 09 Y 10-->
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq">
                    <!-- LINEA 9 ; COLUMNA 1-->
                    <div class="" style="width: 528px; margin-right: px;">
                        <div class="back_color f8 center bo_izq" style="height: 9px; font-weight: bold; padding: 4px 0 2px 0; ">
                            DESTINO DEL ASEGURADO</div>
                        <div class="center f8 bo_izq bo_aba bo_der" style="height: 25px; padding:  0;">
                            <div class="fl_izq bo_der back_gris" style="width: 35px; height: 17px; padding: 8px 0 0 0 ;">
                               <strong>ALTA</strong>
                            </div>
                            <div class="fl_izq bo_der" style="width: 12px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>&nbsp;</strong>
                            </div>
                            <div class="fl_izq bo_der back_gris" style="width: 40px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>CITADO</strong>
                            </div>
                            <div class="fl_izq bo_der" style="width: 14px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>&nbsp;</strong>
                            </div>
                            <div class="fl_izq bo_der " style="width: 263px; height: 25px;">
                                <div class="back_gris bo_aba" style="height: 10px;"><strong>REFERIDO</strong></div>
                                <div class="" style="height: 14px;">
                                    <div class="fl_izq back_gris bo_aba" style="width: 56px; padding: 3px 0 2px 0;">
                                        <strong>EMERGENCIA</strong></div>
                                    <div class="fl_izq bo_izq" style="width: 8px; padding: 3px 0;">
                                        <strong>&nbsp;</strong></div>
                                    <div class="fl_izq bo_izq back_gris bo_aba" style="width: 88px; padding: 3px 0 2px 0;">
                                        <strong>CONSULTA EXTERNA</strong></div>
                                    <div class="fl_izq bo_izq" style="width: 8px; padding: 3px 0;">
                                        <strong>&nbsp;</strong></div>
                                    <div class="fl_izq bo_izq back_gris bo_aba" style="width: 89px; padding: 3px 0 2px 0; ">
                                        <strong>APOYO DIAGNOSTICO</strong></div>
                                    <div class="fl_izq bo_izq" style="width: 8px; padding: 3px 0;">
                                        <strong>&nbsp;</strong>
                                    </div><div class="limpiar"></div>
                                </div>
                            </div>
                            <div class="fl_izq bo_der back_gris" style="width: 78px; height: 17px; padding: 8px 0 0 0 ;">
                               <strong>CONTRARREFER.</strong>
                            </div>
                            <div class="fl_izq bo_der" style="width: 12px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>&nbsp;</strong>
                            </div>
                            <div class="fl_izq bo_der back_gris" style="width: 54px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>FALLECIDO</strong>
                            </div>
                            <div class="fl_izq " style="width: 10px; height: 17px; padding: 8px 0 0 0 ;">
                                <strong>&nbsp;</strong>
                            </div><div class="limpiar"></div>                            
                        </div>
                    </div>                     
                    <!-- LINEA 10 ; COLUMNA 1-->
                    <div style="margin-top: 5px;">
                        <div class="fl_izq" style="width: 95px; margin-right: px;">
                            <div class="back_color f7 center bo_izq" style="height: 9px; border-right: 1px solid white; font-weight: bold; padding: 4px 0 2px 0; ">
                                CODIGO DEL E.S.</div>
                            <div class="center f10 bo_izq bo_aba bo_der" style="height: 13px; padding:  3px 0;">
                                <strong>&nbsp;</strong></div>
                        </div>
                        <div class="fl_izq" style="width: 275px; margin-right: px;">
                            <div class="back_color f8 center" style="height: 9px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                                E.S. AL QUE SE REFIRIE / CONTRAREFIERE</div>
                            <div class="center f10 bo_aba bo_der" style="height: 13px; padding:  3px 0;">
                                <strong>&nbsp;</strong></div>
                        </div>
                        <div class="fl_izq" style="width: 158px; margin-right: px;">
                            <div class="back_color f7 center" style="height: 9px; font-weight: bold; padding: 4px 0 2px 0; ">
                                E.S. AL QUE SE REFIRIE / CONTRAREF.</div>
                            <div class="center f10       bo_aba bo_der" style="height: 13px; padding:  3px 0;">
                                <strong>&nbsp;</strong></div>
                        </div><div class="limpiar"></div>
                    </div>
                </div>
                <!-- LINEA 9 - 10 ; COLUMNA 2 -->
                <div class="fl_izq f8 back_color center" style=" height: 73px; margin-left: 8px; padding: 4px 10px; ">
                    <strong>H<br />O<br />S<br />P<br />I<br />T<br />A<br />L.</strong>
                </div>
                <!-- LINEA 9 - 10 ; COLUMNA 3 -->
                <div class="fl_izq f8 bo_aba bo_der" style="font-weight: bold;">
                    <div class="back_color center" style="height: 9px; width: 115px; padding: 2px;"><strong>FECHA DE INGRESO</strong></div>
                    <div class="bo_aba f7 back_gris center" style="height: 12px;">
                        <div class="fl_izq" style="width: 25px; padding: 2px;">DIA</div>
                        <div class="fl_izq bo_izq" style="width: 25px; padding: 2px;" >MES</div>
                        <div class="fl_izq bo_izq" style="width: 55px; padding: 2px;">AO</div><div class="limpiar"></div>
                    </div>
                    <div class="center f9">
                        <div class="fl_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div><div class="limpiar"></div>
                    </div>
                    <div class="back_color center" style="width: 115px; height: 9px; padding: 2px;"><strong>FECHA DE ALTA</strong></div>
                    <div class="bo_aba f7 back_gris center" style="height: 12px;">
                        <div class="fl_izq" style="width: 25px; padding: 2px;">DIA</div>
                        <div class="fl_izq bo_izq" style="width: 25px; padding: 2px;" >MES</div>
                        <div class="fl_izq bo_izq" style="width: 55px; padding: 2px;">AO</div><div class="limpiar"></div>
                    </div>
                    <div class="center f9">
                        <div class="fl_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div>
                        <div class="fl_izq bo_izq" style="width: 14px; height: 12px; padding-top: 2px;">&nbsp;</div><div class="limpiar"></div>
                    </div>
                </div><div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 11 -->
            <div class="margin_auto f8" style="width: 700px; margin-top: 5px;">
                <!-- LINEA NUMERO 11 - COLUMNA 01-->
                <div class="fl_izq">
                    <div class="back_color center" style="width: 446px; padding: 2px;">
                        <strong>SERVICIOS PREVENTIVOS</strong>
                    </div>
                    <div class="bo_aba bo_izq bo_der" style="width: 448px; height: 150px;">
                        <div class="fl_izq bo_izq bo_der" style=" border-top: 1px solid black; margin-top: 4px; margin-left: 10px; width: 65px; font-weight: bold;">
                            <div class="back_gris center bo_aba" style="padding-top: 7px; height: 16px;">CPN (N)</div>
                            <div class="back_gris center bo_aba" style="padding: 2px; height: 19px;">EDAD GEST. (mes)</div>
                            <div class="back_gris center bo_aba" style="padding: 2px; height: 19px;">ALTURA UTERINA (cm)</div>
                            <div class="back_gris center bo_aba" style="height: 15px; padding-top: 6px;">P.A. (mm.Hg)</div>
                            <div class="back_gris center bo_aba" style="padding: 2px; height: 18px;">PSICOPROFI<br />LAXIS</div>
                            <div class="back_gris center bo_aba f7" style="height: 22px; line-height: 7px; padding: 1px;">ADMINIT. OXITOCINA <span class="f6">(puerperio inmediato)</span></div>
                        </div>
                        <div class="fl_izq bo_der" style=" border-top: 1px solid black; margin-top: 4px; width: 40px; font-weight: bold;">
                            <div class=" center bo_aba" style="padding-top: 7px; height: 16px;">&nbsp;</div>
                            <div class=" center bo_aba" style="padding: 7px; height: 9px;">&nbsp;</div>
                            <div class=" center bo_aba" style="padding: 6px; height: 11px;">&nbsp;</div>
                            <div class=" center bo_aba" style="height: 15px; padding-top: 6px;">&nbsp;</div>
                            <div class=" center bo_aba" style="padding: 0px; height: 22px;">
                                <div class="bo_aba" style="height: 10px; padding-top: 1px; line-height: 7px;">(SI)</div><div>(NO)</div>
                            </div>
                            <div class=" center bo_aba" style="height: 24px; line-height: 8px;">
                                <div class="bo_aba" style="height: 10px; padding-top: 1px;">(SI)</div>
                                <div style="line-height: 9px; padding-top: 1px;">(NO)</div>
                            </div>
                        </div>
                        <div class="fl_izq" style="margin-left: 10px; margin-top: 4px;">
                            <div class="center">
                                <div class="fl_izq back_gris bo_aba bo_der" style="height: 20px; padding: 2px 0; border-left:1px solid black; width: 36px; border-top: 1px solid black;">PESO<br />(Kg)</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq back_gris bo_aba bo_der" style="height: 20px; padding: 2px 0; border-left:1px solid black; width: 38px; margin-left: 6px; border-top: 1px solid black;">TALLA<br />(cm)</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div><div class="limpiar"></div>
                            </div>
                            <div class="center" style="margin-top: 13px;">
                                <div class="fl_izq back_gris bo_aba bo_der f7" style="height: 22px; padding: 1px 0; border-left:1px solid black; width: 38px; border-top: 1px solid black;line-height: 7px;">
                                    EDAD<br />GEST. RN<br />(Sem)</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 40px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq back_gris bo_aba bo_der" style="text-align: left; height: 10px; padding: 7px 0; border-left:1px solid black; width: 60px; margin-left: 12px; border-top: 1px solid black;">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;APGAR</div>
                                <div class="fl_izq bo_der bo_aba back_color" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">1</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq bo_der bo_aba back_color" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">2</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 7px; width: 12px; border-top: 1px solid black;">&nbsp;</div><div class="limpiar"></div>
                            </div>
                            <div class="center f7" style="margin-top: 11px; font-weight: bold;">
                                <div class="fl_izq back_gris center bo_izq bo_der bo_aba" style="border-top: 1px solid black; padding: 5px; height: 16px;">
                                    CRED<br />(N)</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 9px; width: 12px; border-top: 1px solid black;">&nbsp;</div>
                                <div class="fl_izq back_gris center bo_izq bo_der bo_aba" style="margin-left: 20px; border-top: 1px solid black; padding: 5px; height: 16px;">
                                    EEDP/.<br />TEPSI</div>
                                <div class="fl_izq center bo_aba bo_der" style="padding: 0px; height: 26px;border-top: 1px solid black; ">
                                    <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                    <div style="padding: 1px; line-height: 10px;">(NO)</div>
                                </div>
                                <div class="fl_izq back_gris center bo_izq bo_der bo_aba" style="margin-left: 20px; border-top: 1px solid black; padding: 4px; height: 18px;">
                                    ADMINIST.<br />VITAMINA K</div>
                                <div class="fl_izq center bo_aba bo_der" style="padding: 0px; height: 26px;border-top: 1px solid black; ">
                                    <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                    <div style="padding: 1px; line-height: 10px;">(NO)</div>
                                </div>
                                <div class="limpiar"></div>
                            </div>
                            <div class="center f7" style="margin-top: 11px; font-weight: bold;">
                                <div class="fl_izq back_gris center bo_izq bo_der bo_aba" style=" border-top: 1px solid black; padding: 5px; height: 16px;">
                                    LACTANCIA<br />MAT. EXCLUS</div>
                                <div class="fl_izq center bo_aba bo_der" style="padding: 0px; height: 26px;border-top: 1px solid black; ">
                                    <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                    <div style="padding: 1px; line-height: 10px;">(NO)</div>
                                </div>
                                <div class="fl_izq back_gris center bo_izq bo_der bo_aba" style="margin-left: 20px; border-top: 1px solid black; padding: 5px; height: 16px;">
                                    CONTROL DE<br />PUERPERIO (N)</div>
                                <div class="fl_izq bo_der bo_aba" style="height: 17px; padding-top: 9px; width: 30px; border-top: 1px solid black;">
                                    10
                                </div>   <div class="limpiar"></div>
                            </div>                         
                        </div>
                        <div class="fl_izq" style=" margin-top: 4px; margin-left: 8px; width: 65px; font-weight: bold;">
                            <div class="back_gris center bo_izq bo_der bo_aba" style="border-top: 1px solid black; padding: 4px; height: 18px;">
                                CONSEJERIA<br />NUTRICIONAL</div>                            
                            <div class="back_gris center bo_izq bo_der bo_aba" style="border-top: 1px solid black; padding: 4px; height: 18px; margin-top: 10px;">
                                CONSEJERIA<br />PP.FF.</div>
                            <div class="back_gris center bo_izq bo_der bo_aba" style="border-top: 1px solid black; padding: 4px; height: 18px; margin-top: 10px;">
                                PROFILAXIS<br />OCULAR</div>
                            <div class="back_gris center bo_izq bo_der bo_aba" style="border-top: 1px solid black; padding: 4px; height: 18px; margin-top: 10px;">
                                ADMINIST.<br />SUPL. NUTR.</div>
                        </div>
                        <div class="fl_izq " style=" margin-top: 4px; width: 30px; font-weight: bold;">
                            <div class=" center bo_aba bo_der" style="padding: 0px; height: 26px;border-top: 1px solid black; ">
                                <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                <div style="padding: 1px; line-height: 10px;">(NO)</div>
                            </div>
                            <div class=" center bo_aba bo_der" style="padding: 0px; height: 26px; margin-top: 10px;border-top: 1px solid black; ">
                                <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                <div style="padding: 1px; line-height: 10px;">(NO)</div>
                            </div>
                            <div class=" center bo_aba bo_der" style="padding: 0px; height: 26px; margin-top: 10px;border-top: 1px solid black; ">
                                <div class="bo_aba" style="height: 10px; padding: 1px;">(SI)</div>
                                <div style="padding: 1px; line-height: 10px;">(NO)</div>
                            </div>
                            <div class=" center bo_aba bo_der" style="padding: 0px; height: 26px; margin-top: 10px;border-top: 1px solid black; ">
                                <div class="bo_aba" style="height: 10px; padding: 1px; ">(SI)</div>
                                <div style="padding: 1px; line-height: 10px;">(NO)</div>
                            </div>
                        </div>  
                        <div class="fl_izq">
                        
                        </div><div class="limpiar"></div>
                    </div>                    
                </div>
                <!-- LINEA NUMERO 11 - COLUMNA 02-->
                <div class="fl_izq f7" style="margin-left: 5px; font-weight: bold;">
                    <div class="back_color center f8" style="width: 230px; padding: 2px;">
                        VACUNA N&deg; DOSIS</div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">BCG</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 41px; padding: 4px 2px;">INFLUENZ</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">ANTIAMARILICA</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">DPT</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 41px; padding: 4px 2px;">PAROTID</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">ANTINEUMOC</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">APO</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 41px; padding: 4px 2px;">RUBEOLA</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">ANTITETATICA</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">ASA</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 41px; padding: 4px 2px;">ROTAVIRUS</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">SPR</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris f6" style="width: 41px; padding: 1px 2px;">DT Adultos<br />(N Dosis)</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>
                    <div class="bo_izq center">
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 35px; padding: 4px 2px;">HVB</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 41px; padding: 4px 2px;">PENTAVAL</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba back_gris" style="width: 55px; padding: 4px 2px;">&nbsp;</div>
                        <div class="fl_izq bo_der bo_aba" style="width: 25px; padding: 4px 2px;">
                            &nbsp;
                        </div><div class="limpiar"></div>
                    </div>                  
                </div><div class="limpiar"></div>
            </div>
            
            <!-- LINEA NUMERO 12 -->
            <div class="margin_auto f8" style="width: 700px; margin-top: 5px;">
                <div class=" center bo_izq" style="width: 692px;">
                    <div class="fl_izq bo_aba back_color bo_der" style="width: 7px;">&nbsp;</div>
                    <div class="fl_izq bo_aba back_color bo_der" style="padding-top: 1px; width: 470px; border-right: 1px solid white;">DIAGNOSTICOS</div>
                    <div class="fl_izq bo_aba back_color bo_der" style="border-top: 1px solid black; width: 115px; border-right: 1px solid white;">Dx INGRESO</div>
                    <div class="fl_izq bo_aba back_color bo_der" style="border-top: 1px solid black; width: 95px; ">
                        Dx EGRESO</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der back_gris f7 center" style="width: 8px; padding: 2px 1px 1px 1px;"><strong>N</strong></div>
                    <div class="fl_izq bo_der back_gris center" style="width: 465px; padding: 1px;">DESCRIPCION</div>
                    <div class="fl_izq bo_der back_gris center" style="width: 42px; padding: 1px;">TIPO Dx</div>
                    <div class="fl_izq bo_der back_gris" style="width: 68px; padding: 1px;">CIE-10</div>
                    <div class="fl_izq bo_der back_gris" style="width: 63px; padding: 1px;">CIE-10</div>
                    <div class="fl_izq bo_der back_gris" style="width: 27px; padding: 1px;">
                        TIPO</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der center" style="width: 8px; padding: 1px;">1</div>
                    <div class="fl_izq bo_der" style="width: 465px; padding: 1px; ">CONTROL DE SALUD DE RUTINA DEL NI&Ntilde;O</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">P</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px; position: relative;">
                        D  <div class="fl_izq f13" style=" position: absolute; top: -1px; left: 3px;">X</div> </div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div>
                    <div class="fl_izq bo_der" style="width: 68px; padding: 1px;">Z00.1</div>
                    <div class="fl_izq bo_der" style="width: 63px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der center" style="width: 8px; padding: 1px;">2</div>
                    <div class="fl_izq bo_der" style="width: 465px; padding: 1px; ">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">P</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div>
                    <div class="fl_izq bo_der" style="width: 68px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 63px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der center" style="width: 8px; padding: 1px;">3</div>
                    <div class="fl_izq bo_der" style="width: 465px; padding: 1px; ">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">P</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div>
                    <div class="fl_izq bo_der" style="width: 68px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 63px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der center" style="width: 8px; padding: 1px;">4</div>
                    <div class="fl_izq bo_der" style="width: 465px; padding: 1px; ">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">P</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div>
                    <div class="fl_izq bo_der" style="width: 68px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 63px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div><div class="limpiar"></div>
                </div>
                <div class="bo_aba bo_izq center" style="width: 691px; font-weight: bold;">
                    <div class="fl_izq bo_der center" style="width: 8px; padding: 1px;">5</div>
                    <div class="fl_izq bo_der" style="width: 465px; padding: 1px; ">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">P</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div>
                    <div class="fl_izq bo_der" style="width: 68px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 63px; padding: 1px;">&nbsp;</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">D</div>
                    <div class="fl_izq bo_der" style="width: 12px; padding: 1px;">R</div><div class="limpiar"></div>
                </div>
            </div>
            
            <!-- LINEA NUMERO 13 -->
            <div class="margin_auto" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq" style="width: 155px; margin-right: px;">
                    <div class="back_color f9 center bo_izq" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                        N DNI</div>
                    <div class="center f18 bo_izq bo_aba bo_der" style="height: 22px; padding:  2px 0;">
                        <strong><?php echo $datosU->getDni();?></strong></div>
                </div>
                <div class="fl_izq" style="width: 400px; margin-right: px;">
                    <div class="back_color f9 center" style="height: 10px; border-right: 1px solid white; font-weight: bold; padding: 3px; ">
                        NOMBRE DEL RESPONSABLE DE LA ATENCION</div>
                    <div class="center f18 bo_aba bo_der" style="height: 22px; padding:  2px 0;">
                        <strong><?php echo $datosU->getNombreCompleto();?></strong></div>
                </div>
                <div class="fl_izq" style="width: 144px; margin-right: 1px;">
                    <div style="width: 164px;">
                        <div class="back_color f9 center" style="width: 138px; height: 10px; font-weight: bold; padding: 3px; ">
                        N COLEGIATURA</div>
                    </div>                    
                    <div class="center bo_aba bo_der" style="height: 22px; padding: 2px 0;">
                        <strong>-------</strong>
                    </div>
                </div>
                <div class="limpiar"></div>
            </div>       
            
            
            <!-- LINEA NUMERO 14 -->
            <div class="margin_auto f8" style="width: 700px; margin-top: 5px;">
                <div class="fl_izq">
                    <div style="font-weight: bold;">
                        <div class="fl_izq bo_aba bo_izq back_gris center" style="width: 140px; height: 8px; padding: 3px 3px 4px 3px; border-top: 1px solid black;"><strong>RESPONSABLE DE ATENCION</strong></div>
                        <div class="fl_izq bo_aba bo_izq bo_der center f9" style=" width: 30px; height: 8px;  padding: 3px 3px 4px 3px;  border-top: 1px solid black;">6</div>
                        <div class="fl_izq bo_aba bo_izq back_gris center" style="width: 70px; height: 8px; padding: 3px 3px 4px 3px; border-top: 1px solid black; margin-left: 12px;"><strong>ESPECIALIDAD</strong></div>
                        <div class="fl_izq bo_aba bo_izq bo_der center f9" style=" width: 300px; height: 8px;  padding: 3px 3px 4px 3px; border-top: 1px solid black;">Enfermera</div>  <div class="limpiar"></div>                        
                    </div>
                    <div class="f5" style=" border: 1px solid black; padding: 1px; margin-top: 3px;">
                        1. MEDICO, 2. FARMACEUTICO, 3. ODONTOLOGO, 4. BIOLOGO, 5. OBSTETRIZ, 6. ENFERMERA, 7. TRABAJADORA SOCIAL, 8. PSICOLOGO, 9. TECNOLOGO MEDICO, 10. NUTRICIONISTA, 11. TECNICO ENFERMERIA, 12. AUXILIAR DE ENFERMERIA
                    </div>
                    <div style="font-weight: bold; margin-bottom: 5px;">
                        <div class="fl_izq center" style="width: 220px; border-top: 1px solid black; margin-top: 45px; margin-right: 90px;">Firma y Sello del Responsable de la Atenci&oacute;n</div>
                        <div class="fl_izq center" style="width: 220px; border-top: 1px solid black; margin-top: 45px; margin-right: 50px;">Firma del Afiliado o Apoderado</div>  <div class="limpiar"></div>   
                    </div>
                    <div class="f6 center back_color" style="border: 1px solid black; padding: 1px;">
                        DEL REGISTRO CORRECTO Y DE LA DIGITACI&Oacute;N ADECUADA Y OPORTUNA DEPENDERA EL PAGO DE LA PRESTACI&Oacute;N A TU ESTABLECIMIENTO
                    </div>
                </div>
                <div class="fl_izq f7 center" style="width: 100px; height: 18px; padding-top: 82px; margin-left: 5px; border: 1px solid black   ;">
                    Huela Digital del<br />Asegurado o Apoderado
                </div>  <div class="limpiar"></div>
            </div>
            
            
            
            
            
            
            
        </div>
    </body> 
</html>
<script>
    //print();
</script>
