<?php   session_start();    error_reporting(E_ALL);
ini_set("memory_limit","256M");     ini_set('max_execution_time', 600);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';   
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);  $conN = $conNC->getPersona();
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$fechaAtencion = (isset($_REQUEST["fechaAtencion"]))?$_REQUEST["fechaAtencion"]:date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 
$anio = $_REQUEST["anio"];  $mes = $_REQUEST["mes"];  $idUsuario = $_REQUEST["idUsuario"];  $idEnvio = $_REQUEST["idEnvio"];

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion();  $conN = $conNC->getPersona();      $conR = $conNC->getRegla();
$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

?>

<!doctype html>
<html class="no-js" lang="es">
    <head> <style type="text/css"> 
                .center {     text-align: center;}  .margin_auto {  margin-left: auto; margin-right: auto;  } 
                .bo_arr { border-top: 1px solid black; }    .bo_izq { border-left: 1px solid black; } .bo_der { border-right: 1px solid black; }  .bo_aba { border-bottom: 1px solid black; }  
                .f4 { font-size: 4px; }  .f5 { font-size: 5px; } .f6 { font-size: 6px; }  .f7 { font-size: 7px; }  .f8 { font-size: 8px; }  .f9 { font-size: 9px; }  .f10 { font-size: 10px; }  .f11 { font-size: 11px; }  .f12 { font-size: 12px; }  .f13 { font-size: 13px; }  .f14 { font-size: 14px; }  .f15 { font-size: 15px; }  .f16 { font-size: 16px; }  .f17 { font-size: 17px; }  .f18 { font-size: 18px; }  .f19 { font-size: 19px; }  .f20 { font-size: 20px; }   .f21 { font-size: 21px; }  .f22 { font-size: 22px; }   .f23 { font-size: 23px; }  .f24 { font-size: 24px; }   .f25 { font-size: 25px; }  .f26 { font-size: 26px; }   .f27 { font-size: 27px; }  .f28 { font-size: 28px; }   .f29 { font-size: 29px; }  .f30 { font-size: 30px; }   .f31 { font-size: 31px; }  
                .borde { border: 1px solid black;   } .fl_der { float:right}  .fl_izq { float:left} .limpiar { clear: both; } .back_color {   background-color: black; color:  white; } .back_gris  {   background-color: gainsboro;    }
           </style>              
    </head>
	<body style="font-family: sans-serif;">         
    <?php   $datosU = $conU->get($idUsuario);        
        $fc1 = '11'; $fc2 = '22'; 
        $linea1 = file_get_contents("plantilla/his_mis_linea1.html");
            $linea1 = str_replace("{ID_ENVIO}", $_REQUEST["idEnvio"], $linea1);
        $linea2 = file_get_contents("plantilla/his_mis_linea2.html");
            $linea2 = str_replace("{ANIO}", date("y", time()), $linea2);
            $linea2 = str_replace("{MES_CORTO}", strtoupper($conU->getFuncion()->mesNombreCorto($mes)), $linea2);            
            $linea2 = str_replace("{NOMBRE_ESTABLECIMIENTO}", $datosP[0]["valor"]." - ".substr($datosP[1]["valor"],0,13), $linea2);
            $linea2 = str_replace("{NOMBRE_SERVICIO}", "ENFERMERIA", $linea2);
            $linea2 = str_replace("{NOMBRE_USUARIO}", $datosU->getDni()." - ".$datosU->getPaterno(), $linea2);
        $linea3 = file_get_contents("plantilla/his_mis_linea3.html");
        $linea4 = file_get_contents("plantilla/his_mis_linea4.html");
        $linea5 = file_get_contents("plantilla/his_mis_linea5.html");
        $linea6 = file_get_contents("plantilla/his_mis_linea6.html");
        $salto = "<div style=\"page-break-before: always;\"></div>";
        $cara2 ="<div class=\"f7 margin_auto\" style=\"width: 700px; margin-top: 5px; page-break-before: always ;\">
                Cara 2
            </div>";
        $lineaNombre = "<div class='f10 bo_arr bo_izq bo_der' style='margin-left: 15px; margin-right: 2px; padding: 1px'>Nombre Completo: 
                    {NOMBRE_COMPLETO} &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Fecha de Nacimiento: {FECHA_NACIMIENTO}
                </div>";
        $aspaSexo = "<div class=\"f29\" style=\"top: -10px; left: 1px; position: absolute; font-family: cursive; font-style: italic;\">X</div>";
        $aspaServ = "<div class=\"f18\" style=\"top: -5px; left: 4px; position: absolute; font-family: cursive; font-style: italic;\">X</div>";
        $aspaTipo = "<div class=\"f17\" style=\"top: -4px; left: 2px; position: absolute; font-family: cursive; font-style: italic;\">X</div>";

        $variables = array("{I}", "{DIA}", "{LINEA_NOMBRE_COMPLETO}", "{NOMBRE_COMPLETO}", "{FECHA_NACIMIENTO}", "{HISTORIA_CLINICA}", "{DNI}", "{ID_FINANCIAMIENTO}", "{ID_ETNIA}", "{DISTRITO}", "{EDAD}", "{SEXO_M}"
                       , "{SEXO_F}", "{NOMBRE_1}", "{P_1}", "{D_1}", "{R_1}", "{LAB_1}", "{CODIGO_1}", "{NOMBRE_2}", "{P_2}", "{D_2}", "{R_2}"
                       , "{LAB_2}", "{CODIGO_2}", "{NOMBRE_3}", "{P_3}", "{D_3}", "{R_3}", "{LAB_3}", "{CODIGO_3}", "{ESTA_N}", "{ESTA_C}"
                       , "{ESTA_R}", "{SERV_N}", "{SERV_C}", "{SERV_R}", "{PESO_CRED}", "{TALLA_CRED}", "{DOSAJE_HB}");
        $valores = array("", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "");
        $plan = $linea4;    
        $renglones = 0; $band=0;    $il = 0;    $band = 0;  
        echo $linea1.$linea2.$linea3;          
       
$fecha1 = $anio."-".str_pad($mes,2,'0',STR_PAD_LEFT)."-01";
$fecha2 = date("Y-m-d", strtotime("+1 MONTH",strtotime($fecha1)));
$fecha2 = date("Y-m-d", strtotime("-1 DAY",strtotime($fecha2)));
//echo $fecha1." - ".$fecha2;
//$fecha2 = (isset($_REQUEST["fechaAtencion2"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion2"])):$fecha1;
//echo "<br />".$fecha1." - ".$fecha2;
$ijk = 0;       //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
for($fec=$fecha1; $fec<=$fecha2; $fec = date("Y-m-d", strtotime($fec)+86400))
{   //echo "<br />".$fec;  
    $fechaAtencion = $fec;
    $consulta = "(SELECT nv.idNino, nv.idUsuario 
        FROM nino_vacuna AS nv INNER JOIN vacuna AS va ON va.idVacuna=nv.idVacuna
        WHERE nv.fechaAtencion='".$fechaAtencion."' AND nv.idUsuario='".$idUsuario."'
            AND nv.estado>0 AND nv.idEnvio='".$idEnvio."' AND va.his=1 GROUP BY nv.idNino)";
    //echo $consulta."<br /><br />";
    //if($fec=='2019-05-11')    echo $consulta."<br /><br />";
    $datosN = $conC->datosTabla($consulta);       
                     
    foreach($datosN AS $item)
    {   $ijk ++;    //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
        $diag = array();    $anteE = 1;  $anteS = 1;    $pais = 0;
        $datosN = $conN->get($item["idNino"]);
        if($datosN->getIdPersona()=="0")
            continue;        
        //var_dump($datosN->getUbigeoDireccion()->getDistrito());
        $dia = date("d", strtotime($fechaAtencion));
        $auxEdad = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion, "MESES");
        
        $finPR1 = array(); $finPR2 = array(); $finPR3 = array();
        $cred = 0;  $credA = 0; $vacu = 0;  $vacuA = 0;
        
        $cond = "idNino='".$datosN->getIdPersona()."';;fechaAtencion<'".$fechaAtencion."';;estado>='1'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
        $anio = date("Y", strtotime($fechaAtencion));
        if(count($datosHist)>0) $credA = 1;
        if(count($datosHist)>0 AND date("Y", strtotime($datosHist[0]->getFechaAtencion()))!=$anio) $credA = 2;
                       
        $edadNino = explode(" ", $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion));
        
        //NIO VISITA        
        $consulta = "SELECT * FROM nino_domicilio AS nd  WHERE nd.idNino='".$item["idNino"]."' 
            AND nd.fechaAtencion='".$fechaAtencion."' AND nd.idUsuario='".$idUsuario."' AND nd.idEnvio='".$idEnvio."' LIMIT 1 ";
        $datosND = $conC->datosTabla($consulta);    $bandVisita = 0;
        
        
        // NIO VACUNA
        $lab2 = ""; $dx2 = ""; $gr = 0;
        $datosNV = $conNV->get(NULL, NULL, "idNino='".$item["idNino"]."';;fechaAtencion='".$fechaAtencion."';;idUsuario='".$idUsuario."'",NULL," idNinoVacuna DESC");
        foreach($datosNV as $item5)
        {   $lab2 = ($gr==0)?$item5->getLab2():$lab2;  $dx2 = $item5->getDiag2();  
            if($item5->getVacuna()->getHis()==0) continue;             
            $lab = ($edadNino[0]<="1" AND $edadNino[1]=="d" AND $item5->getVacuna()->getCodigoHis()=='90585')?"":$item5->getVacuna()->getDosis();
            if($item5->getEstado()==2 or count($datosND)>0)
                $lab = (($lab == "")?"DU":"D").$lab; 
            if($lab=="" AND $lab2!="" AND $gr==0)  {   $lab=$lab2; $gr = 1; $lab2 = "";  }            
            $temp = array("nombre"=>$item5->getVacuna()->getNombre(), "p"=>"P", "d"=>"-D-", "r"=>"R", "lab" => $lab, "codigo"=>$item5->getVacuna()->getCodigoHis(), "z"=>"2") ;
            $diag[] = $temp;  
            $vacu = 1;              
        }   
        if($lab2!="" and count($datosNV)>0)
            $diag[] = array("nombre"=>"", "p"=>"P", "d"=>"D", "r"=>"R", "lab" => $lab2, "codigo"=>"", "z"=>"2") ; 
        if($gr==0 AND $dx2!="" and count($datosNV)>0)
            $diag[] = array("nombre"=>"Comorbilidad", "p"=>"P", "d"=>"D", "r"=>"-R-", "lab" => "", "codigo"=>$dx2, "z"=>"2") ; 
        
        $edadNino[0] = ($edadNino[0]=="0" AND $edadNino[1]=="d")?"1":$edadNino[0];
                                 
        //echo $credA;
        if($credA>0){   
            $anteE = 2;     $anteS = 2;
            if($credA>1){
                $anteE = 3;     $anteS = 3;
            }
        } 
        
        if(count($datosND)>0){  $anteE = 2;     $anteS = 2; }
        
        $i = 0; $j = 0; $plantilla = "";
        foreach($diag as $linea)
        {   $i++;   $j++;                    
            if($j==1)   {   $aux = $plan;    
                $il+=1; $aux = str_replace("{I}", "{I".$il."}", $aux);
            }
            
            if($i==1)
            {   $aux = str_replace("{DIA}", $dia, $aux);
                $aux = str_replace("{LINEA_NOMBRE_COMPLETO}", $lineaNombre, $aux);
                $aux = str_replace("{NOMBRE_COMPLETO}", $datosN->getNombreCompleto(), $aux);
                $aux = str_replace("{FECHA_NACIMIENTO}", $conF->getFechaDMY($datosN->getFechaNacimiento()), $aux);
                $aux = str_replace("{HISTORIA_CLINICA}", $datosN->getHistoriaClinica(), $aux);
                $aux = str_replace("{DNI}", ($datosN->getDni()=="")?(($datosN->getCnv()=="")?"":("c".$datosN->getCnv())):$datosN->getDni(), $aux);
                $aux = str_replace("{ID_FINANCIAMIENTO}", ($datosN->getIdFinanciamiento()==0)?1:$datosN->getIdFinanciamiento(), $aux);
                $aux = str_replace("{ID_ETNIA}", ($datosN->getIdEtnia()==0)?58:$datosN->getIdEtnia(), $aux);
                $aux = str_replace("{DISTRITO}", substr($datosN->getUbigeoDireccion()->getDistrito(),0,9), $aux);
                    
                $aux = str_replace("{EDAD}", $edadNino[0]."<br>".$edadNino[1], $aux);
                $aux = str_replace("{SEXO_M}", (($datosN->getSexo()=="M")?$aspaSexo:""), $aux);                        
                $aux = str_replace("{SEXO_F}", (($datosN->getSexo()=="F")?$aspaSexo:""), $aux);
                $aux = str_replace("{ESTA_N}", (($anteE==1)?$aspaServ:""), $aux);                        
                $aux = str_replace("{ESTA_C}", (($anteE==2)?$aspaServ:""), $aux);
                $aux = str_replace("{ESTA_R}", (($anteE==3)?$aspaServ:""), $aux);                        
                $aux = str_replace("{SERV_N}", (($anteS==1)?$aspaServ:""), $aux);
                $aux = str_replace("{SERV_C}", (($anteS==2)?$aspaServ:""), $aux);                        
                $aux = str_replace("{SERV_R}", (($anteS==3)?$aspaServ:""), $aux);                                                
            }
            
            $aux = str_replace("{NOMBRE_".$j."}", $linea["nombre"], $aux);
            $aux = str_replace("{P_".$j."}", ((strlen($linea["p"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{D_".$j."}", ((strlen($linea["d"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{R_".$j."}", ((strlen($linea["r"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{LAB_".$j."}", $linea["lab"], $aux);
            $aux = str_replace("{CODIGO_".$j."}", $linea["codigo"], $aux);
            if($j==3)   {   $j=0;                       
                $aux = $conF->replace_form($aux, $variables, $valores);
                $plantilla .= $aux;
            }                    
        }    
            
        if($j>0)
        {   $aux = $conF->replace_form($aux, $variables, $valores);
            $plantilla .= $aux;
        }
        
        $aa = ceil(count($diag)/3);  $max = ($band==0)?$fc1:$fc2;
        $kk = $il - $aa; 
        if($renglones + $aa >$max)
        {   $band = ($band==0)?1:0;                    
            for($k=0; $k<($max-$renglones); $k++ )
            {   $aux1 = $plan; $kk+=1; $aux1 = str_replace("{I}", $kk, $aux1);
                $aux1 = str_replace("{LINEA_NOMBRE_COMPLETO}", $lineaNombre, $aux1);
                $aux1 = str_replace("{NOMBRE_COMPLETO}", "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ", $aux1);
                $aux1 = str_replace("{FECHA_NACIMIENTO}", "", $aux1);
                $aux1 = $conF->replace_form($aux1, $variables, $valores);                        
                echo $aux1;
            }
            
            $AA = $renglones+1;    $BB = $max - $renglones;    $jjj = $AA + $BB; 
            if($max==$fc2)    $jjj = 1;
            for($p=$AA; $p<=$il+($kk-($il - $aa)); $p++)
            {   $plantilla = str_replace("{I".$p."}", $jjj, $plantilla);
                $jjj++;
            }
            
            $renglones += ($kk-($il - $aa));                    
            $il=$p-1;
            if($max==$fc1)   echo $linea6.$cara2.$linea3;                    
            if($max==$fc2)
            {   echo $linea5.$linea6.$salto.$linea1.$linea2.$linea3;
                $renglones = 0; $il = $aa;
            }           
           
        }
        for($i=$il-$aa;$i<=$il;$i++)
            $plantilla = str_replace("{I".$i."}", $i, $plantilla);
        echo $plantilla;                
        $renglones += $aa;
    }
}
    
if($ijk>0)    
{   $kk = $renglones; 
    for($k=0; $k<($max-$renglones); $k++ )
            {   $aux1 = $plan;
                $kk+=1; $aux1 = str_replace("{I}", $kk, $aux1);                
                $aux1 = str_replace("{LINEA_NOMBRE_COMPLETO}", $lineaNombre, $aux1);
                $aux1 = str_replace("{NOMBRE_COMPLETO}", "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; ", $aux1);
                $aux1 = str_replace("{FECHA_NACIMIENTO}", "", $aux1);
                $aux1 = $conF->replace_form($aux1, $variables, $valores);                        
                echo $aux1;
            }
    if($max==$fc2)  
        echo $linea5;
    echo $linea6;
}  
else
    echo "<div class='center'><h1 style='color:red; '>NO HAY ACTIVIDADES QUE IMPRIMIR</h1></div>"              
        ?>  
    </body> 
</html>
<script>
    //print();
</script>
