<?php   session_start();
error_reporting(E_ALL);

ini_set("memory_limit","256M");
ini_set('max_execution_time', 600);

$fichero = '../reportes/his1.dbf';
$nuevo_fichero = '../reportes/HIS10215.DBF';

if (!copy($fichero, $nuevo_fichero)) {
    echo "Error al copiar ".$fichero."...\n";
}

$db = dbase_open($nuevo_fichero, 2);   
 

    function convert_to_csv($input_array, $output_file_name, $delimiter)
    {
        /** open raw memory as file, no need for temp files */
        $temp_memory = fopen('php://memory', 'w');
        /** loop through array  */
        foreach ($input_array as $line) {
            /** default php csv handler **/
            fputcsv($temp_memory, $line, $delimiter);
        }
        /** rewrind the "file" with the csv lines **/
        fseek($temp_memory, 0);
        /** modify header to be downloadable csv file **/
        header('Content-Type: application/csv');
        header('Content-Disposition: attachement; filename="' . $output_file_name . '";');
        /** Send file to browser for download */
        fpassthru($temp_memory);
    }
     
    /** Array to convert to csv */
     
    $array_to_csv = Array(
        Array('COD_2000', 'ANO', 'MES', 'NOM_LOTE', 'NUM_PAG', 'CODIF', 'COD_SERVSA', 'PLAZA'
            , 'ESTA_PAG', 'TOT_REG', 'FLAGENVIO', 'MT', 'ST' )    
    );
        
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';   
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);  $conN = $conNC->getPersona();
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y", time());
$mesAnio = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:date("m", time());

$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

$codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
            , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669");
$digi = array();

$consulta = "SELECT * FROM usuario WHERE tipoUsuario='3' ORDER BY idUsuario ASC ";
$datosU = $conC->datosTabla($consulta); $lote = 0;

foreach($datosU AS $itemU)
{   

$fecha1 = (isset($_REQUEST["fecha1"]))?$conF->getFechaYMD($_REQUEST["fecha1"]):($anio."-".$mesAnio."-01");
//$fecha1 = "2015-07-18";
$fecha2 = (isset($_REQUEST["fecha2"]))?$conF->getFechaYMD($_REQUEST["fecha2"]):($anio."-".$mesAnio."-".$conF->diasMes($mesAnio, $anio));
//$fecha2 = "2015-07-20";
    $pag = 0;     $reg = 0;
for($fec=$fecha1; $fec<=$fecha2; $fec = date("Y-m-d", strtotime($fec)+86400))
{   //echo $fec."<br />";  
    $fechaAtencion = $fec;
    $consulta = "(SELECT idNino FROM sin_nino.nino_cred WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>'0' AND estado<=3 AND peso>0 GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_suplemento WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>='1' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_tamizaje WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_psicomotor WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT nv.idNino FROM sin_nino.nino_vacuna AS nv INNER JOIN sin_nino.vacuna AS va ON va.idVacuna=nv.idVacuna WHERE nv.fechaAtencion='".$fechaAtencion."' AND nv.idUsuario='".$itemU["idUsuario"]."' AND nv.estado>0 AND va.his=1 GROUP BY nv.idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_domicilio WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' AND estado>0 AND motivo>0 GROUP BY idNino)";
     
    $datosNinos = $conC->datosTabla($consulta);     
    
    $diaCorte = 1;  $bandCorte = 0; //DIAS ANTERIORES AL MES DEL ULTIMO CORTE    
    foreach($datosNinos AS $item)
    {   $ijk = 0;       
        $ijk ++;    //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
        $digi = array();
        $digi[] = $datosP[0]["valor"];
        
        $diag = array();    $finPR = array();    $anteE = 1;  $anteS = 1;    $pais = 0;
        $datosN = $conN->get($item["idNino"]); 
        if($datosN->getIdNino()=="0")
            continue; 
        
        $dia = date("j", strtotime($fechaAtencion));
        $mes = date("n", strtotime($fechaAtencion));
            if(str_pad($mes, 2, "0", STR_PAD_LEFT) != $mesAnio AND $bandCorte==0)
            {   $dia = $diaCorte;   $band = 1;  }          
        $anio = date("Y", strtotime($fechaAtencion));
        $digi[] = $anio;        $digi[] = ltrim($mesAnio,"0");                                 $cab11 = $digi;   $digi = array(); 
        $reg = ($reg==25)?1:(++$reg);
        $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
        $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
        $digi[] = "S".$lote;        $digi[] = "".$pag;  $cab12 = $digi;   $digi = array();
        $digi[] = "14304337500";           
        $digi[] = "301203";
        $digi[] = "1".$itemU["dni"].(($itemU["colegiatura"]=="")?"06":$itemU["colegiatura"]);
        $digi[] = "2";   
        
        $cab13 = $digi;   $cab1 = array_merge($cab11, $cab12, $cab13);   
        
        $cab3 = array("", "M", "2");   
                
        $auxEdad = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion, "MESES");
        $edadMeses = explode(" ", $auxEdad);                
        
        //NIO VISITA        
        $consulta = "SELECT * FROM sin_nino.nino_domicilio AS nd  WHERE nd.idNino='".$item["idNino"]."' 
            AND nd.fechaAtencion='".$fechaAtencion."' AND nd.idUsuario='".$itemU["idUsuario"]."' ";
        $datosND = $conC->datosTabla($consulta);    $bandVisita = 0;
        
        //QUERY NIO SUPLEMENTO
        $query = "SELECT * FROM sin_nino.nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND estado>='1' AND idResponsable='".$itemU["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);
        //QUERY VACUNA
            $query = "SELECT group_concat(idVacuna) as idVacuna 
            FROM sin_nino.vacuna WHERE his=0 GROUP BY his";
            $datosVH = $conC->datosTabla($query);  $cond3 = (count($datosVH)==0)?"":";;!FIND_IN_SET(idVacuna,'".$datosVH[0][0]."')";
        $datosNV = $conNV->get(NULL, NULL, "idNino='".$item["idNino"]."';;fechaAtencion='".$fechaAtencion."'".$cond3.";;idUsuario='".$itemU["idUsuario"]."';;estado>='1'");
        
        //NIO CRED
        $consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre, ni.dni, ni.historiaClinica
               , ni.pesoNacimiento, ni.sexo , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio
               , obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes, obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia
               , obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion) as meses, nc.numeroControl AS numCtrl, nc.peso
               , nc.talla, nc.perimetroCefalico, nc.lme, nc.consejeriaNutricional, nc.estimulacion, nc.pesoEdad
               , nc.tallaEdad, nc.tallaPeso, nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento, ni.idEtnia
               , ni.idFinanciamiento, ub.distrito, ni.idNino, nc.idRegla, nc.estado
            FROM sin_nino.nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino  LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
            WHERE ni.idNino='".$item["idNino"]."' AND fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND nc.estado>=1 AND nc.estado<=3";
        $datosNC = $conC->datosTabla($consulta);  
              
        if(count($datosNC)>0 && $datosNC[0]["peso"]<=0)   
        {   $ijk--;   
            continue;   }
        $bandZ = 1; $finPR1 = array(); $finPR2 = array(); $finPR3 = array();
        $cred = 0;  $credA = 0; $vacu = 0;  $vacuA = 0;
        
        $cond = "idNino='".$datosN->getIdNino()."';;fechaAtencion<'".$fechaAtencion."';;estado>='1'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
        $anio = date("Y", strtotime($fechaAtencion));
        if(count($datosHist)>0) $credA = 1;
        if(count($datosHist)>0 AND date("Y", strtotime($datosHist[0]->getFechaAtencion()))!=$anio) $credA = 2;
        
        $cont = 0;
        $cab2 = array();                
        if(count($datosNC)>0)
        {   $datosR = $conR->get($datosNC[0]["idRegla"]);
            $cred = 1;  $cab2 = array();
            if($datosNC[0]["estado"]=="1" or $datosNC[0]["estado"]=="3")
            {   if($datosNC[0]["estado"]=="3" and $edadMeses==0)
                {   $bandVisita = 1;
                    if(count($datosND)>0)
                    {   $temp = array("D", "lab"=>$datosND[0]["numeroVisita"], "codigo"=>"C0011");
                        $diag[] = $temp;                        
                    }                                                            
                } 
                if($datosNC[0]["meses"]==0 AND $datosNC[0]["numCtrl"]==1)
                {   $temp = array("D", "", "P070");
                    if($datosNC[0]["pesoNacimiento"]>=1)    $temp = array("D", "", "P0711");
                    if($datosNC[0]["pesoNacimiento"]>=1.5)  $temp = array("D", "", "P0712");
                    if($datosNC[0]["pesoNacimiento"]>=2.5)  $temp = array("D", "", "Z006");
                    if($datosNC[0]["pesoNacimiento"]>=4)    $temp = array("D", "", "P080");
                    $diag[] = $temp;                    
                }   $temp = array("D", $datosNC[0]["numCtrl"], "Z001");   $diag[] = $temp;                 
            }                                        
                                                   
            $nom = $datosNC[0]["pesoEdad"]; $d = "D"; $lab = "PE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getPesoEdad():"";
            if($datosNC[0]["pesoEdad"]!="N")
            {   if($nom=="GiP")     {   if($nomA=="GiP")    $d="R";   else    $d="D";    
                }elseif($nom=="DA") {   if($nomA=="DA")     $d="R";   else    $d="D";    
                }elseif($nom=="SP") {   if($nomA=="SP")     $d="R";   else    $d="D";       
                }   $temp = array($d, $lab, $codigo[$nom]);  $diag[] = $temp;     $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "PE", $codigo[$nomA], "", "PR", "");   $bandZ = 0;      }
            
            $nom = $datosNC[0]["tallaEdad"]; $d = "D"; $lab = "TE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaEdad():"";                    
            if($datosNC[0]["tallaEdad"]!="N")
            {   if($nom=="GiT")     {   if($nomA=="GiT")    $d="R";   else    $d="D";                             
                }elseif($nom=="TB" or $nom=="TS") {   if($nomA=="TB" or $nomA=="TS")     $d="R";   else    $d="D";                    
                }elseif($nom=="TA") {   if($nomA=="TA")     $d="R";   else    $d="D";                        
                }   $temp = array($d, $lab, $codigo[$nom]);
                $diag[] = $temp;     $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TE", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;     }                
            
            $nom = $datosNC[0]["tallaPeso"]; $d = "D"; $lab = "TP"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaPeso():"";
            if($nom!="N")
            {   if($nom=="DA")      {   if($nomA=="DA")    $d="R";   else    $d="D";
                }elseif($nom=="DS") {   if($nomA=="DS")    $d="R";   else    $d="D";
                }elseif($nom=="SP") {   if($nomA=="SP")    $d="R";   else    $d="D";
                }elseif($nom=="OB") {   if($nomA=="OB")    $d="R";   else    $d="D";                        
                }   $diag[] = array($d, $lab, $codigo[$nom]);
                $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TP", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;
            }
            
            if($bandZ == 1) /* NIO NORMAL EN CONTROL ACTUAL */
                $diag[] = array("D", "", "Z006");   
            if($datosNC[0]["lme"]==2 || $datosNC[0]["lme"]==3) 
            {   if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                {   $LabAc = "IA";
                    if(count($datosHist)>0)
                        if($datosHist[0]->getLme()==2 || $datosHist[0]->getLme()==3)
                            $LabAc = ($datosNC[0]["lme"]==2)?"AA":"AI";                
                    $diag[] = array("D", $LabAc, "Z0017");
                }
            }
            if($datosNC[0]["lme"]==1 && $datosNC[0]["meses"]==6)   
                if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                    $diag[] = array("D", "", "Z391");   
            
            if($datosNC[0]["numCtrl"]==$datosR->getCantidadMaxima())    $pais = "TA";
            elseif($datosNC[0]["numCtrl"]==1)                           $pais = 1;                 
        }
        
        if($pais!="0")  $diag[] = array("D", $pais, "C8002");
        
        // NIO PSICOMOTOR
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
            WHERE np.fechaAtencion='".$fechaAtencion."' AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."'
            GROUP BY np.estado";      $datosNP = $conC->datosTabla($query);
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np  WHERE np.fechaAtencion<'".$fechaAtencion."' 
                AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY np.estado ORDER BY np.fechaAtencion DESC LIMIT 1";                    
        $datosNPA = $conC->datosTabla($query);  $d="D";               
        if(count($datosNP)>0)
        {   $temp = array();
            if(count($datosNPA)>0)
            {   if($datosNPA[0]["estado"]=="ED")      $d = "D";
                else                                  $d = "R";                        
            }
            else                        $d = "D";
            
            if(count($datosNP)>1)                $temp = array($d, "", "F83X" );
            elseif($datosNP[0]["estado"]!='ED')  $temp = array($d, $datosNP[0]["estado"], "F82X");            
            else
            {   if($d == "R")   $finPR[] = array("R", $datosNPA[0]["estado"], "F82X", "", "PR", "");
                else            $temp = array("D", "ED", "Z006");                      
            }         
            if(count($temp)>0)           
                $diag[] = $temp;
        }    
        
        //OTROS DATOS CRED - ORDENANDO NOMAS
        if(count($datosNC)>0)
        {   if($datosNC[0]["consejeriaNutricional"]==1 AND count($datosNS)==0)  
                $diag[] = array("D", $datosNC[0]["numCtrl"], "99403"); 
                
            if($datosNC[0]["estimulacion"]>=1)                     $diag[] = array("D", $datosNC[0]["estimulacion"], "99411");
                                          
        }
        
        //MOTIVO DE VISITA
        $bandMotivo = 0;
        if(count($datosND)>0 and count($datosNC)==0)
        {   if($datosND[0]["motivo"]=="1" and count($datosNC)==0)    $diag[] = array("D", "", "Z762");
            if($datosND[0]["motivo"]=="2" and count($datosNS)==0)    $diag[] = array("D", "", "Z298");
            if($datosND[0]["motivo"]=="3" and count($datosNV)==0)    $diag[] = array("D", "", "Z280");
            if($datosND[0]["motivo"]=="0")  $bandMotivo = 0;    else $bandMotivo = 1;
              //$array_to_csv[] = array(count($datosND));
        } 
        // NIO SUPLEMENTACION 
        $query = "SELECT * FROM sin_nino.nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND estado>='1' AND idResponsable='".$itemU["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);
        if(count($datosNS)>0)
        {   if(count($diag)==(6-count($datosNS)) and count($finPR)==0) 
                for($iS=0;$iS<count($datosNS);$iS++) $diag[] = array("", "", "");
            foreach($datosNS AS $itemNS)
            {   $labS = ""; $numCtrl = $itemNS["numeroControl"];
                switch($itemNS["idRegla"])
                {   case  "8":  $labS .= "SF";                          break;
                    case  "9":  $aux = (($itemNS["cantidad"]/30)-1<0)?0:(($itemNS["cantidad"]/30)-1);
                                $numCtrl = $itemNS["numeroControl"] + $aux;    break;
                    case "10":  $labS .= "VA";                          break;
                    case "11":  $labS .= "SF";                          break;
                    case "12":  $labS .= "ZN";  $numCtrl = "";          break;
                    case "16":                                          break;
                }
                $labS .= $numCtrl;
                
                $temp = array("D", $labS, "Z298");
                if($itemNS["idRegla"]==16)  $temp = array("D", $labS, "Z292");
                $diag[] = $temp; 
                if($itemNS["numeroControl"]=="12")
                    $diag[] = array("D", "TA", "Z298");                    
            } 
            $diag[] = array("D", "MN", "99403");            
            if(($datosNS[0]["estado"]=="2" or count($datosND)>0) and $bandVisita=='0')
            {   $bandVisita = 1;        
                $diag[] = array("D", (count($datosND)>0)?$datosND[0]["numeroVisita"]:"1", "C0011");                                                        
            }                   
        }                                
        
        // NIO TAMIZAJE
        $query = "SELECT nt.idReglaTamizaje AS idRegla, max(nt.resultado) as resultado FROM sin_nino.nino_tamizaje AS nt 
            WHERE idNino='".$item["idNino"]."' and nt.fechaAtencion='".$fechaAtencion."' and idUsuario='".$itemU["idUsuario"]."'
            GROUP BY idReglaTamizaje ORDER BY idReglaTamizaje ASC, numeroControl ASC, resultado DESC";
        $datosNT = $conC->datosTabla($query);   $ij = 0;
        if(count($datosNT)>0)
        {   foreach($datosNT AS $itemNT)  
            {   $p = "P";   $d = "D";
                $d = ($itemNT["resultado"]==0)?"P":"D";
                if($itemNT["idRegla"]==13)               $diag[] = array($d, "", "85018");
                elseif($itemNT["idRegla"]==23)           $diag[] = array($d, "VIF", "U140");
                else
                {   $ij++;   $temp = array($d, "", "Z119");   if($ij==1)      $diag[] = $temp;   }                               
            }                   
        }         
        if(count($datosND)>0 and $bandMotivo=='1' and $bandVisita=='0') $diag[] = array("D", $datosND[0]["numeroVisita"], "C0011");
        
        $contPR = count($finPR);    $iPR = 0;   $bandV = 0;
        if(count($diag)>0)
        {   $cab2 = array_merge($cab2, $cab1);  $cont = 0;  $bandV = 1;
            foreach($diag AS $di)
            {   if($cont==4 && $iPR<$contPR)
                {   if($di[2]!='99403')
                    {   if($reg == "25")  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                            dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
                        }
                        $digi = array();    $reg = ($reg==25)?1:(++$reg); 
                        $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;    $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                        $digi[] = "S".$lote; $digi[] = "".$pag; 
                        $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13);     
                        $cab2 = $cab1;   $cont = 0; $iPR++;                        
                    }                                        
                }                    
                if($cont==6)
                {   $cab2 = array_merge($cab2, $cab3); 
                    if($reg == "25")   { $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                            dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
                    }
                    $digi = array();    $reg = ($reg==25)?1:(++$reg); 
                    $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;  $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                    $digi[] = "S".$lote; $digi[] = "".$pag; 
                    $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13); 
                    $cab2 = $cab1;   $cont = 0;
                }
                $cab2 = array_merge($cab2, $di);         $cont++;
            } 
            if($cont<5 && $iPR<$contPR)
            {   $cab2 = array_merge($cab2, $finPR[$iPR]);
                $cont+=2;           $iPR++;       
            }
            for($jjj=0; $jjj<6-$cont; $jjj++)
                $cab2 = array_merge($cab2, array("", "", ""));                           
            $cab2 = array_merge($cab2, $cab3);
            if($reg == "25")   { $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                    dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }  
                    
        }
        for($jjj=$iPR; $jjj<$contPR; $jjj++)
        {   $bandV = 1; $digi = array();
            //if($jjj>0)
            {    $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
                $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;                
            }                
            $digi[] = "S".$lote;        $digi[] = "".$pag;    $cab12 = $digi;  
            $cab1 = array_merge($cab11, $cab12, $cab13);     
            if($reg == "25") {   $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }
        }
                    
        // NIO VACUNA        
        if(count($datosNV)>0)
        {   if($bandV==1)
            {   $digi = array(); $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
                $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                $digi[] = "S".$lote;        $digi[] = "".$pag;  $cab12 = $digi;  
                $cab1 = array_merge($cab11, $cab12, $cab13); 
            }            
            if($reg == "25")  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }           
        }        
    }// FIN DE BUCLE NIO
    
    
}// FIN DE BUCLE FECHA
//$array_to_csv[] = array($reg);
if($reg != "25" and $reg!=0)  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
    dbase_add_record($db, array_merge($cab1, array($reg), $cab3));  
} 

}// FIN DE BUCLE USUARIO  
dbase_close($db);

$formato = (isset($_REQUEST["formato"]))?$_REQUEST["formato"]:"dbf";
if($formato=="dbf")
{   header("Content-disposition: attachment; filename=HIS1".str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].".DBF");
    header("Content-type: application/octet-stream");
    readfile($nuevo_fichero);    
}
else
    convert_to_csv($array_to_csv, 'HIS1'.str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].'.csv', ',');   

 
?><?php   session_start();
error_reporting(E_ALL);

ini_set("memory_limit","256M");
ini_set('max_execution_time', 600);

$fichero = '../reportes/his1.dbf';
$nuevo_fichero = '../reportes/HIS10215.DBF';

if (!copy($fichero, $nuevo_fichero)) {
    echo "Error al copiar ".$fichero."...\n";
}

$db = dbase_open($nuevo_fichero, 2);   
 

    function convert_to_csv($input_array, $output_file_name, $delimiter)
    {
        /** open raw memory as file, no need for temp files */
        $temp_memory = fopen('php://memory', 'w');
        /** loop through array  */
        foreach ($input_array as $line) {
            /** default php csv handler **/
            fputcsv($temp_memory, $line, $delimiter);
        }
        /** rewrind the "file" with the csv lines **/
        fseek($temp_memory, 0);
        /** modify header to be downloadable csv file **/
        header('Content-Type: application/csv');
        header('Content-Disposition: attachement; filename="' . $output_file_name . '";');
        /** Send file to browser for download */
        fpassthru($temp_memory);
    }
     
    /** Array to convert to csv */
     
    $array_to_csv = Array(
        Array('COD_2000', 'ANO', 'MES', 'NOM_LOTE', 'NUM_PAG', 'CODIF', 'COD_SERVSA', 'PLAZA'
            , 'ESTA_PAG', 'TOT_REG', 'FLAGENVIO', 'MT', 'ST' )    
    );
        
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';   
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);  $conN = $conNC->getPersona();
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y", time());
$mesAnio = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:date("m", time());

$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

$codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
            , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669");
$digi = array();

$consulta = "SELECT * FROM usuario WHERE tipoUsuario='3' ORDER BY idUsuario ASC ";
$datosU = $conC->datosTabla($consulta); $lote = 0;

foreach($datosU AS $itemU)
{   

$fecha1 = (isset($_REQUEST["fecha1"]))?$conF->getFechaYMD($_REQUEST["fecha1"]):($anio."-".$mesAnio."-01");
//$fecha1 = "2015-07-18";
$fecha2 = (isset($_REQUEST["fecha2"]))?$conF->getFechaYMD($_REQUEST["fecha2"]):($anio."-".$mesAnio."-".$conF->diasMes($mesAnio, $anio));
//$fecha2 = "2015-07-20";
    $pag = 0;     $reg = 0;
for($fec=$fecha1; $fec<=$fecha2; $fec = date("Y-m-d", strtotime($fec)+86400))
{   //echo $fec."<br />";  
    $fechaAtencion = $fec;
    $consulta = "(SELECT idNino FROM sin_nino.nino_cred WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>'0' AND estado<=3 AND peso>0 GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_suplemento WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>='1' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_tamizaje WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_psicomotor WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT nv.idNino FROM sin_nino.nino_vacuna AS nv INNER JOIN sin_nino.vacuna AS va ON va.idVacuna=nv.idVacuna WHERE nv.fechaAtencion='".$fechaAtencion."' AND nv.idUsuario='".$itemU["idUsuario"]."' AND nv.estado>0 AND va.his=1 GROUP BY nv.idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_domicilio WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' AND estado>0 AND motivo>0 GROUP BY idNino)";
     
    $datosNinos = $conC->datosTabla($consulta);     
    
    $diaCorte = 1;  $bandCorte = 0; //DIAS ANTERIORES AL MES DEL ULTIMO CORTE    
    foreach($datosNinos AS $item)
    {   $ijk = 0;       
        $ijk ++;    //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
        $digi = array();
        $digi[] = $datosP[0]["valor"];
        
        $diag = array();    $finPR = array();    $anteE = 1;  $anteS = 1;    $pais = 0;
        $datosN = $conN->get($item["idNino"]); 
        if($datosN->getIdNino()=="0")
            continue; 
        
        $dia = date("j", strtotime($fechaAtencion));
        $mes = date("n", strtotime($fechaAtencion));
            if(str_pad($mes, 2, "0", STR_PAD_LEFT) != $mesAnio AND $bandCorte==0)
            {   $dia = $diaCorte;   $band = 1;  }          
        $anio = date("Y", strtotime($fechaAtencion));
        $digi[] = $anio;        $digi[] = ltrim($mesAnio,"0");                                 $cab11 = $digi;   $digi = array(); 
        $reg = ($reg==25)?1:(++$reg);
        $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
        $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
        $digi[] = "S".$lote;        $digi[] = "".$pag;  $cab12 = $digi;   $digi = array();
        $digi[] = "14304337500";           
        $digi[] = "301203";
        $digi[] = "1".$itemU["dni"].(($itemU["colegiatura"]=="")?"06":$itemU["colegiatura"]);
        $digi[] = "2";   
        
        $cab13 = $digi;   $cab1 = array_merge($cab11, $cab12, $cab13);   
        
        $cab3 = array("", "M", "2");   
                
        $auxEdad = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion, "MESES");
        $edadMeses = explode(" ", $auxEdad);                
        
        //NIO VISITA        
        $consulta = "SELECT * FROM sin_nino.nino_domicilio AS nd  WHERE nd.idNino='".$item["idNino"]."' 
            AND nd.fechaAtencion='".$fechaAtencion."' AND nd.idUsuario='".$itemU["idUsuario"]."' ";
        $datosND = $conC->datosTabla($consulta);    $bandVisita = 0;
        
        //QUERY NIO SUPLEMENTO
        $query = "SELECT * FROM sin_nino.nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND estado>='1' AND idResponsable='".$itemU["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);
        //QUERY VACUNA
            $query = "SELECT group_concat(idVacuna) as idVacuna 
            FROM sin_nino.vacuna WHERE his=0 GROUP BY his";
            $datosVH = $conC->datosTabla($query);  $cond3 = (count($datosVH)==0)?"":";;!FIND_IN_SET(idVacuna,'".$datosVH[0][0]."')";
        $datosNV = $conNV->get(NULL, NULL, "idNino='".$item["idNino"]."';;fechaAtencion='".$fechaAtencion."'".$cond3.";;idUsuario='".$itemU["idUsuario"]."';;estado>='1'");
        
        //NIO CRED
        $consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre, ni.dni, ni.historiaClinica
               , ni.pesoNacimiento, ni.sexo , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio
               , obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes, obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia
               , obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion) as meses, nc.numeroControl AS numCtrl, nc.peso
               , nc.talla, nc.perimetroCefalico, nc.lme, nc.consejeriaNutricional, nc.estimulacion, nc.pesoEdad
               , nc.tallaEdad, nc.tallaPeso, nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento, ni.idEtnia
               , ni.idFinanciamiento, ub.distrito, ni.idNino, nc.idRegla, nc.estado
            FROM sin_nino.nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino  LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
            WHERE ni.idNino='".$item["idNino"]."' AND fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND nc.estado>=1 AND nc.estado<=3";
        $datosNC = $conC->datosTabla($consulta);  
              
        if(count($datosNC)>0 && $datosNC[0]["peso"]<=0)   
        {   $ijk--;   
            continue;   }
        $bandZ = 1; $finPR1 = array(); $finPR2 = array(); $finPR3 = array();
        $cred = 0;  $credA = 0; $vacu = 0;  $vacuA = 0;
        
        $cond = "idNino='".$datosN->getIdNino()."';;fechaAtencion<'".$fechaAtencion."';;estado>='1'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
        $anio = date("Y", strtotime($fechaAtencion));
        if(count($datosHist)>0) $credA = 1;
        if(count($datosHist)>0 AND date("Y", strtotime($datosHist[0]->getFechaAtencion()))!=$anio) $credA = 2;
        
        $cont = 0;
        $cab2 = array();                
        if(count($datosNC)>0)
        {   $datosR = $conR->get($datosNC[0]["idRegla"]);
            $cred = 1;  $cab2 = array();
            if($datosNC[0]["estado"]=="1" or $datosNC[0]["estado"]=="3")
            {   if($datosNC[0]["estado"]=="3" and $edadMeses==0)
                {   $bandVisita = 1;
                    if(count($datosND)>0)
                    {   $temp = array("D", "lab"=>$datosND[0]["numeroVisita"], "codigo"=>"C0011");
                        $diag[] = $temp;                        
                    }                                                            
                } 
                if($datosNC[0]["meses"]==0 AND $datosNC[0]["numCtrl"]==1)
                {   $temp = array("D", "", "P070");
                    if($datosNC[0]["pesoNacimiento"]>=1)    $temp = array("D", "", "P0711");
                    if($datosNC[0]["pesoNacimiento"]>=1.5)  $temp = array("D", "", "P0712");
                    if($datosNC[0]["pesoNacimiento"]>=2.5)  $temp = array("D", "", "Z006");
                    if($datosNC[0]["pesoNacimiento"]>=4)    $temp = array("D", "", "P080");
                    $diag[] = $temp;                    
                }   $temp = array("D", $datosNC[0]["numCtrl"], "Z001");   $diag[] = $temp;                 
            }                                        
                                                   
            $nom = $datosNC[0]["pesoEdad"]; $d = "D"; $lab = "PE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getPesoEdad():"";
            if($datosNC[0]["pesoEdad"]!="N")
            {   if($nom=="GiP")     {   if($nomA=="GiP")    $d="R";   else    $d="D";    
                }elseif($nom=="DA") {   if($nomA=="DA")     $d="R";   else    $d="D";    
                }elseif($nom=="SP") {   if($nomA=="SP")     $d="R";   else    $d="D";       
                }   $temp = array($d, $lab, $codigo[$nom]);  $diag[] = $temp;     $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "PE", $codigo[$nomA], "", "PR", "");   $bandZ = 0;      }
            
            $nom = $datosNC[0]["tallaEdad"]; $d = "D"; $lab = "TE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaEdad():"";                    
            if($datosNC[0]["tallaEdad"]!="N")
            {   if($nom=="GiT")     {   if($nomA=="GiT")    $d="R";   else    $d="D";                             
                }elseif($nom=="TB" or $nom=="TS") {   if($nomA=="TB" or $nomA=="TS")     $d="R";   else    $d="D";                    
                }elseif($nom=="TA") {   if($nomA=="TA")     $d="R";   else    $d="D";                        
                }   $temp = array($d, $lab, $codigo[$nom]);
                $diag[] = $temp;     $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TE", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;     }                
            
            $nom = $datosNC[0]["tallaPeso"]; $d = "D"; $lab = "TP"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaPeso():"";
            if($nom!="N")
            {   if($nom=="DA")      {   if($nomA=="DA")    $d="R";   else    $d="D";
                }elseif($nom=="DS") {   if($nomA=="DS")    $d="R";   else    $d="D";
                }elseif($nom=="SP") {   if($nomA=="SP")    $d="R";   else    $d="D";
                }elseif($nom=="OB") {   if($nomA=="OB")    $d="R";   else    $d="D";                        
                }   $diag[] = array($d, $lab, $codigo[$nom]);
                $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TP", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;
            }
            
            if($bandZ == 1) /* NIO NORMAL EN CONTROL ACTUAL */
                $diag[] = array("D", "", "Z006");   
            if($datosNC[0]["lme"]==2 || $datosNC[0]["lme"]==3) 
            {   if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                {   $LabAc = "IA";
                    if(count($datosHist)>0)
                        if($datosHist[0]->getLme()==2 || $datosHist[0]->getLme()==3)
                            $LabAc = ($datosNC[0]["lme"]==2)?"AA":"AI";                
                    $diag[] = array("D", $LabAc, "Z0017");
                }
            }
            if($datosNC[0]["lme"]==1 && $datosNC[0]["meses"]==6)   
                if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                    $diag[] = array("D", "", "Z391");   
            
            if($datosNC[0]["numCtrl"]==$datosR->getCantidadMaxima())    $pais = "TA";
            elseif($datosNC[0]["numCtrl"]==1)                           $pais = 1;                 
        }
        
        if($pais!="0")  $diag[] = array("D", $pais, "C8002");
        
        // NIO PSICOMOTOR
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
            WHERE np.fechaAtencion='".$fechaAtencion."' AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."'
            GROUP BY np.estado";      $datosNP = $conC->datosTabla($query);
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np  WHERE np.fechaAtencion<'".$fechaAtencion."' 
                AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY np.estado ORDER BY np.fechaAtencion DESC LIMIT 1";                    
        $datosNPA = $conC->datosTabla($query);  $d="D";               
        if(count($datosNP)>0)
        {   $temp = array();
            if(count($datosNPA)>0)
            {   if($datosNPA[0]["estado"]=="ED")      $d = "D";
                else                                  $d = "R";                        
            }
            else                        $d = "D";
            
            if(count($datosNP)>1)                $temp = array($d, "", "F83X" );
            elseif($datosNP[0]["estado"]!='ED')  $temp = array($d, $datosNP[0]["estado"], "F82X");            
            else
            {   if($d == "R")   $finPR[] = array("R", $datosNPA[0]["estado"], "F82X", "", "PR", "");
                else            $temp = array("D", "ED", "Z006");                      
            }         
            if(count($temp)>0)           
                $diag[] = $temp;
        }    
        
        //OTROS DATOS CRED - ORDENANDO NOMAS
        if(count($datosNC)>0)
        {   if($datosNC[0]["consejeriaNutricional"]==1 AND count($datosNS)==0)  
                $diag[] = array("D", $datosNC[0]["numCtrl"], "99403"); 
                
            if($datosNC[0]["estimulacion"]>=1)                     $diag[] = array("D", $datosNC[0]["estimulacion"], "99411");
                                          
        }
        
        //MOTIVO DE VISITA
        $bandMotivo = 0;
        if(count($datosND)>0 and count($datosNC)==0)
        {   if($datosND[0]["motivo"]=="1" and count($datosNC)==0)    $diag[] = array("D", "", "Z762");
            if($datosND[0]["motivo"]=="2" and count($datosNS)==0)    $diag[] = array("D", "", "Z298");
            if($datosND[0]["motivo"]=="3" and count($datosNV)==0)    $diag[] = array("D", "", "Z280");
            if($datosND[0]["motivo"]=="0")  $bandMotivo = 0;    else $bandMotivo = 1;
              //$array_to_csv[] = array(count($datosND));
        } 
        // NIO SUPLEMENTACION 
        $query = "SELECT * FROM sin_nino.nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND estado>='1' AND idResponsable='".$itemU["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);
        if(count($datosNS)>0)
        {   if(count($diag)==(6-count($datosNS)) and count($finPR)==0) 
                for($iS=0;$iS<count($datosNS);$iS++) $diag[] = array("", "", "");
            foreach($datosNS AS $itemNS)
            {   $labS = ""; $numCtrl = $itemNS["numeroControl"];
                switch($itemNS["idRegla"])
                {   case  "8":  $labS .= "SF";                          break;
                    case  "9":  $aux = (($itemNS["cantidad"]/30)-1<0)?0:(($itemNS["cantidad"]/30)-1);
                                $numCtrl = $itemNS["numeroControl"] + $aux;    break;
                    case "10":  $labS .= "VA";                          break;
                    case "11":  $labS .= "SF";                          break;
                    case "12":  $labS .= "ZN";  $numCtrl = "";          break;
                    case "16":                                          break;
                }
                $labS .= $numCtrl;
                
                $temp = array("D", $labS, "Z298");
                if($itemNS["idRegla"]==16)  $temp = array("D", $labS, "Z292");
                $diag[] = $temp; 
                if($itemNS["numeroControl"]=="12")
                    $diag[] = array("D", "TA", "Z298");                    
            } 
            $diag[] = array("D", "MN", "99403");            
            if(($datosNS[0]["estado"]=="2" or count($datosND)>0) and $bandVisita=='0')
            {   $bandVisita = 1;        
                $diag[] = array("D", (count($datosND)>0)?$datosND[0]["numeroVisita"]:"1", "C0011");                                                        
            }                   
        }                                
        
        // NIO TAMIZAJE
        $query = "SELECT nt.idReglaTamizaje AS idRegla, max(nt.resultado) as resultado FROM sin_nino.nino_tamizaje AS nt 
            WHERE idNino='".$item["idNino"]."' and nt.fechaAtencion='".$fechaAtencion."' and idUsuario='".$itemU["idUsuario"]."'
            GROUP BY idReglaTamizaje ORDER BY idReglaTamizaje ASC, numeroControl ASC, resultado DESC";
        $datosNT = $conC->datosTabla($query);   $ij = 0;
        if(count($datosNT)>0)
        {   foreach($datosNT AS $itemNT)  
            {   $p = "P";   $d = "D";
                $d = ($itemNT["resultado"]==0)?"P":"D";
                if($itemNT["idRegla"]==13)               $diag[] = array($d, "", "85018");
                elseif($itemNT["idRegla"]==23)           $diag[] = array($d, "VIF", "U140");
                else
                {   $ij++;   $temp = array($d, "", "Z119");   if($ij==1)      $diag[] = $temp;   }                               
            }                   
        }         
        if(count($datosND)>0 and $bandMotivo=='1' and $bandVisita=='0') $diag[] = array("D", $datosND[0]["numeroVisita"], "C0011");
        
        $contPR = count($finPR);    $iPR = 0;   $bandV = 0;
        if(count($diag)>0)
        {   $cab2 = array_merge($cab2, $cab1);  $cont = 0;  $bandV = 1;
            foreach($diag AS $di)
            {   if($cont==4 && $iPR<$contPR)
                {   if($di[2]!='99403')
                    {   if($reg == "25")  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                            dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
                        }
                        $digi = array();    $reg = ($reg==25)?1:(++$reg); 
                        $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;    $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                        $digi[] = "S".$lote; $digi[] = "".$pag; 
                        $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13);     
                        $cab2 = $cab1;   $cont = 0; $iPR++;                        
                    }                                        
                }                    
                if($cont==6)
                {   $cab2 = array_merge($cab2, $cab3); 
                    if($reg == "25")   { $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                            dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
                    }
                    $digi = array();    $reg = ($reg==25)?1:(++$reg); 
                    $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;  $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                    $digi[] = "S".$lote; $digi[] = "".$pag; 
                    $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13); 
                    $cab2 = $cab1;   $cont = 0;
                }
                $cab2 = array_merge($cab2, $di);         $cont++;
            } 
            if($cont<5 && $iPR<$contPR)
            {   $cab2 = array_merge($cab2, $finPR[$iPR]);
                $cont+=2;           $iPR++;       
            }
            for($jjj=0; $jjj<6-$cont; $jjj++)
                $cab2 = array_merge($cab2, array("", "", ""));                           
            $cab2 = array_merge($cab2, $cab3);
            if($reg == "25")   { $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                    dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }  
                    
        }
        for($jjj=$iPR; $jjj<$contPR; $jjj++)
        {   $bandV = 1; $digi = array();
            //if($jjj>0)
            {    $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
                $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;                
            }                
            $digi[] = "S".$lote;        $digi[] = "".$pag;    $cab12 = $digi;  
            $cab1 = array_merge($cab11, $cab12, $cab13);     
            if($reg == "25") {   $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }
        }
                    
        // NIO VACUNA        
        if(count($datosNV)>0)
        {   if($bandV==1)
            {   $digi = array(); $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
                $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                $digi[] = "S".$lote;        $digi[] = "".$pag;  $cab12 = $digi;  
                $cab1 = array_merge($cab11, $cab12, $cab13); 
            }            
            if($reg == "25")  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
                dbase_add_record($db, array_merge($cab1, array($reg), $cab3));
            }           
        }        
    }// FIN DE BUCLE NIO
    
    
}// FIN DE BUCLE FECHA
//$array_to_csv[] = array($reg);
if($reg != "25" and $reg!=0)  {  $array_to_csv[] = array_merge($cab1, array($reg), $cab3);
    dbase_add_record($db, array_merge($cab1, array($reg), $cab3));  
} 

}// FIN DE BUCLE USUARIO  
dbase_close($db);

$formato = (isset($_REQUEST["formato"]))?$_REQUEST["formato"]:"dbf";
if($formato=="dbf")
{   header("Content-disposition: attachment; filename=HIS1".str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].".DBF");
    header("Content-type: application/octet-stream");
    readfile($nuevo_fichero);    
}
else
    convert_to_csv($array_to_csv, 'HIS1'.str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].'.csv', ',');   

 
?>