<?php   session_start();
error_reporting(E_ALL);
$tiempo_inicio = microtime(true);
ini_set("memory_limit","512M");
ini_set('max_execution_time', 1200);

$fichero = '../reportes/hisa.dbf';
$nuevo_fichero = '../reportes/HISA0215.DBF';

if (!copy($fichero, $nuevo_fichero)) {
    echo "Error al copiar ".$fichero."...\n";
}

$db = dbase_open($nuevo_fichero, 2);
   

function convert_to_csv($input_array, $output_file_name, $delimiter)
{   /** open raw memory as file, no need for temp files */
    $temp_memory = fopen('php://memory', 'w');
    /** loop through array  */
    foreach ($input_array as $line) {
        /** default php csv handler **/
        fputcsv($temp_memory, $line, $delimiter);
    }
    /** rewrind the "file" with the csv lines **/
    fseek($temp_memory, 0);
    /** modify header to be downloadable csv file **/
    header('Content-Type: application/csv');
    header('Content-Disposition: attachement; filename="' . $output_file_name . '";');
    /** Send file to browser for download */
    fpassthru($temp_memory);
}
 
/** Array to convert to csv */
 


function convert_to_texto($input_array, $output_file_name, $delimiter)
{   /** open raw memory as file, no need for temp files */
    $temp_memory = fopen('php://memory', 'w');
    /** loop through array  */
    foreach ($input_array as $line) {
        /** default php csv handler **/
        fputcsv($temp_memory, $line, $delimiter);
    }
    /** rewrind the "file" with the csv lines **/
    fseek($temp_memory, 0);
    /** modify header to be downloadable csv file **/
    header('Content-Type: application/force-download');
    header('Content-Disposition: attachement; filename="' . $output_file_name . '";');
    /** Send file to browser for download */
    fpassthru($temp_memory); 
}
 
/** Array to convert to csv */
 
$array_to_csv = Array(
    Array('COD_2000', 'ANO', 'MES', 'NOM_LOTE', 'NUM_PAG', 'NUM_REG', 'DIA', 'FICHAFAM', 'COD_DPTO', 'COD_PROV'
        , 'COD_DIST', 'EDAD', 'TIPO_EDAD', 'SEXO', 'ESTABLEC', 'SERVICIO', 'DIAGNOST1', 'LABCONF1', 'CODIGO1'
        , 'DIAGNOST2', 'LABCONF2', 'CODIGO2', 'DIAGNOST3', 'LABCONF3', 'CODIGO3', 'DIAGNOST4', 'LABCONF4', 'CODIGO4'
        , 'DIAGNOST5', 'LABCONF5', 'CODIGO5', 'DIAGNOST6', 'LABCONF6', 'CODIGO6', 'ESTA_REG', 'MT', 'DNI', 'FI'
        , 'ET', 'ST' )    
);
        
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';   
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);  $conN = $conNC->getPersona();
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y", time());
$mesAnio = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:date("m", time());

$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

$codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
            , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669");
$digi = array();

$query = "SELECT group_concat(idVacuna) as idVacuna 
            FROM sin_nino.vacuna WHERE his=0 GROUP BY his";
$datosVH = $conC->datosTabla($query);  
$cond3 = (count($datosVH)==0)?"":";;!FIND_IN_SET(idVacuna,'".$datosVH[0][0]."')";

$consulta = "SELECT idResponsable AS idUsuario FROM sin_nino.nino_cred WHERE YEAR(fechaAtencion)='".$anio."' 
    AND MONTH(fechaAtencion)='".$mesAnio."' AND estado>0 AND idResponsable>0 GROUP BY idResponsable
    UNION SELECT idResponsable AS idUsuario FROM sin_nino.nino_suplemento
    WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND estado>0 AND idResponsable>0 GROUP BY idResponsable
    UNION SELECT idUsuario AS idUsuario FROM sin_nino.nino_tamizaje
    WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario>0 GROUP BY idUsuario
    UNION SELECT idUsuario AS idUsuario FROM sin_nino.nino_psicomotor
    WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario>0 GROUP BY idUsuario
    UNION SELECT idUsuario AS idUsuario FROM sin_nino.nino_domicilio
    WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario>0 AND estado>0 GROUP BY idUsuario
    UNION SELECT idUsuario AS idUsuario FROM sin_nino.nino_vacuna
    WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario>0 AND estado>0 GROUP BY idUsuario
    ORDER BY 1 ASC";
$datosU = $conC->datosTabla($consulta); $lote = 0;
foreach($datosU AS $itemU)
{   $pag = 0;     $reg = 0;
    $datosUsuario = $conU->get($itemU["idUsuario"]);
    //if($datosUsuario->getTipoUsuario()=='1')    continue;
    $query2 = "SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_cred WHERE YEAR(fechaAtencion)='2018' 
        AND MONTH(fechaAtencion)='".$mesAnio."' AND estado>0 AND idResponsable='".$itemU["idUsuario"]."' GROUP BY fechaAtencion
        UNION SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_suplemento
        WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND estado>0 AND idResponsable='".$itemU["idUsuario"]."' GROUP BY fechaAtencion
        UNION SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_tamizaje
        WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY fechaAtencion
        UNION SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_psicomotor
        WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY fechaAtencion
        UNION SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_domicilio
        WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario='".$itemU["idUsuario"]."' AND estado>0 GROUP BY fechaAtencion
        UNION SELECT DATE_FORMAT(fechaAtencion, '%Y-%m-%d') AS fechaAtencion FROM sin_nino.nino_vacuna
        WHERE YEAR(fechaAtencion)='".$anio."' AND MONTH(fechaAtencion)='".$mesAnio."' AND idUsuario='".$itemU["idUsuario"]."' AND estado>0 GROUP BY fechaAtencion
        ORDER BY 1 ASC";
    $datosF = $conC->datosTabla($query2);
foreach($datosF AS $itemF)
{   $fechaAtencion = $itemF["fechaAtencion"]; //$fec;
    $consulta = "(SELECT idNino FROM sin_nino.nino_cred WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>'0' AND estado<=3 AND peso>0 GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_suplemento WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>='1' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_tamizaje WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM sin_nino.nino_psicomotor WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT nv.idNino FROM sin_nino.nino_vacuna AS nv INNER JOIN sin_nino.vacuna AS va ON va.idVacuna=nv.idVacuna WHERE nv.fechaAtencion='".$fechaAtencion."' AND nv.idUsuario='".$itemU["idUsuario"]."' AND nv.estado>0 AND va.his=1 GROUP BY nv.idNino) 
        UNION   (SELECT idNino FROM sin_nino.nino_domicilio WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$itemU["idUsuario"]."' AND estado>0 AND motivo>0 GROUP BY idNino)";
    $datosNinos = $conC->datosTabla($consulta); 
    //echo "<br />".$fechaAtencion." = ".count($datosNinos)."<br />";
    
    $tiempo_fin = microtime(true);
    $tiempo = bcsub($tiempo_fin, $tiempo_inicio, 4);
    $aux0 = $tiempo;    $aux000 = $tiempo;  $aux1 = $tiempo;
    
    $mes = date("n", strtotime($fechaAtencion));
    $diaCorte = 1;  $bandCorte = 0; //DIAS ANTERIORES AL MES DEL ULTIMO CORTE                 
    foreach($datosNinos AS $item)
    {   if($item["idNino"]=="0")
            continue;
        $datosN = $conN->get($item["idNino"]); 
        //echo $datosN->getIdNino()." - ";
        if($datosN->getIdNino()==0)
            continue;
        $ijk = 1;        
        //$ijk ++;    //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
        $digi = array();
        $digi[] = $datosP[0]["valor"];
        
        $diag = array();    $finPR = array();    $anteE = 1;  $anteS = 1;    $pais = 0;
         
         
        //echo $datosN->getHistoriaClinica()."<br />";
        $dia = date("j", strtotime($fechaAtencion));
            if(str_pad($mes, 2, "0", STR_PAD_LEFT) != $mesAnio AND $bandCorte==0)
            {   $dia = $diaCorte;   $band = 1;  }             
        //$anio = date("Y", strtotime($fechaAtencion));
        $digi[] = $anio;        $digi[] = ltrim($mesAnio,"0");                                 $cab11 = $digi;   $digi = array(); 
        $reg = ($reg==25)?1:(++$reg);     // $array_to_csv[] = array($datosN->getHistoriaClinica(), "AAAA".$reg, $datosN->getIdNino()); 
        $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
        $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
        $digi[] = "S".$lote;        $digi[] = "".$pag;     $digi[] = "".$reg; $cab12 = $digi;   $digi = array();
        $digi[] = $dia; $digi[] = $datosN->getHistoriaClinica();
            $datosUb = $datosN->getUbigeoDireccion()->get(($datosN->getIdUbigeoDireccion()>0)?$datosN->getIdUbigeoDireccion():"1825");
        $digi[] = $datosUb->getCodigoDepartamento();
        $digi[] = $datosUb->getCodigoProvincia();
        $digi[] = $datosUb->getCodigoDistrito(); 
                
        $auxEdad = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion);
        //echo $datosN->getHistoriaClinica()."(1)<br />";
        //echo $datosN->getIdNino()."--".$datosN->getFechaNacimiento()."--".$auxEdad."--".$fechaAtencion."--<br />";
        //echo $datosN->getDni()."(2)<br />";
        $aux2 = explode(" ", $auxEdad);
        //echo "x".(strlen($auxEdad)-1)."x<br />";  
        $auxEdad = explode(" ", $auxEdad);  
        $edadNino = $auxEdad[0]; $tipoEdadNino = $auxEdad[1]; 
        $digi[] = ($auxEdad[0]=="0" AND $auxEdad[1]=="d")?"1":(($auxEdad[0]=="30" AND $auxEdad[1]=="d")?"29":$auxEdad[0]);  $digi[] = strtoupper($auxEdad[1]);  $digi[] = ($datosN->getSexo()=='')?"M":$datosN->getSexo();
                
        $auxEdad = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion, "MESES");
        $edadMeses = $auxEdad[1];                
        
        //NIO VISITA        
        $consulta = "SELECT * FROM sin_nino.nino_domicilio AS nd  WHERE nd.idNino='".$item["idNino"]."' 
            AND nd.fechaAtencion='".$fechaAtencion."' AND nd.idUsuario='".$itemU["idUsuario"]."' LIMIT 1 ";
        $datosND = $conC->datosTabla($consulta);    $bandVisita = 0;
        
        //QUERY NIO SUPLEMENTO
        $query = "SELECT * FROM sin_nino.nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND estado>='1' AND idResponsable='".$itemU["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);
        
        //QUERY VACUNA
        $datosNV = $conNV->get(NULL, NULL, "idNino='".$item["idNino"]."';;fechaAtencion='".$fechaAtencion."'".$cond3.";;idUsuario='".$itemU["idUsuario"]."';;estado>='1'",6);        
        
        //NIO CRED
        $consulta = "SELECT obtenerEdad('".$datosN->getFechaNacimiento()."', 4, fechaAtencion) as meses
               , numeroControl AS numCtrl, peso
               , talla, perimetroCefalico, lme, consejeriaNutricional, estimulacion, pesoEdad
               , tallaEdad, tallaPeso, idRegla, estado
            FROM sin_nino.nino_cred
            WHERE idNino='".$item["idNino"]."' AND fechaAtencion='".$fechaAtencion."' AND idResponsable='".$itemU["idUsuario"]."' AND estado>=1 AND estado<=3";
        $datosNC = $conC->datosTabla($consulta);
          
        if(count($datosNC)>0 && $datosNC[0]["peso"]<=0)   
        {   $ijk--;   
            continue;   }
        $bandZ = 1; $finPR1 = array(); $finPR2 = array(); $finPR3 = array();
        $cred = 0;  $credA = 0; 
        
        $cond = "idNino='".$datosN->getIdNino()."';;fechaAtencion<'".$fechaAtencion."';;estado>='1'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
        //$anio = date("Y", strtotime($fechaAtencion));
        if(count($datosHist)>0) $credA = 1;
        if(count($datosHist)>0 AND date("Y", strtotime($datosHist[0]->getFechaAtencion()))!=$anio) $credA = 2;
                
        $digi[] = (count($datosND)>0)?"C":(($credA==2)?"R":(($credA==1)?"C":"N"));    
        $digi[] = (count($datosND)>0)?"C":(($credA==2)?"R":(($credA==1)?"C":"N"));
        $cab13 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13);
        
        $cab3 = array("2", "M", (($datosN->getDni()!="")?"PER1".$datosN->getDni()."    00":""));
        //$cab3 = array("2", "M", (($datosN->getDni()!="")?"PER1".$datosN->getDni()."    00":""));
            $financiamiento = ($datosN->getIdFinanciamiento()>0)?$datosN->getIdFinanciamiento():"1";
            $etnia = ($datosN->getIdEtnia()>0)?$datosN->getIdEtnia():"80";
        $cab3 = array_merge($cab3, array($financiamiento, $etnia, "1"));
        
        $cont = 0;
        $cab2 = array();                
        if(count($datosNC)>0)
        {   $datosR = $conR->get($datosNC[0]["idRegla"]);
            $cred = 1;  $cab2 = array();
            if($datosNC[0]["estado"]=="1" or $datosNC[0]["estado"]=="3")
            {   if($datosNC[0]["estado"]=="3" and $edadMeses==0)
                {   $bandVisita = 1;
                    if(count($datosND)>0)
                        $diag[] = array("D", $datosND[0]["numeroVisita"], "C0011");                                                         
                }  
                if($datosNC[0]["meses"]==0 AND $datosNC[0]["numCtrl"]==1)
                {   $temp = array("D", "", "P070");
                    if($datosN->getPesoNacimiento()>=1)    $temp = array("D", "", "P0711");
                    if($datosN->getPesoNacimiento()>=1.5)  $temp = array("D", "", "P0712");
                    if($datosN->getPesoNacimiento()>=2.5)  $temp = array("D", "", "Z006");
                    if($datosN->getPesoNacimiento()>=4)    $temp = array("D", "", "P080");
                    $diag[] = $temp;                    
                }   $diag[] = array("D", (($datosNC[0]["idRegla"]=="7")?"1":$datosNC[0]["numCtrl"]), "Z001");                
            }                                        
            //if($datosNC[0]["estado"]==2)   echo "ok<br />".$reg;                                     
            $nom = $datosNC[0]["pesoEdad"]; $d = "D"; $lab = "PE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getPesoEdad():"";
            if($datosNC[0]["pesoEdad"]!="N")
            {   if($nom=="GiP")     {   if($nomA=="GiP")    $d="R";   else    $d="D";    
                }elseif($nom=="DA") {   if($nomA=="DA")     $d="R";   else    $d="D";    
                }elseif($nom=="SP") {   if($nomA=="SP")     $d="R";   else    $d="D";       
                }   $diag[] = array($d, $lab, $codigo[$nom]);      $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "PE", $codigo[$nomA], "", "PR", "");   $bandZ = 0;      }
            
            $nom = $datosNC[0]["tallaEdad"]; $d = "D"; $lab = "TE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaEdad():"";                    
            if($datosNC[0]["tallaEdad"]!="N")
            {   if($nom=="GiT")     {   if($nomA=="GiT")    $d="R";   else    $d="D";                             
                }elseif($nom=="TB" or $nom=="TS") {   if($nomA=="TB" or $nomA=="TS")     $d="R";   else    $d="D";                    
                }elseif($nom=="TA") {   if($nomA=="TA")     $d="R";   else    $d="D";                        
                }   $temp = array($d, $lab, $codigo[$nom]);
                $diag[] = $temp;     $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TE", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;     }                
            
            $nom = $datosNC[0]["tallaPeso"]; $d = "D"; $lab = "TP"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaPeso():"";
            if($nom!="N")
            {   if($nom=="DA")      {   if($nomA=="DA")    $d="R";   else    $d="D";
                }elseif($nom=="DS") {   if($nomA=="DS")    $d="R";   else    $d="D";
                }elseif($nom=="SP") {   if($nomA=="SP")    $d="R";   else    $d="D";
                }elseif($nom=="OB") {   if($nomA=="OB")    $d="R";   else    $d="D";                        
                }   $diag[] = array($d, $lab, $codigo[$nom]);
                $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR[] = array("R", "TP", $codigo[$nomA], "", "PR", "");
                $bandZ = 0;
            }
            
            if($bandZ == 1) /* NIO NORMAL EN CONTROL ACTUAL */
                $diag[] = array("D", "", "Z006");              
            if($datosNC[0]["lme"]==2 || $datosNC[0]["lme"]==3)
            {   if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                {   $LabAc = "IA";
                    if(count($datosHist)>0)
                        if($datosHist[0]->getLme()==2 || $datosHist[0]->getLme()==3)
                            $LabAc = ($datosNC[0]["lme"]==2)?"AA":"AI";                
                    $diag[] = array("D", $LabAc, "Z0017");
                }
            }
            if($datosNC[0]["lme"]==1 && $datosNC[0]["meses"]==6)   
                if($datosNC[0]["estado"]==1 or $datosNC[0]["estado"]==3)
                    $diag[] = array("D", "", "Z391");
            
            if($datosNC[0]["numCtrl"]==$datosR->getCantidadMaxima())    $pais = "TA";
            elseif($datosNC[0]["numCtrl"]==1)                           $pais = 1;
        }
        
        if($pais!="0")  $diag[] = array("D", $pais, "C8002");
        
        // NIO PSICOMOTOR
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
            WHERE np.fechaAtencion='".$fechaAtencion."' AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."'
            GROUP BY np.estado";      $datosNP = $conC->datosTabla($query);
        $query ="SELECT np.estado FROM sin_nino.nino_psicomotor AS np  WHERE np.fechaAtencion<'".$fechaAtencion."' 
                AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$itemU["idUsuario"]."' GROUP BY np.estado ORDER BY np.fechaAtencion DESC LIMIT 1";                    
        $datosNPA = $conC->datosTabla($query);  $d="D";               
        if(count($datosNP)>0)
        {   $temp = array();
            if(count($datosNPA)>0)
            {   if($datosNPA[0]["estado"]=="ED")      $d = "D";
                else                                  $d = "R";                        
            }
            else                        $d = "D";
            
            if(count($datosNP)>1)                $temp = array($d, "", "F83X" );
            elseif($datosNP[0]["estado"]!='ED')  $temp = array($d, $datosNP[0]["estado"], "F82X");            
            else
            {   if($d == "R")   $finPR[] = array("R", $datosNPA[0]["estado"], "F82X", "", "PR", "");
                else            $temp = array("D", "ED", "Z006");                      
            }         
            if(count($temp)>0)           
                $diag[] = $temp;
        }    
        
        //OTROS DATOS CRED - ORDENANDO NOMAS
        if(count($datosNC)>0)
        {   if($datosNC[0]["consejeriaNutricional"]==1 AND count($datosNS)==0)            
                $diag[] = array("D", (($datosNC[0]["idRegla"]=="7")?"1":$datosNC[0]["numCtrl"]), "99403");   
                                   
            if($datosNC[0]["estimulacion"]>=1)                     
                $diag[] = array("D", (($tipoEdadNino=="d")?1:(($tipoEdadNino=="a" && $edadNino>="3")?1:$datosNC[0]["estimulacion"])), "99411");
        }
        
        //MOTIVO DE VISITA
        $bandMotivo = 0;
        if(count($datosND)>0 and count($datosNC)==0)
        {   if($datosND[0]["motivo"]=="1" and count($datosNC)==0)    $diag[] = array("D", "", "Z762");
            if($datosND[0]["motivo"]=="2" and count($datosNS)==0)    $diag[] = array("D", "", "Z298");
            if($datosND[0]["motivo"]=="3" and count($datosNV)==0)    $diag[] = array("D", "", "Z280");
            if($datosND[0]["motivo"]=="0")  $bandMotivo = 0;    else $bandMotivo = 1;
              //$array_to_csv[] = array(count($datosND));
        }
        
        // NIO SUPLEMENTACION  
        $CN1 = 0;       
        if(count($datosNS)>0)
        {   if(count($diag)==(6-count($datosNS)) and count($finPR)==0) 
                for($iS=0;$iS<count($datosNS);$iS++) $diag[] = array("", "", "");
            foreach($datosNS AS $itemNS)
            {   $labS = ""; $numCtrl = $itemNS["numeroControl"];
                switch($itemNS["idRegla"])
                {   case  "8":  $labS .= "SF";                          break;
                    case  "9":  $aux = (ceil($itemNS["cantidad"]/30)-1<0)?0:(ceil($itemNS["cantidad"]/30)-1);
                                $numCtrl = $itemNS["numeroControl"] + $aux;    break;
                    case "10":  $numCtrl = ($numCtrl%2==1)?1:2;
                                $labS .= "VA";                          break;
                    case "11":  $labS .= "SF";                          break;
                    case "12":  $labS .= "ZN";  $numCtrl = "";          break;
                    case "16":                                          break;
                }
                $labS .= $numCtrl;
                
                
                $temp = array("D", $labS, "Z298");                
                if($itemNS["idRegla"]==16)  $temp = array("D", $labS, "Z292");
                if($itemNS["idRegla"]!=16)  $CN1 = 1;   
                $diag[] = $temp;
                if($itemNS["numeroControl"]=="12")
                    $diag[] = array("D", "TA", "Z298");                                         
            }   
            if($CN1==1)  $diag[] = array("D", "MN", "99403");
            if(($datosNS[0]["estado"]=="2" or count($datosND)>0) and $bandVisita=='0')
            {   $bandVisita = 1;        
                $diag[] = array("D", (count($datosND)>0)?$datosND[0]["numeroVisita"]:"1", "C0011");                                                        
            }                 
        }                                
        
        // NIO TAMIZAJE
        $query = "SELECT nt.idReglaTamizaje AS idRegla, max(nt.resultado) as resultado FROM sin_nino.nino_tamizaje AS nt 
            WHERE idNino='".$item["idNino"]."' and nt.fechaAtencion='".$fechaAtencion."' and idUsuario='".$itemU["idUsuario"]."'
            GROUP BY idReglaTamizaje ORDER BY idReglaTamizaje ASC, numeroControl ASC, resultado DESC";
        $datosNT = $conC->datosTabla($query);   $ij = 0;
        if(count($datosNT)>0)
        {   foreach($datosNT AS $itemNT)  
            {   $p = "P";   $d = "D";
                $d = ($itemNT["resultado"]==0)?"P":"D";
                if($itemNT["idRegla"]==13)               $diag[] = array($d, "", "85018");
                elseif($itemNT["idRegla"]==23)           $diag[] = array($d, "VIF", "U140");
                else
                {   $ij++;   $temp = array($d, "", "Z119");   if($ij==1)      $diag[] = $temp;   }                               
            }                   
        } 
        
        if(count($datosND)>0 and $bandMotivo=='1' and $bandVisita=='0') $diag[] = array("D", $datosND[0]["numeroVisita"], "C0011");
        //echo var_dump($diag);
        $contPR = count($finPR);    $iPR = 0;   $bandV = 0; 
        //if(count($datosNC)>0) if($datosNC[0]["estado"]==2)   echo $contPR."ok ".$reg.var_dump($diag); 
        if(count($diag)>0)
        {   $cab2 = array_merge($cab2, $cab1);  $cont = 0;  $bandV = 1;
            foreach($diag AS $di)
            {   if($cont==4 && $iPR<$contPR)
                {   if($di[2]!='99403')
                    {   $cab2 = array_merge($cab2, $finPR[$iPR], $cab3);     $array_to_csv[] = $cab2;   
                        dbase_add_record($db, $cab2);  $digi = array(); 
                        $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;  $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                        $digi[] = "S".$lote; $digi[] = "".$pag; $digi[] = "".$reg; $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13);     
                        $cab1[14] = "C";  $cab1[15] = "C"; 
                        $cab2 = $cab1;   $cont = 0; $iPR++;                        
                    }
                                        
                }                    
                if($cont==6)
                {   $cab2 = array_merge($cab2, $cab3);  $array_to_csv[] = $cab2;
                    dbase_add_record($db, $cab2);      $digi = array(); 
                    $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;  $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
                    $digi[] = "S".$lote; $digi[] = "".$pag; $digi[] = "".$reg; $cab12 = $digi; $cab1 = array_merge($cab11, $cab12, $cab13); 
                    $cab1[14] = "C";  $cab1[15] = "C"; 
                    $cab2 = $cab1;   $cont = 0;
                }
                $cab2 = array_merge($cab2, $di);         $cont++;
            } 
            if($cont<5 && $iPR<$contPR)
            {   $cab2 = array_merge($cab2, $finPR[$iPR]);
                $cont+=2;           $iPR++;       
            }
            for($jjj=0; $jjj<6-$cont; $jjj++)
                $cab2 = array_merge($cab2, array("", "", ""));                           
            $cab2 = array_merge($cab2, $cab3);
            $array_to_csv[] = $cab2;
            dbase_add_record($db, $cab2);           
        }   $jjkk = 0;
        for($jjj=$iPR; $jjj<$contPR; $jjj++)
        {   $bandV = 1; $digi = array();    
            if(count($diag)==0) $jjkk++;
            if(count($diag)>0 OR $jjkk>1)
            {   $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
                $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;
            }
            $digi[] = "S".$lote;        $digi[] = "".$pag;     $digi[] = "".$reg; $cab12 = $digi;  
            $cab1 = array_merge($cab11, $cab12, $cab13); 
            $cab1[14] = "C";  $cab1[15] = "C";     
            $array_to_csv[] = array_merge($cab1, $finPR[$jjj], array("", "", "", "", "", "", "", "", "", "", "", ""), $cab3);
            dbase_add_record($db, array_merge($cab1, $finPR[$jjj], array("", "", "", "", "", "", "", "", "", "", "", ""), $cab3));
        }
                    
        // NIO VACUNA
        $lab2 = "";  $dx2 = ""; $gr = 0;                
        if(count($datosNV)>0 and $bandV==1)
        {   $digi = array(); $reg = ($reg==25)?1:(++$reg); $pag = ($reg==1)?(($pag==20)?1:++$pag):$pag;
            $lote = ($reg==1 AND $pag==1)?(($lote==30)?1:++$lote):$lote;    
            $digi[] = "S".$lote;        $digi[] = "".$pag;     $digi[] = "".$reg; $cab12 = $digi;  
            $cab1 = array_merge($cab11, $cab12, $cab13);
            $cab1[14] = "C";  $cab1[15] = "C"; 
        }
        if(count($datosNV)>0 AND $datosNV[0]->getEstado()==2)
        {   $cab1[14] = "C";  $cab1[15] = "C";    }
        $temp = $cab1;      $iii = 0;  
        foreach($datosNV as $item5)
        {   if($item5->getVacuna()->getHis()==0) continue;  
            $lab2 = ($gr==0)?$item5->getLab2():$lab2;  $dx2 = $item5->getDiag2();  
            $lab = (($edadNino<="1") AND $tipoEdadNino=="d" AND $item5->getVacuna()->getCodigoHis()=='90585')?"":$item5->getVacuna()->getDosis();
            if($item5->getVacuna()->getCodigoHis()=='90669')
                $lab = (($edadNino>="2") AND $tipoEdadNino=="a")?"":$item5->getVacuna()->getDosis();
            if($item5->getEstado()==2 or count($datosND)>0)
                $lab = (($lab == "")?"DU":"D").$lab; 
            if($lab=="" AND $lab2!="" AND $gr==0)  {   $lab=$lab2; $gr = 1; $lab2 = "";  }  
            $temp = array("D", $lab, $item5->getVacuna()->getCodigoHis());
            
            $cab1 = array_merge($cab1, $temp);  $iii++;
        }
        if($lab2!="" and count($datosNV)>0)
        {   $temp = array("", $lab2, "");   
            $cab1 = array_merge($cab1, $temp);  $iii++;
        }
        if($gr==0 AND $dx2!="" AND count($datosNV)>0)
        {   $temp = array("R", "", $dx2);   
            $cab1 = array_merge($cab1, $temp);  $iii++;
        }
             
        if(count($datosNV)>0)
        {   //$tiempo_fin = microtime(true);   $tia = $tiempo;
//            $tiempo = bcsub($tiempo_fin, $tiempo_inicio, 4);
//            echo "<br /><strong>Historia: </strong>".$datosN->getHistoriaClinica()." -  
//                  <strong>Proceso: </strong>" .round($tiempo-$tia,3)." Seg - VACUNAS";
            for($jjj=0; $jjj<6-$iii; $jjj++)          $cab1 = array_merge($cab1, array("", "", ""));
            $cab1 = array_merge($cab1, $cab3);        $array_to_csv[] = $cab1;
            dbase_add_record($db, $cab1);
        }      
    }
}

}   

dbase_close($db);

$formato = (isset($_REQUEST["formato"]))?$_REQUEST["formato"]:"dbf";
if($formato=="dbf")
{   header("Content-disposition: attachment; filename=HISA".str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].".DBF");
    header("Content-type: application/octet-stream");
    readfile($nuevo_fichero);  
}
elseif($formato=="csv")
    convert_to_csv($array_to_csv, 'HISA'.str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].'.txt', CHR(ORD(9))); 
elseif($formato=="csv2")
    convert_to_csv($array_to_csv, 'HISA'.str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3].'.csv', ',');   
else
{   $query = "DELETE FROM bdhis.hisa".str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3]."
        WHERE cod_2000='".$datosP[0]["valor"]."' and ano='".$anio."' and mes='".$mesAnio."';";
    $conC->consultar($query); 
    
    $i = 0; $query = "";
    $queryCab = "INSERT INTO bdhis.hisa".str_pad($mesAnio,2,"0",STR_PAD_LEFT).$anio[2].$anio[3]." 
                    (cod_2000, ano, mes, nom_lote, num_pag, num_reg, dia, fichafam, cod_dpto, 
                    cod_prov, cod_dist, edad, tip_edad, sexo, establec, servicio, diagnost1, labconf1, codigo1, diagnost2,
                    labconf2, codigo2, diagnost3, labconf3, codigo3, diagnost4, labconf4, codigo4, diagnost5, labconf5,
                    codigo5, diagnost6, labconf6, codigo6, esta_reg, mt, dni, fi, et, st) VALUES ";
    foreach($array_to_csv as $item){
      if($item[0]=="COD_2000") continue;
      $i++; if($i==1){   $query .= $queryCab;        }     if($i>1) {  $query .= " , ";   } 
      $query .= " ('".$item[0]."', '".$item[1]."', '".$item[2]."', '".trim($item[3])."', '".$item[4]."', 
         '".$item[5]."', '".$item[6]."', '".$item[7]."', '".$item[8]."', '".$item[9]."', '".$item[10]."', 
         '".$item[11]."', '".$item[12]."', '".$item[13]."', '".$item[14]."', '".$item[15]."', 
         '".$item[16]."', '".$item[17]."', '".$item[18]."', '".$item[19]."', 
         '".$item[20]."', '".$item[21]."', '".$item[22]."', '".$item[23]."', '".$item[24]."', '".$item[25]."', 
         '".$item[26]."', '".$item[27]."',  '".$item[28]."', '".$item[29]."', '".$item[30]."', 
         '".$item[31]."', '".$item[32]."', '".$item[33]."', '".$item[34]."', '".$item[35]."', 
         '".$item[36]."', '".$item[37]."', \"".str_replace(chr(92), "", $item[38])."\", '".$item[39]."') " ;
      if($i==2000)  { $conC->ejecutar($query); $i = 0; //echo $query."<br /><br />"; 
            $query = "";    }
    }   if($i>0 and $i<2000)  { $conC->ejecutar($query); $i = 0; $query = "";    }
    echo "<strong>Reg. Guardados: </strong>".(count($array_to_csv)-1);
    
    $aux = $tiempo;
    $tiempo_fin = microtime(true);
    $tiempo = bcsub($tiempo_fin, $tiempo_inicio, 4);
    echo "<br /><strong>Tiempo empleado: </strong>" . ($tiempo)." Seg. ";
}
?>