<script>
	function parametro_lista()
	{	$.ajax(
		{	url : 'controlador/control_regla.php',
			data : {accion:'ListadoParametro'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function parametro_nuevo_formulario()
	{	$.ajax(
		{	url : 'controlador/control_regla.php',
			data : "accion=NuevoParametro",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function editar_parametro(idParametro)
	{	$.ajax(
		{	url : "controlador/control_regla.php",
			data : "accion=EdicionParametro&idParametro=" + idParametro,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);	}
		});
	}

	function eliminar_parametro(idParametro, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_parametro").show();
			$.ajax(
			{	url : "controlador/control_regla.php",
				data : "accion=EliminarParametro&idParametro=" + idParametro,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_parametro").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span6 offset3">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><strong>Listado de Parametros</strong></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="parametro_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo Parametro</a></li>
				</ul>
			</div>
			<div id="loading_parametro" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th>ID</th>
					<th>Nombre</th>
					<th>Valor</th>
					<th class="no-sort tam50">Acci&oacute;n</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getIdParametro()!=0)	{?>
					  <tr class="gradeX">
						<td><?php echo $item->getIdParametro();?></td>
						<td><?php echo $item->getNombre();?></td>
						<td><?php echo $item->getValor();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_parametro(<?php echo $item->getIdParametro();?>)" title="Editar Parametro" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_parametro(<?php echo $item->getIdParametro();?>, this)" title="Eliminar Parametro" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "desc" ]]
	});
</script>