<script>
	function regla_lista()
	{	$.ajax(
		{	url : 'controlador/control_regla.php',
			data : {accion:'Listado'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function regla_nuevo_formulario()
	{	$.ajax(
		{	url : 'controlador/control_regla.php',
			data : "accion=Nuevo",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function editar_regla(idRegla)
	{	$.ajax(
		{	url : "controlador/control_regla.php",
			data : "accion=Edicion&idRegla=" + idRegla,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);	}
		});
	}

	function eliminar_regla(idRegla, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_regla").show();
			$.ajax(
			{	url : "controlador/control_regla.php",
				data : "accion=Eliminar&idRegla=" + idRegla,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_regla").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><strong>Listado de Regla</strong></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="regla_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo Regla</a></li>
				</ul>
			</div>
			<div id="loading_regla" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th>Tipo</th>
					<th>Nombre</th>
					<th>Cant. Min/Max
					<th title="Frecuencia">Frec.</th>
					<th title="Tipo de Frecuencia">Tipo Frec.</th>
					<th>Edad Min/Max</th>
					<th class="no-sort tam50">Accin</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getIdRegla()!=0)	{?>
					  <tr class="gradeX">
						<td><?php echo $item->getTipoRegla();?></td>
						<td><?php echo $item->getNombre();?></td>
						<td class="align-center"><?php echo $item->getCantidadMinima()." / ".$item->getCantidadMaxima();?></td>
						<td><?php echo $item->getFrecuencia();?></td>
						<td><?php echo $item->getTipoFrecuencia();?></td>
						<td class="align-center"><?php echo $item->getEdadMinima()." / ".$item->getEdadMaxima();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_regla(<?php echo $item->getIdRegla();?>)" title="Editar Regla" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_regla(<?php echo $item->getIdRegla();?>, this)" title="Eliminar Regla" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "desc" ]]
	});
</script>