<script>
    function gestante_atencion(idGestante)
    {   loading(0,0);
        $.ajax({ url : 'controlador/control_gestante.php', data : "accion=CargarMenuGestante&idGestante=" + idGestante,			
            success : function(listado1) {
                $("#capa1").html(listado1);
                $.ajax({					
                    url : 'controlador/control_gestante_apn.php',
                    data : "accion=CargarTarjetaGestante&idGestante=" + idGestante,			
                    success : function(listado2) {
                        $("#capa2").html(listado2); unloading();
                    },					
                });
            },					
        });        
    }
    
	function gestante_lista()
	{	loading(0,0);
	    $.ajax(
		{	url : 'controlador/control_gestante.php',
			data : {accion:'Listado'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);   unloading();    	}
		});
	}

	function gestante_nuevo_formulario()
	{	loading(0,0);
	    $.ajax(
		{	url : 'controlador/control_gestante.php',
			data : "accion=Nuevo",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);   unloading(); 	}
		});
	}

	function editar_gestante(idGestante)
	{	loading(0,0);
	    $.ajax(
		{	url : "controlador/control_gestante.php",
			data : "accion=Edicion&idGestante=" + idGestante,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);   unloading(); 	}
		});
	}

	function eliminar_gestante(idGestante, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_gestante").show();
			$.ajax(
			{	url : "controlador/control_gestante.php",
				data : "accion=Eliminar&idGestante=" + idGestante,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_gestante").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><i class="icon-group text-error " ></i>
                <label class="label indianred-square margin0"><strong>Listado de Gestantes</strong></label></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="gestante_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo Gestante</a></li>
				</ul>
			</div>
			<div id="loading_gestante" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th class="tam70">H.C.</th>
					<th class="tam60">DNI</th>
					<th>Gestante</th>
                    <th class="tam40">Edad</th>
					<th class="tam40"><span title="N&uacute;mero de Emabarazo" class="tip">#Emb</span></th>
					<th class="tam40"><span title="N&uacute;mero de Fetos" class="tip">#Fetos</span></th>
					<th class="tam50"><span class="tip" title="Trimestre">Trim.</span></th>
                    <th class="tam50"><span class="tip" title="Edad Gestacional (Semanas)">E.Gest.</span></th>
                    <th class="tam80">FPP</th>
                    <th>Estado</th>					
					<th class="no-sort tam50">Acci&oacute;n</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getIdGestante()!=0)	{
					       $edMes = $conF->calculo_edad($item->getFum(), date("Y-m-d", time()), "MESES");
                           $trim = ceil((($edMes[1]==0)?1:$edMes[1])/3);
                           $semana = $conF->calculo_edad($item->getFum(), date("Y-m-d", time()), "SEMANAS");
                            
                       ?>
					  <tr class="gradeX">
						<td><a href="javascript:void(0)" onclick="gestante_atencion('<?php echo $item->getIdGestante(); ?>')">
                            <?php echo $item->getPersona()->getHistoriaClinica();?></a></td>
						<td class="align-center"><?php echo $item->getPersona()->getDni();?></td>
						<td><?php echo $item->getPersona()->getNombreCompleto();?></td>
                        <td class="align-center"><?php echo $conF->calculo_edad($item->getPersona()->getFechaNacimiento(), date("Y-m-d", time()));?></td>
                        <td class="align-center"><?php echo $item->getNumeroEmbarazo();?></td>
						<td class="align-center"><?php echo $item->getNumeroFetos();?></td>
						<td class="align-center"><?php echo $trim;?></td>
                        <td class="align-center"><?php echo $semana[1];?></td>
						<td><?php echo $conF->getFechaDMY($item->getFpp());?></td>
						<td><?php echo $item->getEstado();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_gestante(<?php echo $item->getIdGestante();?>)" title="Editar Gestante" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_gestante(<?php echo $item->getIdGestante();?>, this)" title="Eliminar Gestante" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$(".tip").tooltip();
    $("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar Gestante:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "&Uacute;ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "desc" ]]
	});
</script>