<?php   session_start();
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseNinoSuplemento = '../modelo/clases/nino_suplemento.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';
$diaI = array("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat");
$diaE = array("Dom", "Lun", "Mar", "Mie", "Jue", "Vie", "Sab");


switch($_REQUEST["accion"])
{	case "NinoCredEstado1Peso0":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();  
        $datosNC = $conNC->get(NULL, NULL, "estado='1' AND peso='0'");

		ob_start();
		include ("../vista/capas/calidad/plan_nino_cred_estado1_peso0.php");
		$lista_nino_vacuna = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_nino_vacuna, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
    case "NinoSinHistoriaConAtencion":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();
        $query = "SELECT ni.idNino, ni.paterno, ni.materno, ni.nombre, ni.fechaNacimiento, ni.sexo, ni.dni
        	FROM nino AS ni INNER JOIN nino_cred AS nc ON ni.idNino=nc.idNino
        	WHERE (ni.historiaClinica is null OR ni.historiaClinica='') GROUP BY ni.idNino";            
        $datosNC = $conC->datosTabla($query);        
        

		ob_start();
		include ("../vista/capas/calidad/plan_nino_sin_historia_con_atencion.php");
		$lista_nino_vacuna = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista_nino_vacuna, $html);
		$html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);
		$html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
    case "NinoHistoriasRepetidas":
		$html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona();
        $cond = "historiaClinica in (SELECT historiaClinica FROM nino AS ni 
            where historiaClinica!='' and historiaClinica is not null
            GROUP BY historiaClinica HAVING count(historiaClinica)>1)";
        $datosN = $conN->get(NULL,NULL, $cond, NULL, " historiaClinica ASC ");

		ob_start();
		include ("../vista/capas/calidad/plan_nino_historias_repetidas.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
	  break;
    case "NinoCredEstado0ConPeso":        
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona();        
        $datosNC = $conNC->get(NULL, NULL, "estado='0';;peso>0");

		ob_start();
		include ("../vista/capas/calidad/plan_nino_cred_estado0_con_peso.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;
    case "NinoCredAtencionRepetida":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona();        
        $query = "SELECT nc.idNino, nc.idRegla, nc.numeroControl 
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
            WHERE estado<2 GROUP BY nc.idNino, nc.idRegla, nc.numeroControl
            HAVING count(nc.idNinoCred)>1 ORDER BY nc.fechaAtencion DESC LIMIT 15";
        $datosNC = $conC->datosTabla($query);

		ob_start();
		include ("../vista/capas/calidad/plan_nino_cred_atencion_repetida.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;
    case "NinoSuplementoAtencionRepetida":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoSuplemento;		$conNS = new NinoSuplemento($conex);  $conF = $conNS->getFuncion();
          $conC = $conNS->getConexion();    $conN = $conNS->getPersona();        
        $query = "SELECT nc.idNino, nc.idRegla, nc.numeroControl 
            FROM nino_suplemento AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
            GROUP BY nc.idNino, nc.idRegla, nc.numeroControl
            HAVING count(nc.idNinoSuplemento)>1 ORDER BY nc.fechaAtencion DESC ";
        $datosNS = $conC->datosTabla($query);

		ob_start();
		include ("../vista/capas/calidad/plan_nino_suplemento_atencion_repetida.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;
    case "NinoVacunaAtencionRepetida":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoVacuna;		$conNV = new NinoVacuna($conex);  $conF = $conNV->getFuncion();
          $conC = $conNV->getConexion();    $conN = $conNV->getPersona();        
        $query = "SELECT nv.idNino, nv.idVacuna, nv.fechaAtencion
            FROM nino_vacuna AS nv INNER JOIN nino AS ni ON ni.idNino=nv.idNino
            GROUP BY nv.idNino, nv.idVacuna
            HAVING count(nv.idNinoVacuna)>1 ORDER BY nv.fechaAtencion DESC LIMIT 20";
        $datosNV = $conC->datosTabla($query);

		ob_start();
		include ("../vista/capas/calidad/plan_nino_vacuna_atencion_repetida.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;
    case "NinoCredFueraRegla":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona();  
        $query = "SELECT ni.idNino, ni.paterno, ni.materno, ni.nombre, ni.fechaNacimiento, ni.sexo, ni.dni 
                    , ni.historiaClinica, nc.idRegla, re.nombre AS nombreRegla, fechaAtencion, fechaNacimiento, 
            	obtenerEdad(fechaNacimiento, 5, fechaAtencion) AS edad_tipo, 
            	obtenerEdad(fechaNacimiento, 4, fechaAtencion) AS meses, nc.numeroControl 
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino
            INNER JOIN regla AS re ON re.idRegla=nc.idRegla
            WHERE nc.idRegla!=obtenerEdad(fechaNacimiento, 5, fechaAtencion)";
        $datosNC = $conC->datosTabla($query);
        
        ob_start();
		include ("../vista/capas/calidad/plan_nino_cred_fuera_regla.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;
    case "NinoVacunaFueraRegla":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona();  
        $query = "SELECT ni.idNino, ni.paterno, ni.materno, ni.nombre, ni.fechaNacimiento, ni.sexo, ni.dni 
        	, ni.historiaClinica, nv.idVacuna, re.nombre AS nombreRegla, fechaAtencion
        	, fechaNacimiento, obtenerEdad(fechaNacimiento, 5, fechaAtencion) AS edad_tipo
        	, obtenerEdad(fechaNacimiento, 4, fechaAtencion) AS meses, re.dosis
        FROM nino_vacuna AS nv INNER JOIN nino AS ni ON ni.idNino=nv.idNino 
        	INNER JOIN vacuna AS re ON re.idVacuna=nv.idVacuna 
        WHERE (re.tipoFrecuencia='MES' AND (re.edadMinima>obtenerEdad(fechaNacimiento, 4, fechaAtencion)
        	or re.edadMaxima<obtenerEdad(fechaNacimiento, 4, fechaAtencion)))
        	OR (re.tipoFrecuencia='DIA' AND (re.edadMinima>obtenerEdad(fechaNacimiento, 4, fechaAtencion)
        	or re.edadMaxima<obtenerEdad(fechaNacimiento, 4, fechaAtencion)))";
            echo $query;
        $datosNC = $conC->datosTabla($query);
        
        ob_start();
		include ("../vista/capas/calidad/plan_nino_vacuna_fuera_regla.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;    
    case "NinoVisitaSinActividad":
        $html = file_get_contents("../vista/capas/principal.html");

		include $dirClaseNinoCred;		$conNC = new NinoCred($conex);  $conF = $conNC->getFuncion();
          $conC = $conNC->getConexion();    $conN = $conNC->getPersona(); 
          
        $anio = (isset($_REQUEST["anio"]))?$_REQUEST["anio"]:date("Y", time());
        $mes = (isset($_REQUEST["mes"]))?$_REQUEST["mes"]:7;
        $query = "SELECT nd.idNino, nd.fechaAtencion, us.nick
            FROM nino_domicilio AS nd 
                INNER JOIN usuario AS us ON us.idUsuario=nd.idUsuario
            	LEFT JOIN nino_cred AS nc ON nd.idNino=nc.idNino AND nd.fechaAtencion=nc.fechaAtencion AND nd.idUsuario=nc.idResponsable
            	LEFT JOIN nino_suplemento AS ns ON nd.idNino=ns.idNino AND nd.fechaAtencion=ns.fechaAtencion AND nd.idUsuario=ns.idResponsable
            	LEFT JOIN nino_vacuna AS nv ON nd.idNino=nv.idNino AND nd.fechaAtencion=nv.fechaAtencion AND nd.idUsuario=nv.idUsuario
            	LEFT JOIN nino_psicomotor AS np ON nd.idNino=np.idNino AND nd.fechaAtencion=np.fechaAtencion AND nd.idUsuario=np.idUsuario
            	LEFT JOIN nino_tamizaje AS nt ON nd.idNino=nt.idNino AND nd.fechaAtencion=nt.fechaAtencion AND nd.idUsuario=nt.idUsuario
            WHERE YEAR(nd.fechaAtencion)='".$anio."' AND MONTH(nd.fechaAtencion)='".$mes."' AND nd.estado>0 AND motivo=0
            	AND nc.idNino is null AND ns.idNino is null AND nv.idNino is null AND np.idNino is null AND nt.idNino is null ";
        $datosND = $conC->datosTabla($query);
        
        ob_start();
		include ("../vista/capas/calidad/plan_nino_visita_sin_actividad.php");
		$lista = ob_get_clean();

		$html = str_replace("{CAPA1}", $lista, $html);	  $html = str_replace("{CAPA2}", "", $html);
		$html = str_replace("{CAPA3}", "", $html);        $html = str_replace("{CAPA4}", "", $html);

		echo $html;
      break;

}
$Conexion->desconectar();

?>