<?php   session_start();
include_once '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();     $conex = $Conexion->conectar();
$dirClase = '../modelo/clases/nino_psicomotor.php';
$dirClaseRegla = '../modelo/clases/regla.php';

switch($_REQUEST["accion"])
{   case "CargarEvaluacionPsicomotor":
        include $dirClase;
		$con = new NinoPsicomotor($conex);    $conP = $con->getPsicomotor();
        $conC = $con->getConexion();     $conF = $con->getFuncion();
        $idNino = $_REQUEST["idNino"];          
        $datosN = $con->getPersona()->get($idNino);
        
        $cond = "idNino='".$idNino."'";
        $datosNP = $con->get(NULL, NULL, $cond, 1, " fechaAtencion DESC");
        $diasPasados = 30;
        if(count($datosNP)>0)
        {   $dias = $conF->calculo_edad($datosNP[0]->getFechaAtencion(), date("Y-m-d",time()), "DIAS");
            $diasPasados = $dias[1];            
        }  
        if($diasPasados>10)
        {   $html = "<br /><div class=\"widget row-fluid\">";                            
            $plant = file_get_contents("../vista/capas/nino_psicomotor/plan_nino_psico_evaluacion.html");
            $plant = str_replace("{TIT_PSICOMOTOR}", "Formulario - Desarrollo Psicomotor", $plant);
                $fechaAtencion = date("d-m-Y", time());      
            $plant = str_replace("{ID_NINO}", $idNino, $plant);
            $plant = str_replace("{VALUE_FECHAATENCION}", $fechaAtencion, $plant);
                $fechaMinimaAtencion = date("m-d-Y", strtotime("+1Month",strtotime($datosN->getFechaNacimiento())));
            $plant = str_replace("{VALUE_FECHAMINIMAATENCION}", $fechaMinimaAtencion, $plant);            
            $plant = str_replace("{VALUE_OBSERVACION}", "", $plant);                 
            $html .= $plant."</div>";            
            echo $html;
        }
        else
            echo "0";
      break;
	case "Listado":
		include $dirClase;  $con = new NinoPsicomotor($conex);
        $conF = $con->getFuncion();
        
        $idNino = (isset($_REQUEST["idNino"]))?$_REQUEST["idNino"]:"0";
        $cond = ($idNino==0)?NULL:($cond = "idNino='".$idNino."'");
        
		$datos = $con->get(NULL, NULL, $cond, NULL, " fechaAtencion DESC");        
        
		include ("../vista/capas/nino_psicomotor/plantilla_nino_psicomotor_lista.php");

	  break;
	case "Guardar":
		include_once $dirClase;		    $con = new NinoPsicomotor($conex);
        include_once $dirClaseRegla;    $conR = new Regla($conex);

		$con->setIdNino($_REQUEST["idNino"]);		
		$con->setObservacion($_REQUEST["observacion"]);
		$con->setIdUsuario($_SESSION["idUsuario"]);        
        $con->setFechaAtencion($con->getFuncion()->getFechaYMD($_REQUEST["fechaAtencion"]));
        
        $query = "SELECT valor FROM parametro AS pa WHERE nombre='CODIGOESTABLECIMIENTO'";
        $dataP = $con->getConexion()->datosTabla($query);   $cod_2000 = $dataP[0][0];
        $con->setCod_2000($cod_2000);
        
        foreach($_REQUEST["idRegla"] AS $item)
        {   $datosR = $conR->get($item);
            $con->setIdPsicomotor($item);
            $con->setEstado($datosR->getDescripcion());            
            $con->guardar();
        }
        
        echo $_REQUEST["idNino"];
	  break;
	case "Eliminar":
		include $dirClase;  $con = new NinoPsicomotor($conex);
		$con->setIdNinoPsicomotor($_REQUEST["idNinoPsicomotor"]);

		$con->eliminar();
	  break;
}
$Conexion->desconectar();

?>