<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Etnia
{	private $idEtnia = 0; 
	private $nombre; 
	private $grupo; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()      {	return $this->conexion;	}
	public function getFuncion()       {	return new Funciones();	}

	//SETS
	public function setIdEtnia($idEtnia)             {	$this->idEtnia = $idEtnia;      } 
	public function setNombre($nombre)               {	$this->nombre = $nombre;      } 
	public function setGrupo($grupo)                 {	$this->grupo = $grupo;	      } 

	//GETS
	public function getIdEtnia()                      {	return $this->idEtnia;        } 
	public function getNombre()                      {	return $this->nombre;         } 
	public function getGrupo()                       {	return $this->grupo;    } 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idEtnia == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO m_etnia (nombre, grupo) VALUES('".$this->nombre."', '".$this->grupo."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE m_etnia 
			SET nombre = '".$this->nombre."', grupo = '".$this->grupo."'
			WHERE idEtnia = '".$this->idEtnia."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM m_etnia ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Etnia($this->conex);
				$objeto->setIdEtnia($row['idEtnia']);
				$objeto->setNombre($row['nombre']);
				$objeto->setGrupo($row['grupo']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM m_etnia WHERE idEtnia='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Etnia($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdEtnia($datos[0]['idEtnia']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setGrupo($datos[0]['grupo']);
			}
			return $objeto;
		}
	}
    
    public function getOption($id = NULL)
    {   $datos = $this->get();
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getIdEtnia())?"selected='selected'":"";
			$opciones .= " value='".$row->getIdEtnia()."'>";
			$opciones .= htmlentities($row->getNombre());
			$opciones .= "</option>";
		}
		return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM m_etnia WHERE idEtnia='".$this->idEtnia."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>