<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Regla
{	private $idRegla = 0; 
	private $tipoRegla; 
	private $nombre; 
	private $descripcion; 
	private $cantidadMinima; 
	private $cantidadMaxima; 
	private $frecuencia; 
	private $tipoFrecuencia; 
	private $edadMinima; 
	private $edadMaxima; 
	private $adicional; 
    private $pesoMinimo; 
	private $pesoMaximo;
    
	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdRegla($idRegla)                   	{	$this->idRegla = $idRegla;	} 
	public function setTipoRegla($tipoRegla)               	{	$this->tipoRegla = $tipoRegla;	} 
	public function setNombre($nombre)                     	{	$this->nombre = $nombre;	} 
	public function setDescripcion($descripcion)           	{	$this->descripcion = $descripcion;	} 
	public function setCantidadMinima($cantidadMinima)     	{	$this->cantidadMinima = $cantidadMinima;	} 
	public function setCantidadMaxima($cantidadMaxima)     	{	$this->cantidadMaxima = $cantidadMaxima;	} 
	public function setFrecuencia($frecuencia)             	{	$this->frecuencia = $frecuencia;	} 
	public function setTipoFrecuencia($tipoFrecuencia)     	{	$this->tipoFrecuencia = $tipoFrecuencia;	} 
	public function setEdadMinima($edadMinima)             	{	$this->edadMinima = $edadMinima;	} 
	public function setEdadMaxima($edadMaxima)             	{	$this->edadMaxima = $edadMaxima;	} 
	public function setAdicional($adicional)             	{	$this->adicional = $adicional;	} 
    public function setPesoMinimo($pesoMinimo)             	{	$this->pesoMinimo = $pesoMinimo;	} 
	public function setPesoMaximo($pesoMaximo)             	{	$this->pesoMaximo = $pesoMaximo;	} 
    
	//GETS
	public function getIdRegla()                           	{	return $this->idRegla;	} 
	public function getTipoRegla()                         	{	return $this->tipoRegla;	} 
	public function getNombre()                            	{	return $this->nombre;	} 
	public function getDescripcion()                       	{	return $this->descripcion;	} 
	public function getCantidadMinima()                    	{	return $this->cantidadMinima;	} 
	public function getCantidadMaxima()                    	{	return $this->cantidadMaxima;	} 
	public function getFrecuencia()                        	{	return $this->frecuencia;	} 
	public function getTipoFrecuencia()                    	{	return $this->tipoFrecuencia;	} 
	public function getEdadMinima()                        	{	return $this->edadMinima;	} 
	public function getEdadMaxima()                        	{	return $this->edadMaxima;	} 
	public function getAdicional()             	           {	return $this->adicional;	} 
    public function getPesoMinimo()                     	{	return $this->pesoMinimo;	} 
	public function getPesoMaximo()                        	{	return $this->pesoMaximo;	}

	//METODOS GUARDAR
	public function guardar()
	{	($this->idRegla == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO regla (tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, adicional, pesoMinimo, pesoMaximo)
			VALUES('".$this->tipoRegla."', '".$this->nombre."', '".$this->descripcion."', '".$this->cantidadMinima."', '".$this->cantidadMaxima."', '".$this->frecuencia."', '".$this->tipoFrecuencia."', '".$this->edadMinima."', '".$this->edadMaxima."', '".$this->adicional."', '".$this->pesoMinimo."', '".$this->pesoMaximo."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE regla 
			SET tipoRegla = '".$this->tipoRegla."', 
				nombre = '".$this->nombre."', 
				descripcion = '".$this->descripcion."', 
				cantidadMinima = '".$this->cantidadMinima."', 
				cantidadMaxima = '".$this->cantidadMaxima."', 
				frecuencia = '".$this->frecuencia."', 
				tipoFrecuencia = '".$this->tipoFrecuencia."', 
				edadMinima = '".$this->edadMinima."', 
				edadMaxima = '".$this->edadMaxima."', 
				adicional = '".$this->adicional."', 
				pesoMinimo = '".$this->pesoMinimo."', 
				pesoMaximo = '".$this->pesoMaximo."'
			WHERE idRegla = '".$this->idRegla."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$consulta = "SELECT ".$campo." FROM regla ".$condicion.$limite;
            //return $consulta;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Regla($this->conex);
				$objeto->setIdRegla($row['idRegla']);
				$objeto->setTipoRegla($row['tipoRegla']);
				$objeto->setNombre($row['nombre']);
				$objeto->setDescripcion($row['descripcion']);
				$objeto->setCantidadMinima($row['cantidadMinima']);
				$objeto->setCantidadMaxima($row['cantidadMaxima']);
				$objeto->setFrecuencia($row['frecuencia']);
				$objeto->setTipoFrecuencia($row['tipoFrecuencia']);
				$objeto->setEdadMinima($row['edadMinima']);
				$objeto->setEdadMaxima($row['edadMaxima']);
				$objeto->setAdicional($row['adicional']);
                $objeto->setPesoMinimo($row['pesoMinimo']);
				$objeto->setPesoMaximo($row['pesoMaximo']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM regla WHERE idRegla='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Regla($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdRegla($datos[0]['idRegla']);
				$objeto->setTipoRegla($datos[0]['tipoRegla']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setDescripcion($datos[0]['descripcion']);
				$objeto->setCantidadMinima($datos[0]['cantidadMinima']);
				$objeto->setCantidadMaxima($datos[0]['cantidadMaxima']);
				$objeto->setFrecuencia($datos[0]['frecuencia']);
				$objeto->setTipoFrecuencia($datos[0]['tipoFrecuencia']);
				$objeto->setEdadMinima($datos[0]['edadMinima']);
				$objeto->setEdadMaxima($datos[0]['edadMaxima']);
				$objeto->setAdicional($datos[0]['adicional']);
                $objeto->setPesoMinimo($datos[0]['pesoMinimo']);
				$objeto->setPesoMaximo($datos[0]['pesoMaximo']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM regla WHERE idRegla='".$this->idRegla."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>