<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class ReglaTamizaje
{	private $idReglaTamizaje = 0; 
	private $nombre; 
	private $tipoFrecuencia; 
	private $rango; 
	private $edadMinima; 
	private $edadMaxima; 
	private $pesoMinimo;
    private $pesoMaximo; 
	private $idReglaTamizajeDependencia; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()
	{	return $this->conexion;	}
	public function getFuncion()
	{	return new Funciones();	}

	//SETS
	public function setIdReglaTamizaje($idReglaTamizaje)
	{	$this->idReglaTamizaje = $idReglaTamizaje;	} 
	public function setNombre($nombre)
	{	$this->nombre = $nombre;	} 
	public function setTipoFrecuencia($tipoFrecuencia)
	{	$this->tipoFrecuencia = $tipoFrecuencia;	} 
	public function setRango($rango)
	{	$this->rango = $rango;	} 
	public function setEdadMinima($edadMinima)
	{	$this->edadMinima = $edadMinima;	} 
	public function setEdadMaxima($edadMaxima)
	{	$this->edadMaxima = $edadMaxima;	} 
	public function setPesoMinimo($pesoMinimo)
	{	$this->pesoMinimo = $pesoMinimo;	} 
    public function setPesoMaximo($pesoMaximo)
	{	$this->pesoMaximo = $pesoMaximo;	}
	public function setIdReglaTamizajeDependencia($idReglaTamizajeDependencia)
	{	$this->idReglaTamizajeDependencia = $idReglaTamizajeDependencia;	} 

	//GETS
	public function getIdReglaTamizaje()
	{	return $this->idReglaTamizaje;	} 
	public function getNombre()
	{	return $this->nombre;	} 
	public function getTipoFrecuencia()
	{	return $this->tipoFrecuencia;	} 
	public function getRango()
	{	return $this->rango;	} 
	public function getEdadMinima()
	{	return $this->edadMinima;	} 
	public function getEdadMaxima()
	{	return $this->edadMaxima;	} 
	public function getPesoMinimo()
	{	return $this->pesoMinimo;	} 
    public function getPesoMaximo()
	{	return $this->pesoMaximo;	}
	public function getIdReglaTamizajeDependencia()
	{	return $this->idReglaTamizajeDependencia;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idReglaTamizaje == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO regla_tamizaje (nombre, tipoFrecuencia, rango, edadMinima, edadMaxima, pesoMinimo, pesoMaximo, idReglaTamizajeDependencia)
			VALUES('".$this->nombre."', '".$this->tipoFrecuencia."', '".$this->rango."', '".$this->edadMinima."', '".$this->edadMaxima."', '".$this->pesoMinimo."', '".$this->pesoMaximo."', '".$this->idReglaTamizajeDependencia."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE regla_tamizaje 
			SET nombre = '".$this->nombre."', 
				tipoFrecuencia = '".$this->tipoFrecuencia."', 
				rango = '".$this->rango."', 
				edadMinima = '".$this->edadMinima."', 
				edadMaxima = '".$this->edadMaxima."', 
				pesoMinimo = '".$this->pesoMinimo."',
                pesoMaximo = '".$this->pesoMaximo."', 
				idReglaTamizajeDependencia = '".$this->idReglaTamizajeDependencia."'
			WHERE idReglaTamizaje = '".$this->idReglaTamizaje."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM regla_tamizaje ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new ReglaTamizaje($this->conex);
				$objeto->setIdReglaTamizaje($row['idReglaTamizaje']);
				$objeto->setNombre($row['nombre']);
				$objeto->setTipoFrecuencia($row['tipoFrecuencia']);
				$objeto->setRango($row['rango']);
				$objeto->setEdadMinima($row['edadMinima']);
				$objeto->setEdadMaxima($row['edadMaxima']);
				$objeto->setPesoMinimo($row['pesoMinimo']);
                $objeto->setPesoMaximo($row['pesoMaximo']);
				$objeto->setIdReglaTamizajeDependencia($row['idReglaTamizajeDependencia']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM regla_tamizaje WHERE idReglaTamizaje='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new ReglaTamizaje($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdReglaTamizaje($datos[0]['idReglaTamizaje']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setTipoFrecuencia($datos[0]['tipoFrecuencia']);
				$objeto->setRango($datos[0]['rango']);
				$objeto->setEdadMinima($datos[0]['edadMinima']);
				$objeto->setEdadMaxima($datos[0]['edadMaxima']);
				$objeto->setPesoMinimo($datos[0]['pesoMinimo']);
                $objeto->setPesoMaximo($datos[0]['pesoMaximo']);
				$objeto->setIdReglaTamizajeDependencia($datos[0]['idReglaTamizajeDependencia']);
			}
			return $objeto;
		}
	}

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM regla_tamizaje WHERE idReglaTamizaje='".$this->idReglaTamizaje."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}