<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';
class Ups
{	private $codigo = 0; 
	private $nombre; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
	}

	public function getConexion()                  	{	return $this->conexion;	}
	public function getFuncion()                   	{	return new Funciones();	}

	//SETS
	public function setCodigo($codigo)             	{	$this->codigo = $codigo;	} 
	public function setNombre($nombre)             	{	$this->nombre = $nombre;	} 

	//GETS
	public function getCodigo()                    	{	return $this->codigo;	} 
	public function getNombre()                    	{	return $this->nombre;	} 

	//METODOS GUARDAR
	public function guardar()
	{	($this->codigo == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO m_ups (nombre) VALUES('".$this->nombre."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE m_ups 
			SET nombre = '".$this->nombre."'
			WHERE codigo = '".$this->codigo."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL, $orden = NULL)
	{	if ($id == NULL)
	    {	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$orden = ($orden == NULL)?"":(" ORDER BY ".$orden." ");
			$consulta = "SELECT ".$campo." FROM m_ups ".$condicion.$orden.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new ups($this->conex);
				$objeto->setCodigo($row['codigo']);
				$objeto->setNombre($row['nombre']);
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM m_ups WHERE codigo='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new ups($this->conex);
			if(count($datos)>0)
			{	$objeto->setCodigo($datos[0]['codigo']);
				$objeto->setNombre($datos[0]['nombre']);
			}
			return $objeto;
		}
	}
        
    public function getOption($id = NULL, $cond = NULL)
    {   $datos = $this->get(NULL, NULL, $cond);		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getCodigo())?"selected='selected'":"";
			$opciones .= " value='".$row->getCodigo()."'>";
			$opciones .= htmlentities($row->getNombre());
			$opciones .= "</option>";
		}
		return $opciones;
    }

	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM m_ups WHERE codigo='".$this->codigo."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>