<?php
include_once '../modelo/conexionDB/conexionMySql/consulta.php';
include_once '../modelo/clases/funciones.php';

include_once '../modelo/clases/ups.php';
include_once '../modelo/clases/profesion.php';
class Usuario
{	private $idUsuario = 0; 
    private $cod_2000; 
	private $nick; 
	private $clave; 
	private $dni; 
	private $paterno; 
	private $materno; 
	private $nombre; 
	private $correo; 
	private $celular; 
	private $tipoUsuario; 
	private $idDependencia = 0; 
    private $tipoColegio;  
    
    private $ups;  
    private $profesion; 

	public function __construct($con = NULL)
	{	$this->conex = $con;
		$this->conexion = new Consulta($con);
        
		$this->ups = new Ups($con);
		$this->profesion = new Profesion($con);
	}

	public function getConexion()                                      	{	return $this->conexion;	}
	public function getFuncion()                                       	{	return new Funciones();	}

	//SETS    
	public function setUps($ups)                           	            {	$this->ups = $ups;	} 
    public function setProfesion($profesion)                            {	$this->profesion = $profesion;	}
	
    public function setIdUsuario($idUsuario)                           	{	$this->idUsuario = $idUsuario;	} 
    public function setCod_2000($cod_2000)                             	{	$this->cod_2000 = $cod_2000;	}
	public function setNick($nick)                                     	{	$this->nick = $nick;	} 
	public function setClave($clave)                                   	{	$this->clave = $clave;	} 
	public function setDni($dni)                                       	{	$this->dni = $dni;	} 
	public function setPaterno($paterno)                               	{	$this->paterno = $paterno;	} 
	public function setMaterno($materno)                               	{	$this->materno = $materno;	} 
	public function setNombre($nombre)                                 	{	$this->nombre = $nombre;	} 
	public function setCorreo($correo)                                 	{	$this->correo = $correo;	} 
	public function setCelular($celular)                               	{	$this->celular = $celular;	} 
	public function setTipoUsuario($tipoUsuario)                       	{	$this->tipoUsuario = $tipoUsuario;	}  
	public function setTipoColegio($tipoColegio)                       	{	$this->tipoColegio = $tipoColegio;	} 
	public function setIdDependencia($idDependencia)                   	{	$this->idDependencia = $idDependencia;	} 

	//GETS
	public function getUps()                           	   {	return $this->ups;	} 
    public function getProfesion()                         {	return $this->profesion;	}
	
    public function getIdUsuario()                         {	return $this->idUsuario;	} 
    public function getCod_2000()                          {	return $this->cod_2000;	}
	public function getNick()                              {	return $this->nick;	} 
	public function getClave()                             {	return $this->clave;	} 
	public function getDni()                               {	return $this->dni;	} 
	public function getPaterno()                           {	return $this->paterno;	} 
	public function getMaterno()                           {	return $this->materno;	} 
	public function getNombre()                            {	return $this->nombre;	} 
	public function getCorreo()                            {	return $this->correo;	} 
	public function getCelular()                           {	return $this->celular;	} 
	public function getTipoUsuario()                       {	return $this->tipoUsuario;	}   
	public function getTipoColegio()       	               {	return $this->tipoColegio;	}
	public function getIdDependencia()                 	   {	return $this->idDependencia;	}
    
    public function getPrimerNombre()
    {   $nom = explode(" ",$this->nombre,2);
        return $nom[0]; 
    }
    public function getNombreCompleto()
    {   return utf8_encode($this->paterno." ".$this->materno.", ".$this->getPrimerNombre());    }
    public function getNombreCorto()
    {   return utf8_encode($this->getPrimerNombre()." ".$this->paterno);    } 

	//METODOS GUARDAR
	public function guardar()
	{	($this->idUsuario == 0)?$this->agregar():$this->modificar();	}

	private function agregar()
	{	$consulta = "INSERT INTO usuario (cod_2000, nick, clave, dni, paterno, materno, nombre, correo, celular, tipoUsuario, colegiatura, idDependencia)
			VALUES('".$this->cod_2000."', '".$this->nick."', '".$this->clave."', '".$this->dni."', '".$this->paterno."', '".$this->materno."', '".$this->nombre."', '".$this->correo."', '".$this->celular."', '".$this->tipoUsuario."', '".$this->tipoColegio."', '".$this->idDependencia."')";
		$this->conexion->ejecutar($consulta);
	}

	private function modificar()
	{	$consulta = "UPDATE usuario 
			SET cod_2000 = '".$this->cod_2000."', nick = '".$this->nick."', clave = '".$this->clave."', dni = '".$this->dni."', 
				paterno = '".$this->paterno."', materno = '".$this->materno."',	nombre = '".$this->nombre."', 
				correo = '".$this->correo."', celular = '".$this->celular."', tipoUsuario = '".$this->tipoUsuario."', 
				colegiatura = '".$this->tipoColegio."', idDependencia = '".$this->idDependencia."'
			WHERE idUsuario = '".$this->idUsuario."'";
		$this->conexion->ejecutar($consulta);
	}

	//METODOS GET
	public function get($id = NULL, $campo = NULL, $condicion = NULL, $limite = NULL)
	{	if ($id == NULL)
	{	$tabla = array();
			$campo = ($campo == NULL)?"*":$campo;
			if($condicion == NULL)
				$condicion = "";
			else
			{	$matriz = explode(";;", $condicion);
				$condicion = " WHERE ";
				foreach($matriz AS $item)
					$condicion .= " ".$item." AND";
				$condicion = substr($condicion, 0, strlen($condicion)-4);
			}
			$limite = ($limite == NULL)?"":(" LIMIT ".$limite.";");
			$consulta = "SELECT ".$campo." FROM usuario ".$condicion.$limite;
			$datos = $this->conexion->datosTabla($consulta);
			foreach ($datos as $row)
			{	$objeto = new Usuario($this->conex);
				$objeto->setIdUsuario($row['idUsuario']);
                $objeto->setCod_2000($row['cod_2000']);
				$objeto->setNick($row['nick']);
				$objeto->setClave($row['clave']);
				$objeto->setDni($row['dni']);
				$objeto->setPaterno($row['paterno']);
				$objeto->setMaterno($row['materno']);
				$objeto->setNombre($row['nombre']);
				$objeto->setCorreo($row['correo']);
				$objeto->setCelular($row['celular']);
				$objeto->setTipoUsuario($row['tipoUsuario']);
				$objeto->setTipoColegio($row['colegiatura']);
				$objeto->setIdDependencia($row['idDependencia']);
                
                if($row['idDependencia']!=NULL) $objeto->setUps($this->ups->get($row['idDependencia']));
                $col = ($row['colegiatura']=="")?"X":$row['colegiatura'];
                $objeto->setProfesion($this->profesion->get($col));
                
				$tabla[] = $objeto;
			}
			return $tabla;
		}
		else
		{	$consulta = "SELECT * FROM usuario WHERE idUsuario='".$id."' LIMIT 1";

			$datos = $this->conexion->datosTabla($consulta);
			$objeto = new Usuario($this->conex);
			if(count($datos)>0)
			{	$objeto->setIdUsuario($datos[0]['idUsuario']);
                $objeto->setCod_2000($datos[0]['cod_2000']);
				$objeto->setNick($datos[0]['nick']);
				$objeto->setClave($datos[0]['clave']);
				$objeto->setDni($datos[0]['dni']);
				$objeto->setPaterno($datos[0]['paterno']);
				$objeto->setMaterno($datos[0]['materno']);
				$objeto->setNombre($datos[0]['nombre']);
				$objeto->setCorreo($datos[0]['correo']);
				$objeto->setCelular($datos[0]['celular']);
				$objeto->setTipoUsuario($datos[0]['tipoUsuario']);
				$objeto->setTipoColegio($datos[0]['colegiatura']);
				$objeto->setIdDependencia($datos[0]['idDependencia']);
                
                $objeto->setUps($this->ups->get($datos[0]['idDependencia']));
                $objeto->setProfesion($this->profesion->get($datos[0]['colegiatura']));
			}
			return $objeto;
		}
	}
        
    public function getOption($id = NULL, $cond = NULL)
    {   $datos = $this->get(NULL, NULL, $cond);		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row->getIdUsuario())?"selected='selected'":"";
			$opciones .= " value='".$row->getIdUsuario()."'>";
			$opciones .= htmlentities($row->getNombreCompleto());
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
    public function getOptionTipoUsuario($id = NULL)
    {   $datos = array(array("1", "Admin"), array("2", "Jefe"), array("3", "Responsable"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }
    
    public function getOptionTipoColegio($id = NULL)
    {   $datos = array(array("00", "Tecnico(a)"), array("01", "Medico"), array("06", "Lic. Enfermeria"), array("05", "Obstetra"));
		$opciones = "";
		foreach ($datos as $row)
		{	$opciones .= "<option ";
			$opciones .= ($id == $row[0])?"selected='selected'":"";
			$opciones .= " value='".$row[0]."'>";
			$opciones .= $row[1];
			$opciones .= "</option>";
		}
		return $opciones;
    }
        
	//ELIMINAR
	public function eliminar()
	{	$consulta = "DELETE FROM usuario WHERE idUsuario='".$this->idUsuario."' LIMIT 1;";
		$this->conexion->ejecutar($consulta);
	}
}
?>