<?php
/* Usuario para la conexion a Mysql. */
$usurio = "root";
/* Password para la conexion a Mysql. */
$passwd = "";
 /* Host para la conexion a Mysql. */
$host = "localhost";
/* Base de Datos que se seleccionar. */
$bd = "sin_nino";
/* Nombre del fichero que se descargar. */

/* Determina si la tabla ser vaciada (si existe) cuando  restauremos la tabla. */            
$drop = true;
/* 
* Array que contiene las tablas de la base de datos que seran resguardadas.
* Puede especificarse un valor false para resguardar todas las tablas
* de la base de datos especificada en  $bd.
* 
* Ejs.:
* $tablas = false;
*    o
* $tablas = array("tabla1", "tabla2", "tablaetc");
* 
*/
$tablas = false;
/* 
* Tipo de compresion.
* Puede ser "gz", "bz2", o false (sin comprimir)
*/
$compresion = "zip";

/* Conexion y eso*/
$conexion = mysqli_connect($host, $usurio, $passwd,$bd)

//$this->resultado = mysqli_query($this->conexion,$consulta);

or die("No se conectar con el servidor MySQL: ".mysql_error());
   
include_once '../modelo/clases/usuario.php';    $conU = new Usuario($conexion);
$conF = $conU->getFuncion();   $conC = $conU->getConexion(); 
$consulta = "SELECT valor FROM parametro WHERE idParametro='2' AND nombre='NOMBREESTABLECIMIENTO' ORDER BY idParametro ASC LIMIT 1";
$datosP = $conC->datosTabla($consulta);
$dia_hora = date("d-m-Y__H-i", time());
$nombre = "BACKUP_sin_nino_".$dia_hora."_".$datosP[0][0].".sql"; // nombre del archivo que queres que genere !!!


/* Se busca las tablas en la base de datos */
if ( empty($tablas) ) {
    $consulta = "SHOW TABLES FROM $bd;";
    $respuesta = mysqli_query($conexion, $consulta)
    or die("No se pudo ejecutar la consulta: ".mysql_error());
    while ($fila = mysqli_fetch_array($respuesta, MYSQL_NUM)) {
        $tablas[] = $fila[0];
    }
}


/* Se crea la cabecera del archivo */
$info['dumpversion'] = "1.1b";
$info['fecha'] = date("d-m-Y");
$info['hora'] = date("h:m:s A");
$info['mysqlver'] = "5.6.17";
$info['phpver'] = phpversion();
ob_start();
print_r($tablas);
$representacion = ob_get_contents();
ob_end_clean ();
preg_match_all('/(\[\d+\] => .*)\n/', $representacion, $matches);
$info['tablas'] = implode(";  ", $matches[1]);
$dump = <<<EOT
# +===================================================================
# | Backup! {$info['dumpversion']}
# | DIRESA UCAYALI - ESTADISTICA
# |
# | Generado el {$info['fecha']} a las {$info['hora']} 
# | Servidor: {$_SERVER['HTTP_HOST']}
# | MySQL Version: {$info['mysqlver']}
# | PHP Version: {$info['phpver']}
# | Base de datos: '$bd'
# | Tablas: {$info['tablas']}
# |
# +-------------------------------------------------------------------

EOT;
foreach ($tablas as $tabla) {
    
    $drop_table_query = "";
    $create_table_query = "";
    $insert_into_query = "";
    
    /* Se halla el query que ser capaz vaciar la tabla. */
    if ($drop) {
        $drop_table_query = "DROP TABLE IF EXISTS `$tabla`;";
    } else {
        $drop_table_query = "# No especificado.";
    }

    /* Se halla el query que ser capaz de recrear la estructura de la tabla. */
    $create_table_query = "";
    $consulta = "SHOW CREATE TABLE $tabla;";
    $respuesta = mysqli_query($conexion, $consulta)
    or die("No se pudo ejecutar la consulta: ".mysql_error());
    while ($fila = mysqli_fetch_array($respuesta, MYSQL_NUM)) {
            $create_table_query = $fila[1].";";
    }
    
    /* Se halla el query que ser capaz de insertar los datos. */
    $insert_into_query = "";
    $consulta = "SELECT * FROM $tabla;";
    $respuesta = mysqli_query($conexion, $consulta)
    or die("No se pudo ejecutar la consulta: ".mysql_error());  $ii = 0;  $jj = 0;
    while ($fila = mysqli_fetch_array($respuesta, MYSQL_ASSOC)) {
            $columnas = array_keys($fila);  $ii++;  $jj++;
            foreach ($columnas as $columna) {
                if ( gettype($fila[$columna]) == "NULL" ) {
                    $values[] = "NULL";
                } else {
                    $values[] = "'".mysqli_real_escape_string($conexion,$fila[$columna])."'";
                }
            }
            if($ii==1)   $insert_into_query .= "INSERT INTO `$tabla` VALUES ";
            if($ii>1)   $insert_into_query .= ",";
            $insert_into_query .= "(".implode(", ", $values).")";
            if($ii==2000) { $insert_into_query .= "; "; $ii=0;     }   
            unset($values);
    }
    if($ii>1)   $insert_into_query .= ";";
    if($jj==0)   $insert_into_query = "";    
    
$dump .= <<<EOT

# | Vaciado y Creacin de tabla '$tabla'
# +------------------------------------->
$drop_table_query
$create_table_query


# | Carga de datos de la tabla '$tabla'
# +------------------------------------->
$insert_into_query

EOT;
}

/* Envio */
if ( !headers_sent() ) {
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Transfer-Encoding: binary");
    switch ($compresion) {
    case "gz":
        header("Content-Disposition: attachment; filename=$nombre.gz");
        header("Content-type: application/x-gzip");
        echo gzencode($dump, 9);
        break;
    case "bz2": 
        header("Content-Disposition: attachment; filename=$nombre.bz2");
        header("Content-type: application/x-bzip2");
        echo bzcompress($dump, 9);
        break;
    case "zip": 
        header("Content-Disposition: attachment; filename=$nombre.zip");
        header("Content-type: application/force-download");
        echo bzcompress($dump, 9);
        break;
    default:
        header("Content-Disposition: attachment; filename=$nombre");
        header("Content-type: application/force-download");
        echo $dump;
    }
} else {
    echo "<b>ATENCION: Probablemente ha ocurrido un error</b><br />\n<pre>\n$dump\n</pre>";
}
?>