<?php   session_start();
error_reporting(E_ALL);

ini_set("memory_limit","256M");
ini_set('max_execution_time', 600);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';   
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);  $conN = $conNC->getPersona();
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$fechaAtencion = (isset($_REQUEST["fechaAtencion"]))?$_REQUEST["fechaAtencion"]:date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$consulta = "SELECT * FROM parametro ORDER BY idParametro LIMIT 4";
$datosP = $conC->datosTabla($consulta);

?>

<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            .center {     text-align: center;}
            .margin_auto {  margin-left: auto; margin-right: auto;  }
            .bo_izq { border-left: 1px solid black; }
            .bo_der { border-right: 1px solid black; }
            .bo_aba { border-bottom: 1px solid black; }            
            .f4 { font-size: 4px; }  .f5 { font-size: 5px; }       .f6 { font-size: 6px; }   .f7 { font-size: 7px; }
            .f8 { font-size: 8px; }  .f9 { font-size: 9px; }       .f10 { font-size: 10px; } .f11 { font-size: 11px; }
            .f12 { font-size: 12px; }   .f13 { font-size: 13px; }  .f14 { font-size: 14px; }   .f15 { font-size: 15px; }
            .f16 { font-size: 16px; }   .f17 { font-size: 17px; }  .f18 { font-size: 18px; }   .f19 { font-size: 19px; }
            .f20 { font-size: 20px; }   .f21 { font-size: 21px; }  .f22 { font-size: 22px; }   .f23 { font-size: 23px; }
            .f24 { font-size: 24px; }   .f25 { font-size: 25px; }  .f26 { font-size: 26px; }   .f27 { font-size: 27px; } 
            .f28 { font-size: 28px; }   .f29 { font-size: 29px; }  .f30 { font-size: 30px; }   .f31 { font-size: 31px; }
            .borde { border: 1px solid black;   }
            .fl_der { float:right}  .fl_izq { float:left} .limpiar { clear: both;}
            .back_color {   background-color: black; color:  white; }
            .back_gris  {   background-color: gainsboro;    }
        </style>         
     
    </head>
	
    <body style="font-family: sans-serif;"> 
        
    <?php 
        $datosU = $conU->get($_SESSION["idUsuario"]);
        
        
        $linea1 = file_get_contents("plantilla/his_mis_linea1.html");
        $linea2 = file_get_contents("plantilla/his_mis_linea2.html");
            $linea2 = str_replace("{ANIO}", date("y", time()), $linea2);
            $linea2 = str_replace("{MES_CORTO}", strtoupper($conU->getFuncion()->mesNombreCorto(date("m", strtotime($_REQUEST["fechaAtencion1"])))), $linea2);            
            $linea2 = str_replace("{NOMBRE_ESTABLECIMIENTO}", $datosP[0]["valor"]." - ".substr($datosP[1]["valor"],0,13), $linea2);
            $linea2 = str_replace("{NOMBRE_SERVICIO}", "ENFERMERIA", $linea2);
            $linea2 = str_replace("{NOMBRE_USUARIO}", $datosU->getDni()." - ".$datosU->getPaterno(), $linea2);
        $linea3 = file_get_contents("plantilla/his_mis_linea3.html");
        $linea4 = file_get_contents("plantilla/his_mis_linea4.html");
        $linea5 = file_get_contents("plantilla/his_mis_linea5.html");
        $linea6 = file_get_contents("plantilla/his_mis_linea6.html");
        $salto = "<div style=\"page-break-before: always;\"></div>";
        $cara2 ="<div class=\"f7 margin_auto\" style=\"width: 700px; margin-top: 5px; page-break-before: always ;\">
                Cara 2
            </div>";
        $aspaSexo = "<div class=\"f29\" style=\"top: -10px; left: 1px; position: absolute; font-family: cursive; font-style: italic;\">
                            X</div>";
        $aspaServ = "<div class=\"f18\" style=\"top: -5px; left: 4px; position: absolute; font-family: cursive; font-style: italic;\">
                            X</div>";
        $aspaTipo = "<div class=\"f17\" style=\"top: -4px; left: 2px; position: absolute; font-family: cursive; font-style: italic;\">
                                X</div>";



        
        $nombre = array("GiP"=>"Ganancia Inadecuada de Peso", "DA"=>"Desnutrici&oacute;n Aguda", "SP"=>"Sobrepeso"
                    , "GiT"=>"Ganancia Inadecuada de Talla", "TA"=>"Talla Alta", "TB"=>"Desnutrici&oacute;n Cr&oacute;nica"
                    , "TS"=>"Desnutrici&oacute;n Cr&oacute;nica", "DS"=>"Desnutrici&oacute;n Severa", "OB"=>"Obesidad", "XX"=>"Sin Nada");
        $codigo = array("GiP"=>"Z724", "DA"=>"E440", "SP"=>"E660", "GiT"=>"Z724", "TA"=>"E344"
                    , "TB"=>"E45X", "TS"=>"E45X", "DS"=>"E43X", "OB"=>"E669", "XX"=>"XXXX");
        
        $arrayPR = array("nombre"=>"&nbsp;", "p"=>"P", "d"=>"D", "r"=>"R", "lab"=>"PR", "codigo"=>"&nbsp;", "z"=>"1");

        $variables = array("{I}", "{DIA}", "{HISTORIA_CLINICA}", "{DNI}", "{ID_FINANCIAMIENTO}", "{ID_ETNIA}", "{DISTRITO}"
                       , "{EDAD}", "{SEXO_M}", "{SEXO_F}", "{NOMBRE_1}", "{P_1}", "{D_1}", "{R_1}", "{LAB_1}"
                       , "{CODIGO_1}", "{NOMBRE_2}", "{P_2}", "{D_2}", "{R_2}", "{LAB_2}", "{CODIGO_2}", "{NOMBRE_3}"
                       , "{P_3}", "{D_3}", "{R_3}", "{LAB_3}", "{CODIGO_3}", "{ESTA_N}", "{ESTA_C}", "{ESTA_R}"
                       , "{SERV_N}", "{SERV_C}", "{SERV_R}");
        $valores = array("", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""
                       , "", "", "", "", "", "", "", "", "", "", "", "", "", "");
        $diag = array(array("nombre"=>"CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"Z001")
                    , array("nombre"=>"GiP", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"PE", "codigo"=>"Z724")
                    , array("nombre"=>"N", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"ED", "codigo"=>"Z006")
                    , array("nombre"=>"C.N.", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"99403")
                    , array("nombre"=>"Dosaje de Hemoglobina", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"85018")
                    , array("nombre"=>"Descarte Parasitosis", "p"=>"-P-", "d"=>"D", "r"=>"R", "lab"=>"", "codigo"=>"Z119")
                    , array("nombre"=>"PAIS", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"C8002")
                    , array("nombre"=>"Adm. MMN", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"TA", "codigo"=>"Z298") );
        $plan = "<tr class=\"centrar\" style='height: 14px;'>
                    <td rowspan='4'>{DIA}</td><td rowspan='2'>{HISTORIA_CLINICA}</td>
                    <td rowspan='1'>{ID_FINANCIAMIENTO}</td><td rowspan='4'>{ID_ETNIA}</td>
                    <td rowspan='4'>{DISTRITO}</td><td rowspan='4'>{EDAD}</td>
                    <td rowspan='2'>{SEXO_M}</td><td>N</td><td>N</td><td colspan='2'>{NOMBRE_1}</td>
                    <td class='{CSS_P1}'>{P_1}</td><td class='{CSS_D1}'>{D_1}</td>
                    <td class='{CSS_R1}'>{R_1}</td><td>{LAB_1}</td><td>{CODIGO_1}</td>                
                </tr>
                <tr class=\"centrar\" style='height: 7px;'>                                        
                    <td rowspan='2'>C</td><td rowspan='2'>C</td><td colspan='2' rowspan='2'>{NOMBRE_2}</td>
                    <td class='{CSS_P2}' rowspan='2'>{P_2}</td><td class='{CSS_D2}' rowspan='2'>{D_2}</td>
                    <td class='{CSS_R2}' rowspan='2'>{R_2}</td><td rowspan='2'>{LAB_2}</td><td rowspan='2'>{CODIGO_2}</td>                
                </tr>
                <tr class=\"centrar\" style='height: 7px;'>                
                    <td rowspan='2'>{DNI}</td><td rowspan='2'>{SEXO_F}</td>                                
                </tr>
                <tr class=\"centrar\" style='height: 14px;'>                
                    <td>R</td><td>R</td><td colspan='2'>{NOMBRE_3}</td><td class='{CSS_P3}'>{P_3}</td>
                    <td class='{CSS_D3}'>{D_3}</td><td class='{CSS_R3}'>{R_3}</td><td>{LAB_3}</td><td>{CODIGO_3}</td>                                                
                </tr>            
                <tr><td colspan='16' class=\"centrar\"></td></tr>";
        $plan = $linea4;    
        $renglones = 0; $band=0;    $il = 0;    $band = 0;  
        echo $linea1.$linea2.$linea3; 
            
            
            
            
            
$fecha1 = (isset($_REQUEST["fechaAtencion1"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion1"])):date("Y-m-d", time());
$fecha2 = (isset($_REQUEST["fechaAtencion2"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion2"])):$fecha1;
$ijk = 0;       //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
for($fec=$fecha1; $fec<=$fecha2; $fec = date("Y-m-d", strtotime($fec)+86400))
{   //echo $fec."<br />";  
    $fechaAtencion = $fec;
    $consulta = "(SELECT idNino FROM nino_cred WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$_SESSION["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM nino_suplemento WHERE fechaAtencion='".$fechaAtencion."' AND idResponsable='".$_SESSION["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM nino_tamizaje WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$_SESSION["idUsuario"]."' GROUP BY idNino)
        UNION   (SELECT idNino FROM nino_psicomotor WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$_SESSION["idUsuario"]."' GROUP BY idNino) 
        UNION   (SELECT idNino FROM nino_domicilio WHERE fechaAtencion='".$fechaAtencion."' AND idUsuario='".$_SESSION["idUsuario"]."' GROUP BY idNino)";
    
    $datosNinos = $conC->datosTabla($consulta);       
                 
    foreach($datosNinos AS $item)
    {   $ijk ++;    //SABER SI HAY NIOS O NO QUE IMPRIMIR EN EL HIS
        $diag = array();    $anteE = 1;  $anteS = 1;    $pais = 0;
        $datosN = $conN->get($item["idNino"]);
        
        if($datosN->getIdPersona()=="0")
            continue;        
        //var_dump($datosN->getUbigeoDireccion()->getDistrito());
        $dia = date("d", strtotime($fechaAtencion));
        $edadMeses = $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion, "MESES");
        //NIO VISITA        
        $consulta = "SELECT * FROM nino_domicilio AS nd  WHERE nd.idNino='".$item["idNino"]."' 
            AND nd.fechaAtencion='".$fechaAtencion."' AND nd.idUsuario='".$_SESSION["idUsuario"]."'  ";
        $datosND = $conC->datosTabla($consulta);    $bandVisita = 0;         
        
        //NIO CRED
        $consulta = "SELECT CONCAT(ni.paterno, \" \", ni.materno, \", \", ni.nombre) AS nombre, ni.dni, ni.historiaClinica
               , ni.pesoNacimiento, ni.sexo , obtenerEdad(ni.fechaNacimiento, 1, nc.fechaAtencion) as anio
               , obtenerEdad(ni.fechaNacimiento, 2, nc.fechaAtencion) as mes, obtenerEdad(ni.fechaNacimiento, 3, nc.fechaAtencion) as dia
               , obtenerEdad(fechaNacimiento, 4, nc.fechaAtencion) as meses, nc.numeroControl AS numCtrl, nc.peso
               , nc.talla, nc.perimetroCefalico, nc.lme, nc.consejeriaNutricional, nc.estimulacion, nc.pesoEdad
               , nc.tallaEdad, nc.tallaPeso, nc.fechaAtencion, nc.fechaCita, ni.fechaNacimiento, ni.idEtnia
               , ni.idFinanciamiento, ub.distrito, ni.idNino, nc.idRegla, nc.estado
            FROM nino_cred AS nc INNER JOIN nino AS ni ON ni.idNino=nc.idNino  LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
            WHERE ni.idNino='".$item["idNino"]."' AND fechaAtencion='".$fechaAtencion."' AND idResponsable='".$_SESSION["idUsuario"]."' AND nc.estado>=1";
        $datosNC = $conC->datosTabla($consulta);
        
        //echo var_dump($datosNC); 
        if(count($datosNC)>0 && $datosNC[0]["peso"]<=0) 
        {   $ijk--;   
            continue;   }
        $bandZ = 1; $finPR1 = array(); $finPR2 = array(); $finPR3 = array();
        $cred = 0;  $credA = 0; $vacu = 0;  $vacuA = 0;
        
        $cond = "idNino='".$datosN->getIdPersona()."';;fechaAtencion<'".$fechaAtencion."';;estado>='1'";
        $datosHist = $conNC->get(NULL, NULL, $cond, 1, " fechaAtencion DESC ");
        
        $anio = date("Y", strtotime($fechaAtencion));
        if(count($datosHist)>0) $credA = 1;
        if(count($datosHist)>0 AND date("Y", strtotime($datosHist[0]->getFechaAtencion()))!=$anio) $credA = 2;
        //echo var_dump($datosNC);                
        if(count($datosNC)>0)
        {   $datosR = $conR->get($datosNC[0]["idRegla"]);
            //echo $datosNC[0]["numCtrl"]."<br />";
            $cred = 1;
            if($datosNC[0]["estado"]=="1" or $datosNC[0]["estado"]=="3")
            {   if($datosNC[0]["estado"]=="3")
                {   $bandVisita = 1;
                    if(count($datosND)>0)
                    {   $temp = array("nombre"=>"Visita Domiciliaria", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$datosND[0]["numeroVisita"], "codigo"=>"C0011", "z"=>"1");
                        $diag[] = $temp;                        
                    }                                                            
                }    
                if($datosNC[0]["meses"]==0 AND $datosNC[0]["numCtrl"]==1)
                {   $temp = array("nombre"=>"RN Extremadamente bajo", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P070", "z"=>"1");
                    if($datosNC[0]["pesoNacimiento"]>=1)
                        $temp = array("nombre"=>"RN Muy bajo peso al nacer", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P0711", "z"=>"1");
                    if($datosNC[0]["pesoNacimiento"]>=1.5)
                        $temp = array("nombre"=>"RN bajo peso al nacer", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P0712", "z"=>"1");
                    if($datosNC[0]["pesoNacimiento"]>=2.5)
                        $temp = array("nombre"=>"RN Normal", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z006", "z"=>"1");
                    if($datosNC[0]["pesoNacimiento"]>=4)
                        $temp = array("nombre"=>"RN Macros&oacute;mico", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"P080", "z"=>"1");
                    $diag[] = $temp;
                }
                $temp = array("nombre"=>"CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>(($datosNC[0]["idRegla"]=="7")?"1":$datosNC[0]["numCtrl"]), "codigo"=>"Z001", "z"=>"1");
                $diag[] = $temp;
            }                                        
                                                   
            $nom = ($datosNC[0]["pesoEdad"]=="")?"XX":$datosNC[0]["pesoEdad"]; 
            $p = "P"; $d = "D"; $r = "R"; $lab = "PE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getPesoEdad():"";
            if($datosNC[0]["pesoEdad"]!="N")
            {   if($nom=="GiP")     {   if($nomA=="GiP")    $r="-R-";   else    $d="-D-";    
                }elseif($nom=="DA") {   if($nomA=="DA")     $r="-R-";   else    $d="-D-";    
                }elseif($nom=="SP") {   if($nomA=="SP")     $r="-R-";   else    $d="-D-";       
                }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom], "z"=>"1");
                $diag[] = $temp;    $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR1 = array("nombre"=>$nombre[$nomA], "p"=>"P", "d"=>"D", "r"=>"-R-", "lab"=>"PE", "codigo"=>$codigo[$nomA], "z"=>"1");                    
                $bandZ = 0;    
            }
            
            $nom = ($datosNC[0]["tallaEdad"]=="")?"XX":$datosNC[0]["tallaEdad"]; 
            $p = "P"; $d = "D"; $r = "R"; $lab = "TE"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaEdad():"";                    
            if($datosNC[0]["tallaEdad"]!="N")
            {   if($nom=="GiT")     {   if($nomA=="GiT")    $r="-R-";   else    $d="-D-";                             
                }elseif($nom=="TB" or $nom=="TS") {   if($nomA=="TB" or $nomA=="TS")     $r="-R-";   else    $d="-D-";                    
                }elseif($nom=="TA") {   if($nomA=="TA")     $r="-R-";   else    $d="-D-";                        
                }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom], "z"=>"1");
                $diag[] = $temp;    $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR2 = array("nombre"=>$nombre[$nomA], "p"=>"P", "d"=>"D", "r"=>"-R-", "lab"=>$lab, "codigo"=>$codigo[$nomA], "z"=>"1");
                $bandZ = 0;     }                
            
            $nom = ($datosNC[0]["tallaPeso"]=="")?"XX":$datosNC[0]["tallaPeso"]; 
            $p = "P"; $d = "D"; $r = "R"; $lab = "TP"; $nomA = (count($datosHist)>0)?$datosHist[0]->getTallaPeso():"";
            if($nom!="N")
            {   if($nom=="DA")      {   if($nomA=="DA")    $r="-R-";   else    $d="-D-";
                }elseif($nom=="DS") {   if($nomA=="DS")    $r="-R-";   else    $d="-D-";
                }elseif($nom=="SP") {   if($nomA=="SP")    $r="-R-";   else    $d="-D-";
                }elseif($nom=="OB") {   if($nomA=="OB")    $r="-R-";   else    $d="-D-";                        
                }   $temp = array("nombre"=>$nombre[$nom], "p"=>$p, "d"=>$d, "r"=>$r, "lab"=>$lab, "codigo"=>$codigo[$nom], "z"=>"1");
                $diag[] = $temp;    $bandZ = 0;                    
            }elseif($nomA!="N" and $nomA!="")
            {   $finPR3 = array("nombre"=>$nombre[$nomA], "p"=>"P", "d"=>"D", "r"=>"-R-", "lab"=>$lab, "codigo"=>$codigo[$nomA], "z"=>"1");
                $bandZ = 0;
            }
            
            if($bandZ == 1) /* NIO NORMAL EN CONTROL ACTUAL */
            {   $temp = array("nombre"=>"Normal", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z006", "z"=>"1");
                $diag[] = $temp;      
            }  
        }                
        
        // NIO PSICOMOTOR
        $query ="SELECT np.estado FROM nino_psicomotor AS np INNER JOIN regla AS re ON np.idPsicomotor=re.idRegla
            WHERE np.fechaAtencion='".$fechaAtencion."' AND  np.idNino='".$item["idNino"]."' AND idUsuario='".$_SESSION["idUsuario"]."'
            GROUP BY np.estado";      $datosNP = $conC->datosTabla($query); 
        $query ="SELECT np.estado FROM nino_psicomotor AS np
            WHERE np.fechaAtencion<'".$fechaAtencion."' AND  np.idNino='".$item["idNino"]."'
            GROUP BY np.estado ORDER BY np.fechaAtencion DESC LIMIT 1";                    
        $datosNPA = $conC->datosTabla($query);  $d="D"; $r = "R";   
                     
        if(count($datosNP)>0)
        {   if(count($datosNPA)>0)
            {   if($datosNPA[0]["estado"]=="ED")      $d = "-D-";
                else                                  $r = "-R-";                        
            }
            else                        $d = "-D-";
            
            if(count($datosNP)>1)
                $temp = array("nombre"=>"D&eacute;ficit del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>"", "codigo"=>"F83X", "z"=>"1");
            elseif($datosNP[0]["estado"]!='ED')
            {   if($edadMeses[1]>35)    $temp = array("nombre"=>"D&eacute;ficit del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNP[0]["estado"], "codigo"=>"F82X", "z"=>"1");
                else                    $temp = array("nombre"=>" Trastorno del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNP[0]["estado"], "codigo"=>"F82X", "z"=>"1");
            }
            else
            {   if($r == "-R-")
                {   if($edadMeses[1]>35)    $temp = array("nombre"=>"D&eacute;ficit del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNPA[0]["estado"], "codigo"=>"F82X", "z"=>"1");
                    else                    $temp = array("nombre"=>" Trastorno del Desarrollo", "p"=>"P", "d"=>$d, "r"=>$r, "lab"=>$datosNPA[0]["estado"], "codigo"=>"F82X", "z"=>"1");
                    $diag[] = $temp;    $temp = $arrayPR;
                }   
                else        $temp = array("nombre"=>"Normal", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"ED", "codigo"=>"Z006", "z"=>"1");                        
            }                    
            $diag[] = $temp;
        }                
        
        //OTROS DATOS CRED - ORDENANDO NOMAS
        if(count($datosNC)>0)
        {   if($datosNC[0]["consejeriaNutricional"]==1)
            {   $temp = array("nombre"=>"Consejer&iacute;a Nutricional", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>(($datosNC[0]["idRegla"]=="7")?"1":$datosNC[0]["numCtrl"]), "codigo"=>"99403", "z"=>"1");
                $diag[] = $temp;
            }
            if($datosNC[0]["lme"]==1 && $datosNC[0]["meses"]==6)
            {   $temp = array("nombre"=>"Lactancia Materna Exclusiva", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z391", "z"=>"1");
                $diag[] = $temp;
            }
            if($datosNC[0]["lme"]==2 || $datosNC[0]["lme"]==3)
            {   $LabAc = "IA";
                if(count($datosHist)>0)
                    if($datosHist[0]->getLme()==2 || $datosHist[0]->getLme()==3)
                        $LabAc = ($datosNC[0]["lme"]==2)?"AA":"AI";   
                $temp = array("nombre"=>"Alimentaci&oacute;n Complementaria ", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$LabAc, "codigo"=>"Z0017", "z"=>"1");
                $diag[] = $temp;
            }
            
            if($datosNC[0]["estimulacion"]>=1)
            {   $temp = array("nombre"=>"Sesi&oacute;n de Estimulaci&oacute;n Temprana", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$datosNC[0]["estimulacion"], "codigo"=>"99411", "z"=>"1");
                $diag[] = $temp;
            }                  
            
            if($datosNC[0]["numCtrl"]==$datosR->getCantidadMaxima())
                $pais = "TA";
            elseif($datosNC[0]["numCtrl"]==1)
                $pais = 1;                                
        }
        
        $bandMotivo = 0;
        //echo $bandMotivo." | ".count($datosND)."<br />";
        if(count($datosND)>0 and count($datosNC)==0)
        {   //echo var_dump($datosND);
            if($datosND[0]["motivo"]=="1")    $diag[] = array("nombre"=>"Supervision de Salud - CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z762");
            if($datosND[0]["motivo"]=="2")    $diag[] = array("nombre"=>"Supervision Admin. Micronutrientes - CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z298");
            if($datosND[0]["motivo"]=="3")    $diag[] = array("nombre"=>"Inmunizacion no realizada", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"Z780");
            if($datosND[0]["motivo"]=="4")    
            {   $diag[] = array("nombre"=>"Anemia por Deficiencia de Hierro", "p"=>"P", "d"=>"D", "r"=>"-R-", "lab"=>"", "codigo"=>"D509");  
                $diag[] = array("nombre"=>"Supervision de Tratamiento de Anemia", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"U310");   }
            if($datosND[0]["motivo"]=="0")  $bandMotivo = 0;    else $bandMotivo = 1;                 
        }
        
        // NIO SUPLEMENTACION 
        $query = "SELECT * FROM nino_suplemento AS ns WHERE ns.fechaAtencion='".$fechaAtencion."' AND ns.idNino='".$item["idNino"]."' AND idResponsable='".$_SESSION["idUsuario"]."'
            ORDER BY ns.idRegla";   $datosNS = $conC->datosTabla($query);   
        $CN1 = 0; 
        if(count($datosNS)>0)
        {   foreach($datosNS AS $itemNS)
            {   $labS = ""; $numCtrl = $itemNS["numeroControl"];
                switch($itemNS["idRegla"])
                {   case  "8":  $labS .= "SF";                          break;
                    case  "9":  $aux = (($itemNS["cantidad"]/30)-1<0)?0:(($itemNS["cantidad"]/30)-1);
                                $numCtrl = $itemNS["numeroControl"] + $aux;    break;
                    case "10":  $numCtrl = ($numCtrl%2==1)?1:2;
                                $labS .= "VA";                          break;
                    case "11":  $labS .= "SF";                          break;
                    case "12":  $labS .= "ZN";  $numCtrl = "";          break;
                    case "16":  $numCtrl = ($numCtrl%2==1)?1:2;         break;
                }
                $labS .= $numCtrl;
               
                $temp = array("nombre"=>"Administraci&oacute;n Micronutrientes", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$labS, "codigo"=>"Z298", "z"=>"1");
                if($itemNS["idRegla"]==16)
                    $temp = array("nombre"=>"Administraci&oacute;n de Quimioprofilaxis Antiparasitaria", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$labS, "codigo"=>"Z292", "z"=>"1");
                if($itemNS["idRegla"]!=16)  $CN1 = 1;  
                $diag[] = $temp;                            
            }
            if($CN1==1)  $diag[] = array("nombre"=>"Consejer&iacute;a Nutricional", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"MN", "codigo"=>"99403", "z"=>"1");     
            if(($datosNS[0]["estado"]=="2" or count($datosND)>0) and $bandVisita=='0')
            {   $bandVisita = 1;
                $temp = array("nombre"=>"Visita Domiciliaria", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>((count($datosND)>0)?$datosND[0]["numeroVisita"]:"1"), "codigo"=>"C0011");
                $diag[] = $temp;                                        
            }                   
        }                                
        
        // NIO TAMIZAJE
        $query = "SELECT nt.idReglaTamizaje AS idRegla, max(nt.resultado) as resultado FROM nino_tamizaje AS nt 
            WHERE idNino='".$item["idNino"]."' and nt.fechaAtencion='".$fechaAtencion."' and idUsuario='".$_SESSION["idUsuario"]."'
            GROUP BY idReglaTamizaje ORDER BY idReglaTamizaje ASC, numeroControl ASC, resultado DESC";
        $datosNT = $conC->datosTabla($query);   $ij = 0;   
        if(count($datosNT)>0)
        {   foreach($datosNT AS $itemNT)  
            {   $p = "P";   $d = "D";
                if($itemNT["idRegla"]==13)
                {   $p = ($itemNT["resultado"]==0)?"-P-":$p;  $d = ($itemNT["resultado"]>0)?"-D-":$d;                            
                    $temp = array("nombre"=>"Dosaje de Hemoglobina", "p"=>$p, "d"=>$d, "r"=>"R", "lab"=>"", "codigo"=>"85018", "z"=>"1");
                    $diag[] = $temp;    
                }
                elseif($itemNT["idRegla"]==23)
                {   $p = ($itemNT["resultado"]==0)?"-P-":$p;  $d = ($itemNT["resultado"]>0)?"-D-":$d;                            
                    $temp = array("nombre"=>"Tamizaje de Salud Mental", "p"=>$p, "d"=>$d, "r"=>"R", "lab"=>"VIF", "codigo"=>"U140", "z"=>"1");
                    $diag[] = $temp;                     
                }
                else
                {   $ij++; $p = ($itemNT["resultado"]==0)?"-P-":$p; $d = ($itemNT["resultado"]>0)?"-D-":$d;
                    $temp = array("nombre"=>"Descarte de Parasitosis", "p"=>$p, "d"=>$d, "r"=>"R", "lab"=>"", "codigo"=>"Z119", "z"=>"1");
                    if($ij==1)  $diag[] = $temp;
                }                               
            }                   
        } 
        if($pais!="0")
        {   $temp = array("nombre"=>"Plan de Atenci&oacute;n Integral de Salud", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$pais, "codigo"=>"C8002", "z"=>"1");
            $diag[] = $temp;                                        
        }
        
        if(count($finPR1)>0 and $bandZ==0)
        {   $diag[] = $finPR1;  $temp = $arrayPR;
            $diag[] = $temp;    }
        
        if(count($finPR2)>0 and $bandZ==0)
        {   $diag[] = $finPR2;  $temp = $arrayPR;
            $diag[] = $temp;    }
        //var_dump($finPR2);
//                echo count($finPR1)." - ".$bandZ."<br />";
//                echo count($finPR2)." - ".$bandZ."<br />";
//                echo count($finPR3)." - ".$bandZ."<br />";
        if(count($finPR3)>0 and $bandZ==0)
        {   
            $diag[] = $finPR3;  $temp = $arrayPR;
            $diag[] = $temp;    }
        if(count($datosND)>0 and $bandMotivo=='1' and $bandVisita=='0')
        {   $temp = array("nombre"=>"Visita Domiciliaria", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$datosND[0]["numeroVisita"], "codigo"=>"C0011");   
            $diag[] = $temp;                    
        }
        
                     
        //echo $credA;
        if($credA>0){   
            $anteE = 2;     $anteS = 2;
            if($credA>1){
                $anteE = 3;     $anteS = 3;
            }
        } 
        
        if(count($datosND)>0){  $anteE = 2;     $anteS = 2; }
        
        $i = 0; $j = 0; $plantilla = "";
        foreach($diag as $linea)
        {   //echo $il." - ";
//                    if($linea["z"]=="2" and $cred == 1 and $vacu == 1)
//                    {   $vacu = 0;
//                        if($j!=0)
//                        {   $aux = $conF->replace_form($aux, $variables, $valores);
//                            $plantilla .= $aux; }
//                        $i = 0; $j = 0; 
//                        
//                    }
            
            $i++;   $j++;                    
            if($j==1)   {   $aux = $plan;    
                $il+=1; $aux = str_replace("{I}", "{I".$il."}", $aux);
            }
            
            if($i==1)
            {   $aux = str_replace("{DIA}", $dia, $aux);
                $aux = str_replace("{HISTORIA_CLINICA}", $datosN->getHistoriaClinica(), $aux);
                $aux = str_replace("{DNI}", $datosN->getDni(), $aux);
                $aux = str_replace("{ID_FINANCIAMIENTO}", ($datosN->getIdFinanciamiento()==0)?1:$datosN->getIdFinanciamiento(), $aux);
                $aux = str_replace("{ID_ETNIA}", ($datosN->getIdEtnia()==0)?80:$datosN->getIdEtnia(), $aux);
                $aux = str_replace("{DISTRITO}", substr($datosN->getUbigeoDireccion()->getDistrito(),0,9), $aux);
                $aux = str_replace("{EDAD}", str_replace(" ", "<br>", $conF->calculo_edad($datosN->getFechaNacimiento(), $fechaAtencion)), $aux);
                $aux = str_replace("{SEXO_M}", (($datosN->getSexo()=="M")?$aspaSexo:""), $aux);                        
                $aux = str_replace("{SEXO_F}", (($datosN->getSexo()=="F")?$aspaSexo:""), $aux);
                $aux = str_replace("{ESTA_N}", (($anteE==1)?$aspaServ:""), $aux);                        
                $aux = str_replace("{ESTA_C}", (($anteE==2)?$aspaServ:""), $aux);
                $aux = str_replace("{ESTA_R}", (($anteE==3)?$aspaServ:""), $aux);                        
                $aux = str_replace("{SERV_N}", (($anteS==1)?$aspaServ:""), $aux);
                $aux = str_replace("{SERV_C}", (($anteS==2)?$aspaServ:""), $aux);                        
                $aux = str_replace("{SERV_R}", (($anteS==3)?$aspaServ:""), $aux);                                                
            }
            
            
            
            $aux = str_replace("{NOMBRE_".$j."}", $linea["nombre"], $aux);
            $aux = str_replace("{P_".$j."}", ((strlen($linea["p"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{D_".$j."}", ((strlen($linea["d"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{R_".$j."}", ((strlen($linea["r"])>1)?$aspaTipo:""), $aux);
            $aux = str_replace("{LAB_".$j."}", $linea["lab"], $aux);
            $aux = str_replace("{CODIGO_".$j."}", $linea["codigo"], $aux);
            if($j==3)   {   $j=0;                       
                $aux = $conF->replace_form($aux, $variables, $valores);
                $plantilla .= $aux;
            }                    
        }    
            
        if($j>0)
        {   $aux = $conF->replace_form($aux, $variables, $valores);
            $plantilla .= $aux;
        }
        
        $aa = ceil(count($diag)/3);  $max = ($band==0)?12:25;
        $kk = $il - $aa; 
        if($renglones + $aa >$max)
        {   $band = ($band==0)?1:0;                    
            for($k=0; $k<($max-$renglones); $k++ )
            {   $aux1 = $plan; $kk+=1; $aux1 = str_replace("{I}", $kk, $aux1);
                $aux1 = $conF->replace_form($aux1, $variables, $valores);                        
                echo $aux1;
            }
            
            $AA = $renglones+1;    $BB = $max - $renglones;    $jjj = $AA + $BB; 
            if($max==25)    $jjj = 1;
            for($p=$AA; $p<=$il+($kk-($il - $aa)); $p++)
            {   $plantilla = str_replace("{I".$p."}", $jjj, $plantilla);
                $jjj++;
            }
            
            $renglones += ($kk-($il - $aa));                    
            $il=$p-1;
            if($max=="12")   echo $linea6.$cara2.$linea3;                    
            if($max=="25")
            {   echo $linea5.$linea6.$salto.$linea1.$linea2.$linea3;
                $renglones = 0; $il = $aa;
            }           
           
        }
        for($i=$il-$aa;$i<=$il;$i++)
            $plantilla = str_replace("{I".$i."}", $i, $plantilla);
        echo $plantilla;                
        $renglones += $aa;
    }
    
    
}
    
if($ijk>0)    
{
    $kk = $renglones; 
    for($k=0; $k<($max-$renglones); $k++ )
            {   $aux1 = $plan;
                $kk+=1; $aux1 = str_replace("{I}", $kk, $aux1);
                $aux1 = $conF->replace_form($aux1, $variables, $valores);                        
                echo $aux1;
            }
    if($max=="25")  
        echo $linea5;
    echo $linea6;
}  
else
    echo "<div class='center'><h1 style='color:red; '>NO HAY ACTIVIDADES QUE IMPRIMIR</h1></div>"  
            
        ?>  
        <!--  </table> -->
    <?php
        //echo $linea5.$linea6; 
    ?>
    </body> 
</html>
<script>
    //print();
</script>
