<?php   session_start();
error_reporting(~E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
$fecha = (isset($_REQUEST["fechaAtencion1"]))?$_REQUEST["fechaAtencion1"]:date("Y-m-d", time());
$idUsuario = (isset($_REQUEST["idUsuario"]))?$_REQUEST["idUsuario"]:$_SESSION["idUsuario"];

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$fecha1 = (isset($_REQUEST["fechaAtencion1"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion1"])):date("Y-m-d", time());
$fecha2 = (isset($_REQUEST["fechaAtencion2"]))?date("Y-m-d", strtotime($_REQUEST["fechaAtencion2"])):$fecha1;

//CONECTAR CON ARFSIS
$datosP = $conC->datosTabla("SELECT valor FROM parametro WHERE nombre='IPSIS' ");
if($datosP[0][0]=="") { echo "No Asign&oacute; parametros de IP del ArfSIS";   exit();   }
$mysqli = new mysqli($datosP[0][0], "root", "zUaPh?z_U5y@dM", "bdsis_data");
/* Comprueba la conexin */
if ($mysqli->connect_errno) {
    printf("Falla de Conexion: %s\n", $mysqli->connect_error);
    echo "<br /><br />Error con IP del ARFSIS o la PC esta apagada.";
    exit();
}
// FIN DE CONECTAR CON ARFSIS

$cond = " fechaAtencion>='".$fecha1."' AND fechaAtencion<='".$fecha2."';;(estado=1 or estado=3) ";
$datosNC = $conNC->get(NULL,NULL, $cond, NULL, " fechaAtencion DESC, idRegla ASC ");
//echo count($datosNC);

?>
<!doctype html>
<html class="no-js" lang="es">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <style type="text/css"> 
            @media all {
                table, th, td { border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 9px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print {   .capa1  {   height: 50px;  }            } 
        </style>    
    </head>
	
    <body>    
        
        <h3 style="text-align: center; margin: 1px 0 6px 0;">CONTROLES CRED NO ENCONTRADOS EN EL ARFSIS</h3>
        <h5 style="text-align: center; margin: 1px 0 6px 0;"><?php echo $_SESSION["nombreEESS"]; ?></h5>   
        <table style="width: 100%;">
            <thead></thead>
                <tr>
                    <th>N&deg;</th> <th>Historia</th> <th>DNI</th> <th>Nombre</th><th>Sexo</th> 
                    <th>Edad</th> <th>Fec. Atenci&oacute;n</th>  <th> Grupo </th><th class="tam50">Ctrl</th> 
                     <th>Resp.</th>
                </tr>
            </thead>
            <tbody>
    <?php       $i=0;
                foreach($datosNC AS $item)
                {   $query = "SELECT * FROM bdsis_data.i_atencion AS ia
                        WHERE FIND_IN_SET(ia.ate_idServicio,'001,118,119') AND CAST(ia.ate_FecAte AS DATE)=CAST('".$item->getFechaAtencion()."' AS DATE)
                        	AND ia.ate_IdTipoDocumento='1' AND ia.ate_NroDocumento='".$item->getPersona()->getDni()."' LIMIT 1 ";
                    if (!($data = $mysqli->query($query))) {
                        printf("Errormessage: %s\n", $mysqli->error);
                    }
                    $j=0;   foreach ($data as $item) { $j++; }                       
                    if($j>0) continue;                   
                    
                    if($item->getPersona()->getIdFinanciamiento()!=2) continue;
                    $datosN = $item->getPersona(); $i++;
                    $edad = $conNC->getFuncion()->calculo_edad($datosN->getFechaNacimiento(),$item->getFechaAtencion());
                    ?>
                		  <tr class="gradeX">
                            <td>&nbsp;<?php echo $i; ?></td>
                            <td style="text-align: center;"><?php echo $datosN->getHistoriaClinica();?></td>
                            <td style="text-align: center;"><?php echo $datosN->getDni();?></td>
                            <td>&nbsp;&nbsp;<?php echo $datosN->getNombreCompleto();?></td>
                            <td style="text-align: center;"><?php echo $datosN->getSexo();?></td> 
                            <td style="text-align: right;"><?php echo $edad;?>&nbsp;</td>
                            <td style="text-align: center;"><?php echo $conF->getFechaDMY($item->getFechaAtencion());?></td>
                            <td style="text-align: right;"><?php echo $item->getRegla()->getNombre();?>&nbsp;</td> 
                            <td style="text-align: center;"><?php echo $item->getNumeroControl();?></td>    
                            
                            <td><?php echo ucwords(strtolower($item->getUsuario()->getNick()));?></td>                          
                                           			
                            
                          </tr>
              		<?php  	}?>
         
            </tbody>        
        </table> 
    </body> 
</html>
<?php $mysqli->close(); ?>
<script>
    //print();
</script>