<?php   session_start();
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
$dirClaseUsuario = '../modelo/clases/usuario.php';
$dirClaseNinoTamizaje = '../modelo/clases/nino_tamizaje.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);
include_once $dirClaseUsuario;     $conU = new Usuario($conex);
include_once $dirClaseNinoTamizaje;     $conNT = new NinoTamizaje($conex);
$fechaAtencion = (isset($_REQUEST["fechaAtencion"]))?$_REQUEST["fechaAtencion"]:date("Y-m-d", time());
$fecha = explode("-", $fechaAtencion);
$dia = $fecha[2]; $mes = $fecha[1]; $anio = $fecha[0]; 

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$consulta = "SELECT nv.idNino, nv.idVacuna, nv.fechaAtencion
        	, ni.dni, ni.historiaClinica, ni.fechaNacimiento, ni.sexo
        	, ni.idEtnia, ni.idFinanciamiento, ni.idUbigeoDireccion, ub.distrito
        FROM nino_vacuna AS nv
        	INNER JOIN nino AS ni ON ni.idNino=nv.idNino
            LEFT JOIN ubigeo AS ub ON ub.idUbigeo=ni.idUbigeoDireccion
        WHERE nv.fechaAtencion='".$fechaAtencion."' AND idUsuario='".$_SESSION["idUsuario"]."'
        GROUP BY nv.idNino
        ORDER BY nv.idNino ASC, nv.idVacuna ASC";
$datosNV = $conC->datosTabla($consulta);

$datosU = $conU->get($_SESSION["idUsuario"]);
?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 9px;        border: 1px solid black;
                }   
                
                td  {   padding: 1px 1px;   }
                .estilo1 {  font-size: 8px;}
                .centrar{   text-align: center; }
                .tipo_diag{ font-weight: bold; text-decoration:line-through;    }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
            
        </style>         
     
    </head>
	
    <body>
        <h3 style="text-align: center;">Registro Diario de Atenci&oacute;n y Otras Actividades de Salud</h3>
        <table style="width: 100%;">
            <tr>
				<th class="estilo1">A&Ntilde;O</th>
				<th class="estilo1">MES</th>
                <th colspan="5" class="estilo1">NOMBRE DE ESTABLECIMIENTO DE SALUD</th>
                <th colspan="3" class="estilo1">UNIDAD PRODUCTORA DE SERVICIOS (UPS)</th>
                <th colspan="6" class="estilo1">NOMBRE DE RESPONSABLE DE LA ATENCION</th>                
            </tr>
            <tr>
				<td class="centrar"><?php echo $anio?></td>
				<td class="centrar"><?php echo $conF->mesNombreCompleto($mes)?></td>
                <td colspan="5" class="centrar">XYZ XYZ XYZ</td>
                <td colspan="3" class="centrar">INMUNIZACIONES</td>
                <td colspan="6" class="centrar"><?php echo $datosU->getDni()." - ".$datosU->getPaterno(); ?></td>            
            </tr>
            <tr><td colspan="16" class="centrar"></td></tr>
            <tr class="centrar">
                <td rowspan="2">&nbsp;</td>
                <td>H.C. / F.F.</td>
                <td rowspan="2" class="estilo1">FINANC. DE<br />SALUD</td>
                <td rowspan="2" class="estilo1">PERTE-<br />NENCIA<br />ETNICA</td>
                <td rowspan="2" class="estilo1">DISTRITO DE PROCEDENCIA</td>
                <td rowspan="2" class="estilo1">EDAD</td>
                <td rowspan="2" class="estilo1">SEXO</td>
                <td rowspan="2" class="estilo1">ESTA-<br />BLEC</td>
                <td rowspan="2" class="estilo1">SER-<br />VICIO</td>
                <td rowspan="2" colspan="2" class="estilo1">DIAGN&Oacute;STICO MOTIVO DE CONSULTA Y/O ACTIVIDAD DE SALUD</td>
                <td colspan="3" class="estilo1">TIPO DE DIAGNOSTICO</td>
                <td rowspan="2" class="estilo1">LAB.</td>
                <td rowspan="2" class="estilo1">CODIGO CIE/CPT</td>                
            </tr>
            <tr class="centrar">
                <td>D.N.I.</td>                
                <td>P</td>
                <td>D</td>
                <td>R</td>                
            </tr>
            <tr><td colspan="16" class="centrar"></td></tr>
                                  
        <?php $i=0; 
            $variables = array("{DIA}", "{HISTORIA_CLINICA}", "{DNI}", "{ID_FINANCIAMIENTO}", "{ID_ETNIA}", "{DISTRITO}"
                           , "{EDAD}", "{SEXO_M}", "{SEXO_F}", "{NOMBRE_1}", "{P_1}", "{D_1}", "{R_1}", "{LAB_1}"
                           , "{CODIGO_1}", "{NOMBRE_2}", "{P_2}", "{D_2}", "{R_2}", "{LAB_2}", "{CODIGO_2}", "{NOMBRE_3}"
                           , "{P_3}", "{D_3}", "{R_3}", "{LAB_3}", "{CODIGO_3}");
            $valores = array("", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", ""
                           , "", "", "", "", "", "", "", "");
            $diag = array(array("nombre"=>"CRED", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"Z001")
                        , array("nombre"=>"GiP", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"PE", "codigo"=>"Z724")
                        , array("nombre"=>"N", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"ED", "codigo"=>"Z006")
                        , array("nombre"=>"C.N.", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"99403")
                        , array("nombre"=>"Dosaje de Hemoglobina", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"", "codigo"=>"85018")
                        , array("nombre"=>"Descarte Parasitosis", "p"=>"-P-", "d"=>"D", "r"=>"R", "lab"=>"", "codigo"=>"Z119")
                        , array("nombre"=>"PAIS", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"1", "codigo"=>"C8002")
                        , array("nombre"=>"Adm. MMN", "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>"TA", "codigo"=>"Z298") );
            $plan = "<tr class=\"centrar\">
                        <td rowspan='4'>{DIA}</td><td rowspan='2'>{HISTORIA_CLINICA}</td>
                        <td rowspan='4'>{ID_FINANCIAMIENTO}</td><td rowspan='4'>{ID_ETNIA}</td>
                        <td rowspan='4'>{DISTRITO}</td><td rowspan='4'>{EDAD}</td>
                        <td rowspan='2' class='{CSS_M}'>{SEXO_M}</td><td>N</td><td>N</td><td colspan='2'>{NOMBRE_1}</td>
                        <td class='{CSS_P1}'>{P_1}</td><td class='{CSS_D1}'>{D_1}</td>
                        <td class='{CSS_R1}'>{R_1}</td><td>{LAB_1}</td><td>{CODIGO_1}</td>                
                    </tr>
                    <tr class=\"centrar\">                                        
                        <td rowspan='2'>C</td><td rowspan='2'>C</td><td colspan='2' rowspan='2'>{NOMBRE_2}</td>
                        <td class='{CSS_P2}' rowspan='2'>{P_2}</td><td class='{CSS_D2}' rowspan='2'>{D_2}</td>
                        <td class='{CSS_R2}' rowspan='2'>{R_2}</td><td rowspan='2'>{LAB_2}</td><td rowspan='2'>{CODIGO_2}</td>                
                    </tr>
                    <tr class=\"centrar\">                
                        <td rowspan='2'>{DNI}</td><td rowspan='2' class='{CSS_F}'>{SEXO_F}</td>                                
                    </tr>
                    <tr class=\"centrar\">                
                        <td>R</td><td>R</td><td colspan='2'>{NOMBRE_3}</td><td class='{CSS_P3}'>{P_3}</td>
                        <td class='{CSS_D3}'>{D_3}</td><td class='{CSS_R3}'>{R_3}</td><td>{LAB_3}</td><td>{CODIGO_3}</td>                                                
                    </tr>            
                    <tr><td colspan='16' class=\"centrar\"></td></tr>";
            $renglones = 0; $band=0;
            foreach($datosNV as $item)
            {   $diag = array();  
                
                $consulta = "SELECT nv.idNino, nv.idVacuna, nv.fechaAtencion
                    	, va.codigoHis, va.nombre, va.dosis                    	
                    FROM nino_vacuna AS nv
                    	INNER JOIN vacuna AS va ON nv.idVacuna=va.idVacuna                    	
                    WHERE nv.fechaAtencion='".$fechaAtencion."' AND idUsuario='".$_SESSION["idUsuario"]."'
                        AND nv.idNino='".$item["idNino"]."'
                    ORDER BY nv.idVacuna ASC";
                $datosVA = $conC->datosTabla($consulta);
                
                foreach($datosVA as $linea)
                {   $temp = array("nombre"=>$linea["nombre"], "p"=>"P", "d"=>"-D-", "r"=>"R", "lab"=>$linea["dosis"], "codigo"=>$linea["codigoHis"]);
                    $diag[] = $temp;                    
                }
                     
                
                $i = 0; $j = 0; $plantilla = ""; 
                foreach($diag as $linea)
                {   $i++;   $j++;                    
                    if($j==1)
                    {   $aux = $plan;   }
                    
                    if($i==1)
                    {   $aux = str_replace("{DIA}", $dia, $aux);
                        $aux = str_replace("{HISTORIA_CLINICA}", $item["historiaClinica"], $aux);
                        $aux = str_replace("{DNI}", $item["dni"], $aux);
                        $aux = str_replace("{ID_FINANCIAMIENTO}", $item["idFinanciamiento"], $aux);
                        $aux = str_replace("{ID_ETNIA}", $item["idEtnia"], $aux);
                        $aux = str_replace("{DISTRITO}", $item["distrito"], $aux);
                        $aux = str_replace("{EDAD}", $conF->calculo_edad($item["fechaNacimiento"], $item["fechaAtencion"]), $aux);
                        $aux = str_replace("{SEXO_M}", (($item["sexo"]=="M")?"-M-":"M"), $aux);
                        $aux = str_replace("{CSS_M}", (($item["sexo"]=="M")?"tipo_diag":""), $aux);
                        $aux = str_replace("{SEXO_F}", (($item["sexo"]=="F")?"-F-":"F"), $aux);
                        $aux = str_replace("{CSS_F}", (($item["sexo"]=="F")?"tipo_diag":""), $aux);
                    }                    
                    
                    $aux = str_replace("{NOMBRE_".$j."}", $linea["nombre"], $aux);
                    $aux = str_replace("{P_".$j."}", $linea["p"], $aux);
                    $aux = str_replace("{CSS_P".$j."}", ((strlen($linea["p"])>1)?"tipo_diag":""), $aux);
                    $aux = str_replace("{D_".$j."}", $linea["d"], $aux);
                    $aux = str_replace("{CSS_D".$j."}", ((strlen($linea["d"])>1)?"tipo_diag":""), $aux);
                    $aux = str_replace("{R_".$j."}", $linea["r"], $aux);
                    $aux = str_replace("{CSS_R".$j."}", ((strlen($linea["r"])>1)?"tipo_diag":""), $aux);
                    $aux = str_replace("{LAB_".$j."}", $linea["lab"], $aux);
                    $aux = str_replace("{CODIGO_".$j."}", $linea["codigo"], $aux);
                    if($j==3)
                    {   $j=0;                        
                        $aux = $conF->replace_form($aux, $variables, $valores);
                        $plantilla .= $aux;
                    }
                    
                }        
                if($j>0)
                {   $aux = $conF->replace_form($aux, $variables, $valores);
                    $plantilla .= $aux;
                }
                
                $aa = ceil(count($diag)/3);
                if(($aa + $renglones)>18 && $band==0)
                {   for($k=0; $k<(18-$renglones); $k++ )
                    {   $aux1 = $plan;
                        $aux1 = $conF->replace_form($aux1, $variables, $valores);
                        echo $aux1;
                    } 
                    $band=1; 
                    echo "<tr><td colspan='16' class=\"centrar\"></td></tr>";                  
                }                                
                $renglones += $aa;
                
                echo $plantilla;                        
            }
        ?>  
        </table>
    </body> 
</html>
<script>
    //print();
</script>