<?php
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoCred = '../modelo/clases/nino_cred.php';
include_once $dirClaseNinoCred;     $conNC = new NinoCred($conex);

$conF = $conNC->getFuncion();   $conC = $conNC->getConexion(); 
$conN = $conNC->getPersona();      $conR = $conNC->getRegla();

$diasPasados = (isset($_REQUEST["diasPasados"]))?$_REQUEST["diasPasados"]:0;
$idSector = (isset($_REQUEST["idSector"]))?$_REQUEST["idSector"]:"0";
$edad = (isset($_REQUEST["edad"]))?$_REQUEST["edad"]:"2";
$control = (isset($_REQUEST["control"]))?$_REQUEST["control"]:"10";

$cond = ($idSector == 0)?"":" AND t1.idSector='".$idSector."' ";
$cond .= ($control == 0)?"":" AND t1.numeroControl='".$control."' ";
$cond .= ($edad == 0)?"":" AND t1.idRegla='".$edad."' ";

$consulta = "SELECT * FROM (SELECT ni.idNino, ni.historiaClinica, ni.dni, ni.idSector
    		, CONCAT(ni.paterno, ' ', ni.materno, ', ', ni.nombre) as nombres
    		, CONCAT(ni.paternoResponsable, ' ', ni.maternoResponsable, ', ', ni.nombreResponsable) as adulto
    		, ni.direccion, max(nc.fechaCita) AS fechaCita, TIMESTAMPDIFF(DAY,max(nc.fechaCita), curdate()) AS diasPasados
            , obtenerEdad(ni.fechaNacimiento, 4, CURDATE()) AS edad, nc.numeroControl, ni.fechaNacimiento
            , re.nombre AS nombreRegla, nc.idRegla, ni.telefono
          FROM nino as ni INNER JOIN (SELECT nc1.idNino, nc1.idRegla, nc1.numeroControl, nc1.fechaCita, nc1.estado FROM nino_cred AS nc1 
                    inner join (SELECT idNino, max(fechaCita) AS fechaCita FROM nino_cred GROUP BY idNino) AS nc2 ON nc2.idNino=nc1.idNino AND nc2.fechaCita=nc1.fechaCita) as nc ON ni.idNino=nc.idNino 
            INNER JOIN regla AS re ON re.idRegla=nc.idRegla
          WHERE nc.estado='1' GROUP BY nc.idNino) AS t1
    WHERE t1.diasPasados>-1 AND t1.diasPasados<".$diasPasados.$cond." ORDER BY t1.diasPasados ASC ";
$datosNC = $conC->datosTabla($consulta);   

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 10px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
        </style>         
     
    </head>
	
    <body>
        <h3 style="text-align: center;">NI&Ntilde;OS QUE NO VINIERON A SU CONTROL</h3>
        <table style="width: 100%;">
            <tr>
				<th>Historia</th>
                <th>DNI</th>
                <th>Nombres</th>
                <th>Responsable</th>
                <th>Direcci&oacute;n</th>
                <th>Telf.</th>
                <th>Grupo</th>
                <th>Ctrl</th>
                <th style="width: 70px;">Cita</th>
                <th style="width: 40px;">D&iacute;as</th>
            </tr> 
        <?php            
            foreach($datosNC as $item)
            {   echo "<tr>
                    <td class='centrar'>".$item["historiaClinica"]."</td>
                    <td class='centrar'>".$item["dni"]."</td>                                        
                    <td>".$item["nombres"]."</td>
                    <td>".$item["adulto"]."</td>
                    <td>".$item["direccion"]."</td>
                    <td class='centrar'>".(($item["telefono"]>0)?$item["telefono"]:"-")."</td>
                    <td>".$item["nombreRegla"]."</td>
                    <td>".$item["numeroControl"]."</td>
                    <td class='centrar'>".$conF->getFechaDMY($item["fechaCita"])."</td>  
                    <td>&nbsp;&nbsp;+ ".$item["diasPasados"]."</td>
                </tr>";
            } 
        ?>  
        </table>
    </body> 
</html>
<script>
    print();
</script>