<?php
error_reporting(E_ALL);
//
include '../modelo/conexionDB/conexionMySql/conexion.php';
$Conexion = new Conexion();
$conex = $Conexion->conectar();	
//
$dirClaseNinoVacuna = '../modelo/clases/nino_vacuna.php';
include_once $dirClaseNinoVacuna;     $conNV = new NinoVacuna($conex);

$conF = $conNV->getFuncion();   $conC = $conNV->getConexion(); 
$conN = $conNV->getPersona();  $conV = $conNV->getVacuna();      

$idVacuna = (isset($_REQUEST["idVacuna"]))?$_REQUEST["idVacuna"]:3;
$edad = (isset($_REQUEST["edad"]))?$_REQUEST["edad"]:"0";
$idSector = (isset($_REQUEST["idSector"]))?$_REQUEST["idSector"]:"0";

$datosV = $conV->get($idVacuna);
$datosEd = array("0"=>"Todo Grupo Etareo", "1"=>"Menor de 1 anio", "2"=>"De 1 anio", "3"=>"De 2 anios", "4"=>"De 3 anios", "5"=>"De 4 anios", "6"=>"Mayor de 5 anios");
$datosSe = $conN->getSector()->get($idSector);

switch($idVacuna)
{   case "2": case "3": case "5": case "6": case "8":
    case "12": case "14": case "15": case "16": case "19":
     case "20": case "21": case "22": 
            $cond = ($idSector==0)?"":" AND nv.idSector='".$idSector."' ";
            $cond .= ($edad == 0)?"":(($edad == 1)?" AND nv.edad<12 ":(($edad == 2)?" AND nv.edad>=12 AND nv.edad<24":(($edad == 3)?" AND nv.edad>=24 AND nv.edad<36":(($edad == 4)?" AND nv.edad>=36 AND nv.edad<48":(($edad == 5)?" AND nv.edad>=48 AND nv.edad<60":" AND nv.edad>=60 ")))));
            $query = "SELECT idNino, idVacuna, fechaAtencion
                	, edad, pasoMes, pasoDia, fechaNacimiento, historiaClinica, telefono
                FROM (	SELECT nv.idNino, max(nv.idVacuna) AS idVacuna, max(nv.fechaAtencion) AS fechaAtencion
                			, obtenerEdad(ni.fechaNacimiento, 4, CURDATE()) AS edad
                			, obtenerEdad(max(nv.fechaAtencion), 4, CURDATE()) AS pasoMes
                			, obtenerEdad(max(nv.fechaAtencion), 3, CURDATE()) AS pasoDia
                			, ni.fechaNacimiento, ni.historiaClinica, count(nv.idNino) as cant
                            , ni.telefono, ni.idSector
                		FROM nino_vacuna AS nv INNER JOIN nino AS ni ON ni.idNino=nv.idNino
                		WHERE obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<='".$datosV->getEdadMaxima()."' and
                			(nv.idVacuna='".$datosV->getIdVacunaDependencia()."' OR nv.idVacuna='".$datosV->getIdVacuna()."')	
                		GROUP BY nv.idNino	) AS nv
                WHERE idVacuna='".$datosV->getIdVacunaDependencia()."' AND pasoMes>=".$datosV->getRango()." AND edad>='".$datosV->getEdadMinima()."' and cant<2
                 ".$cond." ORDER BY pasoMes ASC, pasoDia ASC";
            //echo $query;
            $datos = $conNV->getConexion()->datosTabla($query);
        break;
     case "1": case "4": case "7": case "9": case "10": 
     case "11": case "13": case "17": case "18": 
            $cond = ($idSector==0)?"":" AND ni.idSector='".$idSector."' ";
            $cond .= ($edad == 0)?"":(($edad == 1)?" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<12 ":(($edad == 2)?" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>=12 AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<24":(($edad == 3)?" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>=24 AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<36":(($edad == 4)?" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>=36 AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<48":(($edad == 5)?" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>=48 AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<60":" AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>=60 ")))));
            $query = "SELECT ni.idNino, ni.historiaClinica, '".$idVacuna."' as idVacuna, ni.telefono
                	, obtenerEdad(ni.fechaNacimiento, 4, CURDATE()) AS edad, ni.fechaNacimiento
                FROM nino AS ni
                WHERE ni.historiaClinica is not null AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())<='".$datosV->getEdadMaxima()."'
                	AND obtenerEdad(ni.fechaNacimiento, 4, CURDATE())>='".$datosV->getEdadMinima()."'
                	AND ni.idNino not in ( SELECT nv.idNino FROM nino_vacuna AS nv WHERE nv.idVacuna='".$idVacuna."') 
                    ".$cond;
            $datos = $conNV->getConexion()->datosTabla($query);
        break;    
}

?>
<!doctype html>

<html class="no-js" lang="es">
    <!--<![endif]-->
    <head>
        <style type="text/css"> 
            @media all {
                table, th, td {
                    border-spacing: 0;      padding: 0px;       font-family: sans-serif;
                    font-size: 10px;        border: 1px solid black;
                }   
                td  {   padding: 1px 1px;   }
                .centrar{   text-align: center; }
            }
            @media print { /* Todas las reglas Css */
                
                .capa1  {   height: 50px;  }         
            } 
        </style>         
     
    </head>
	
    <body>
<?php
    $filas = (isset($_REQUEST["filas"]))?$_REQUEST["filas"]:"30";
    $cabeza = "<h3 style=\"text-align: center; font-family: monospace;\">NI&Ntilde;OS QUE NO VINIERON A SU VACUNA<br />
                    ".$datosV->getNombre()."</h3>
        <table style=\"width: 100%;\">
            <thead>
                <tr>
                    <th class=\"tam80\">H.C. / DNI</th>
                    <th>Nombres</th>
                    <th>Responsable</th>
                    <th>Direcci&oacute;n</th> 
                    <th class=\"no-sort\"><i class=\"icon-phone\" style=\"margin: 3px 2px 0px 0px;\"></i>
                        Telefono</th>
                    <th class=\"tam80\">Edad</th>                         
                </tr>                        
            </thead>
            <tbody>";
    $base = "<br />
        <strong>Vacuna :</strong> ".$datosV->getNombre().";&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <strong>Grupo Etareo :</strong> ".$datosEd[$edad]." ;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <strong>Sector :</strong> ".(($datosSe->getIdSector()!=0)?$datosSe->getNombre():'Todos')."&nbsp;&nbsp;&nbsp;";
    echo $cabeza;
?>
                <?php   $i = 0; 
                  foreach($datos as $item)	{   $i++;
                    if($i>$filas)
                    {   echo "</tbody> </table>".$base."<div style=' page-break-before: always;'></div>".$cabeza;   $i=0;
                        
                    }
                    $datosN = $conN->get($item["idNino"]);                                
                ?>
            		  <tr class="gradeX">                                
                        <td><?php echo (($datosN->getHistoriaClinica()=='')?'&nbsp;Sin H.C.':'&nbsp;'.$datosN->getHistoriaClinica())."<br>".(($datosN->getDni()=='')?'&nbsp;Sin DNI':'&nbsp;'.$datosN->getDni());?></td>
            			<td><?php echo ucfirst(strtolower($datosN->getNombreCompleto())); ?></td>
                        <td><?php echo ucfirst(strtolower($datosN->getNombreCompletoResponsable())) ;?></td>
                        <td><?php echo $datosN->getDireccion();?></td>
                        <td><?php echo ($item["telefono"]=="0")?"":$item["telefono"];  ?></td>
                        <td class="align-center">                                    
                            <?php $edad = $conNV->getFuncion()->calculo_edad($item["fechaNacimiento"], date("Y-m-d", time()), "COMPLETO");
                                echo substr($edad, 0, strlen($edad)-6); 
                            ?></td>                        
                      </tr>
          		<?php }     ?>
            </tbody>
        </table>
        <?php echo $base;?>
    </body> 
</html>
<script>
    //print();
</script>