<?php   $bd = "sin_nino";
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_vacuna LIKE 'estado' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino_vacuna   ADD COLUMN estado INT(11) NULL  COMMENT '0: Actualizado, 1: Vacunado en EESS' AFTER fechaRegistro;";
        $conC->consultar($query);        
    }   /* 05-11-2014, BD. Tb "nino_vacuna". Campo "estado" */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_cred LIKE 'estimulacion' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino_cred         ADD COLUMN estimulacion INT(11) NULL        COMMENT '0: No se dio, 1: si'   AFTER tallaPeso;";
        $conC->consultar($query);        
    } /* 09-11-2014, BD. Tb "nino_cred". Campo "estimulacion" */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino LIKE 'telefono' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino              ADD COLUMN telefono INT(11) NULL            COMMENT 'Fijo o Celular'        AFTER idUbigeoDireccion;";
        $conC->consultar($query);        
    } /* 12-11-2014, BD. Tb "nino". Campo "telefono" */
        
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_tamizaje LIKE 'fechaResultado' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino_tamizaje     ADD COLUMN fechaResultado DATETIME NULL     AFTER fechaRegistro;";
        $conC->consultar($query);        
    } /* 12-11-2014, BD. Tb "nino_tamizaje". Campo "fechaResultado" */
        
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_tamizaje LIKE 'numeroControl' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino_tamizaje     ADD COLUMN numeroControl INT(11) NULL       AFTER fechaResultado;";
        $conC->consultar($query);        
    } /* 12-11-2014, BD. Tb "nino_tamizaje". Campo "numeroControl" */
    
    $aux = $conC->datosTabla(" SELECT * FROM regla WHERE tipoRegla='TAMIZAJE' ");
    if(count($aux) == 0)
    {   $query = "INSERT INTO regla (tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, pesoMinimo, pesoMaximo) 
            VALUES ('TAMIZAJE', 'Dosaje de Hemoglobina', 'Dosaje de Hemoglobina', '2', '15', '1', 'MES', '1', '59', '0', '30')
                  ,('TAMIZAJE', 'Parasitosis Seriado', 'Parasitosis Seriado', '2', '15', '1', 'MES', '1', '59', '0', '30')
                  ,('TAMIZAJE', 'Parasitosis Graham', 'Parasitosis Graham', '2', '15', '1', 'MES', '1', '59', '0', '30');";
        $conC->consultar($query);        
    }   /* 15-11-2014, BD. Tb "regla". Se agrega reglas de tamizaje */
    
    $aux = $conC->datosTabla(" SELECT idNinoTamizaje FROM nino_tamizaje WHERE idReglaTamizaje<13
                ORDER BY idNino ASC, idReglaTamizaje ASC ");
    if(count($aux)>0)
    {   foreach($aux as $item)
        {   $datosNT = $conNT->get($item["idNinoTamizaje"]);
            $datosNT->setNumeroControl(1);         $datosNT->setFechaResultado($datosNT->getFechaAtencion());
            $id = $datosNT->getIdReglaTamizaje();  $id = ($id<8)?"13":(($id<12)?"14":"15");
            $datosNT->setIdReglaTamizaje($id);     $datosNT->guardar();   
        }          
    }   /* 17-11-2014, BD. Tb "nino_tamizaje". migraje a nuevas reglas */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_cred LIKE 'mmnConsumido' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino_cred ADD COLUMN mmnConsumido INT(11) NULL  AFTER estimulacion;";
        $conC->consultar($query);        
    }   /* 23-11-2014, BD. Tb "nino_cred". Campo "mmnConsumido" */
    
    $aux = $conC->datosTabla(" SELECT * FROM regla WHERE tipoRegla='SUPLEMENTO' AND idRegla='16' ");
    if(count($aux) == 0)
    {   $query = "INSERT INTO regla (idRegla, tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, pesoMinimo, pesoMaximo) 
            VALUES ('16', 'SUPLEMENTO', 'Antiparasitario', 'Antiparasitario', '1', '6', '6', 'MES', '24', '59', '0', '30');";
        $conC->consultar($query);  
        $query = "UPDATE regla SET edadMaxima=59 WHERE idRegla='10' AND cantidadMinima='12';";     
        $conC->consultar($query);   
    }   /* 26-11-2014, BD. Tb "regla". Se agrega reglas de Suplemento */
    
    $aux = $conC->datosTabla(" SELECT * FROM regla WHERE tipoRegla='PSICOMOTOR' ");
    if(count($aux) == 0)
    {   $query = "INSERT INTO regla (tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, pesoMinimo, pesoMaximo) 
            VALUES   ('PSICOMOTOR', 'Normal', 'ED', 1, 1, '1', 'MES', 0, 132, 0, 30)
                   , ('PSICOMOTOR', 'Motora', 'MOT', 1, 1, '1', 'MES', 0, 132, 0, 30)
                   , ('PSICOMOTOR', 'Lenguaje', 'LEN', 1, 1, '1', 'MES', 0, 132, 0, 30)
                   , ('PSICOMOTOR', 'Social', 'SOC', 1, 1, '1', 'MES', 0, 132, 0, 30)
                   , ('PSICOMOTOR', 'Coordinacin', 'COO', 1, 1, '1', 'MES', 0, 132, 0, 30)
                   , ('PSICOMOTOR', 'Cognitiva', 'COG', 1, 1, '1', 'MES', 0, 132, 0, 30);";
        $conC->consultar($query);
    }   /* 26-11-2014, BD. Tb "regla". Se agrega reglas de Psicomotor */
        
    $aux = $conC->datosTabla("SELECT idNinoPsicomotor FROM nino_psicomotor
        WHERE estado!='ED' AND estado!='MOT' AND estado!='COG' AND estado!='LEN' AND estado!='SOC' AND estado!='COO' "); 
    if(count($aux) > 0)   
    {   $query = " UPDATE nino_psicomotor	SET	idPsicomotor = '17', estado = 'ED' WHERE 1 AND estado='N' ";
        $conC->consultar($query);
        $psico = array("MOT"=>"18", "LEN"=>"19", "SOC"=>"20", "COO"=>"21", "COG"=>"22");
        $query = " SELECT np.idNinoPsicomotor, np.idPsicomotor, np.estado, ps.area
                    FROM nino_psicomotor AS np INNER JOIN psicomotor ps ON ps.idPsicomotor=np.idPsicomotor
                    WHERE estado!='ED' AND estado!='MOT' AND estado!='COG' AND estado!='LEN' 
                    	AND estado!='SOC' AND estado!='COO' AND estado!='N' ";
        $datosNP = $conC->datosTabla($query);
        foreach($datosNP AS $item)
        {   $query = " UPDATE nino_psicomotor SET	idPsicomotor = '".$psico[$item["area"]]."', estado = '".$item["area"]."' WHERE idNinoPsicomotor='".$item["idNinoPsicomotor"]."' ";
            $conC->consultar($query);    
        }
    } /* 27-11-2014, BD. Tb "nino_psicomotor". Cambiar estados de Psicomotor */
     
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='39' AND codigoHis='90717' AND (idVacunaParecida='0' OR idVacunaParecida='' OR idVacunaParecida IS NULL) LIMIT 1;");
    if(count($aux)==1)   
    {   $query = "UPDATE vacuna SET idVacunaParecida='17' WHERE idVacuna='39' AND codigoHis='90717' AND (idVacunaParecida='0' OR idVacunaParecida='' OR idVacunaParecida IS NULL) ;";
        $conC->consultar($query);    } /* 18-10-2015, BD. Tb "vacuna". Modificar Vacuna 90585 BCG */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='16' AND codigoHis='90701' AND edadMaxima='35' LIMIT 1;");
    if(count($aux)==1)   
    {   $query = "UPDATE vacuna SET edadMaxima='59' WHERE idVacuna='16' AND codigoHis='90701' AND edadMaxima='35' ;";
        $conC->consultar($query);    } /* 18-10-2015, BD. Tb "vacuna". Modificar Vacuna 90585 BCG */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='6' AND codigoHis='90712' AND dependenciaParecida!='38' LIMIT 1;");
    if(count($aux) == 1) 
    {   $query = "UPDATE vacuna SET dependenciaParecida='38' WHERE idVacuna='6' AND codigoHis='90712' AND dependenciaParecida!='38' LIMIT 1;";
        $conC->consultar($query);    } /* 31-10-2015, BD. Tb "vacuna". Modificar Vacuna 90712 DPT 3ra Dosis */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='7' AND codigoHis='90669' AND edadMaxima!='23' LIMIT 1;");
    if(count($aux) == 1) 
    {   $query = "UPDATE vacuna SET edadMaxima='23' WHERE idVacuna='7' AND codigoHis='90669' AND edadMaxima!='23' LIMIT 1;";
        $conC->consultar($query);    } /* 31-10-2015, BD. Tb "vacuna". Modificar Vacuna 90669 DPT 1ra Dosis */
            
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='35' AND codigoHis='90669' AND (idVacunaParecida!='7' or idVacunaParecida is null) LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET idVacunaParecida='7' WHERE idVacuna='35' AND codigoHis='90669' AND (idVacunaParecida!='7' or idVacunaParecida is null) LIMIT 1;";
        $conC->consultar($query);    } /* 31-10-2015, BD. Tb "vacuna". Modificar Vacuna 90669 DPT Dosis Unica Comor*/
             
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='25' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET nombre='Influenza con Comorbilidad' WHERE idVacuna='25' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;";
        $conC->consultar($query);    } /* 01-11-2015, BD. Tb "vacuna". Modificar Vacuna 90657 INFLUEa*/
            
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='26' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET nombre='Influenza Estacional' WHERE idVacuna='26' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;";
        $conC->consultar($query);    } /* 01-11-2015, BD. Tb "vacuna". Modificar Vacuna 90657 INFLUE*/
            
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='27' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET nombre='Influenza Estacional' WHERE idVacuna='27' AND codigoHis='90657' AND nombre='Inluenza con Comorbilidad' LIMIT 1;";
        $conC->consultar($query);    } /* 01-11-2015, BD. Tb "vacuna". Modificar Vacuna 90657 INFLUE */
                         
    $aux = $conC->datosTabla("SELECT * FROM sin_nino.vacuna
        WHERE idVacuna='30' and rango='2' and codigoHis='90744' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET rango='1' WHERE idVacuna='30' AND codigoHis='90744' AND rango='2' LIMIT 1;";
        $conC->consultar($query);    } /* 27-05-2016, BD. Tb "vacuna". Modificar Vacuna 90744 HvB 2 */
            
    $aux = $conC->datosTabla("SELECT * FROM sin_nino.vacuna
        WHERE idVacuna='31' and rango='6' and codigoHis='90744' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET rango='1' WHERE idVacuna='31' AND codigoHis='90744' AND rango='6' LIMIT 1;";
        $conC->consultar($query);    } /* 27-05-2016, BD. Tb "vacuna". Modificar Vacuna 90744 HvB 3 */
            
    $aux = $conC->datosTabla("SELECT * FROM sin_nino.regla
        WHERE idRegla='7' and cantidadMaxima='1' and tipoRegla='CRED' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE regla SET cantidadMaxima='8' WHERE idRegla='7' and cantidadMaxima='1' and tipoRegla='CRED' LIMIT 1;";
        $conC->consultar($query);    } /* 24-07-2016, BD. Tb "regla". Modificar CRED Mayor 5a */
    
    $aux = $conC->datosTabla("SELECT * FROM sin_nino.regla
        WHERE idRegla='8' and pesoMaximo!='10' and tipoRegla='SUPLEMENTO' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE regla SET pesoMaximo='10', nombre='S.F. Gotas o prematuros/Bajo Peso' 
            WHERE idRegla='8' and pesoMaximo!='10' and tipoRegla='SUPLEMENTO' LIMIT 1;";
        $conC->consultar($query);    } /* 24-07-2016, BD. Tb "regla". Modificar CRED Mayor 5a */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNino;";        
        $conC->consultar($query);          
        $query = "UPDATE nino SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino". Campo "cod_2000" */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_cred LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_cred ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoCred;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_cred SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_cred". Campo "cod_2000" */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_suplemento LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_suplemento ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoSuplemento;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_suplemento SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_suplemento". Campo "cod_2000" */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_tamizaje LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_tamizaje ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoTamizaje;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_tamizaje SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_tamizaje". Campo "cod_2000" */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_psicomotor LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_psicomotor ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoPsicomotor;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_psicomotor SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_psicomotor". Campo "cod_2000" */  
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_vacuna LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_vacuna ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoVacuna;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_vacuna SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_vacuna". Campo "cod_2000" */  
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino_domicilio LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE nino_domicilio ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idNinoDomicilio;";        
        $conC->consultar($query);          
        $query = "UPDATE nino_domicilio SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "nino_domicilio". Campo "cod_2000" */
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM usuario LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE usuario ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idUsuario;";        
        $conC->consultar($query);          
        $query = "UPDATE usuario SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "usuario". Campo "cod_2000" */  
            
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM sector LIKE 'cod_2000' ");
    if(count($aux) == 0)
    {   $query = "SELECT valor FROM sin_nino.parametro WHERE idParametro='1' AND nombre='CODIGOESTABLECIMIENTO' LIMIT 1";
        $dataP = $conC->datosTabla($query);        
        $query = "ALTER TABLE sector ADD COLUMN cod_2000 VARCHAR(9) NULL COMMENT 'Codigo RENAES 09 Digitos' AFTER idSector;";        
        $conC->consultar($query);          
        $query = "UPDATE sector SET cod_2000='".$dataP[0][0]."' WHERE cod_2000='' OR cod_2000 IS NULL;";
        $conC->consultar($query);   }   /* 26-09-2016, BD. Tb "sector". Campo "cod_2000" */  
        
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='12' AND codigoHis='90681' AND dosis='2' AND edadMaxima='5' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET edadMaxima='7' WHERE idVacuna='12' AND codigoHis='90681' AND dosis='2' AND edadMaxima='5' LIMIT 1;";
        $conC->consultar($query);    } /* 01-11-2015, BD. Tb "vacuna". Modificar Vacuna  DT */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM vacuna LIKE 'cierre' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE sin_nino.vacuna 
            ADD COLUMN cierre INT(2) NULL COMMENT '1: SI, 0: NO' AFTER lab2,
            ADD COLUMN fechaCierre DATE NULL AFTER cierre;";        
        $conC->consultar($query);          
        $query = "UPDATE vacuna SET cierre='0' WHERE cierre='' OR cierre IS NULL;";
        $conC->consultar($query);   }   /* 08-11-2016, BD. Tb "vacuna". Campo "cierre" */  
               
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='41' AND codigoHis='90708' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaCierre) 
            VALUES ('41', '90708', 'BARRIDO SR - 2016', 'INYECION', '', 'MES', '1', '24', '71', '0', '0', '0', '1', '2016-11-20');";
        $conC->consultar($query);
    } /* 06-11-2016, BD. Tb "vacuna". Agregar Vacuna 90708 SR */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM vacuna LIKE 'his' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE sin_nino.vacuna 
            ADD COLUMN his BIT(1) NULL COMMENT 'SI va en HIS 1, sino 0' AFTER fechaCierre;";        
        $conC->consultar($query);          
        $query = "UPDATE vacuna SET his=1 WHERE his='' OR his IS NULL;";
        $conC->consultar($query);          
        $query = "UPDATE vacuna SET his=0 WHERE idVacuna='41' AND codigoHis='90708'";
        $conC->consultar($query);   }   /* 18-12-2016, BD. Tb "vacuna". Campo "his" */  
     
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino LIKE 'idPrograma' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE sin_nino.nino 
            ADD COLUMN idPrograma VARCHAR(16) NULL COMMENT '1=PIN, 2=PVL, 3=CUNA +, 4=JUNTOS, 5=OTROS, 6=NINGUNO' AFTER telefono;";        
        $conC->consultar($query);          
        $query = "UPDATE nino SET idPrograma='6' WHERE idPrograma='' OR idPrograma IS NULL;";
        $conC->consultar($query);   }   /* 18-12-2016, BD. Tb "nino". Campo "programa" */  
      
    $aux = $conC->datosTabla(" SELECT * FROM sin_nino.parametro WHERE idParametro='5' AND nombre='IPSIS' LIMIT 1 ");
    if(count($aux) == 0)
    {   $query = "INSERT INTO sin_nino.parametro (idParametro, nombre) VALUES ('5', 'IPSIS');";        
        $conC->consultar($query); echo "hola";
        $query = "UPDATE sin_nino.parametro SET nombre='IPSIS' WHERE idParametro='5';";        
        $conC->consultar($query);   }   /* 09-02-2017, BD. Tb "parametro". Registro "IPSIS" */    
               
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM vacuna LIKE 'repetir' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE sin_nino.vacuna 
            ADD COLUMN repetir BIT(1) NULL COMMENT 'Si se repite a una frecuencia dada 1, sino 0' AFTER his;";        
        $conC->consultar($query);          
        $query = "UPDATE sin_nino.vacuna SET repetir=0 WHERE repetir='' OR repetir IS NULL;";
        $conC->consultar($query);          
        $query = "UPDATE sin_nino.vacuna SET repetir=1 WHERE idVacuna='26' AND codigoHis='90657'";
        $conC->consultar($query);          
        $query = "UPDATE sin_nino.vacuna SET repetir=1 WHERE idVacuna='27' AND codigoHis='90657'";
        $conC->consultar($query);   }   /* 11-02-2017, BD. Tb "vacuna". Campo "repetir" */  
     
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino LIKE 'fechaRegistro' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE sin_nino.nino ADD COLUMN fechaRegistro DATE NULL AFTER idPrograma,
            ADD COLUMN fechaActualizacion DATE NULL AFTER fechaRegistro;";        
        $conC->consultar($query);          
        $query = "UPDATE sin_nino.nino SET fechaRegistro=fechaNacimiento WHERE fechaRegistro='' OR fechaRegistro IS NULL;";
        $conC->consultar($query);          
        $query = "ALTER TABLE sin_nino.nino 
            CHANGE COLUMN fechaRegistro fechaRegistro DATETIME NULL DEFAULT CURRENT_TIMESTAMP ;";
        $conC->consultar($query);   }   /* 18-02-2017, BD. Tb "nino". Campo "fechaRegistro" */  
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'ups' "); 
    if(count($aux) == 0)   $band = 1; /* 14-04-2017, BD. Tb "ups". Crear Tabla */    
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'ups' "); 
    if(count($aux) == 0)
    {   $aux1 = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_ups' "); 
        if(count($aux1) == 0)
        {   $query = "CREATE TABLE sin_nino.ups ( codigo VARCHAR(6) NOT NULL, nombre VARCHAR(64) NULL,
                  PRIMARY KEY (codigo), UNIQUE INDEX codigo_UNIQUE (codigo ASC));";
            $conC->consultar($query);
            $query = "INSERT INTO sin_nino.ups (codigo, nombre) VALUES ('300303', 'CIRUGIA EN CONSULTORIO EXTERNO / TOPICO')
                , ('301202', 'CRECIMIENTO Y DESARROLLO'), ('301203', 'ENFERMERIA'), ('301204', 'INMUNIZACIONES')
                , ('301612', 'PLANIFICACION FAMILIAR'), ('301613', 'MATERNO PERINATAL'), ('302303', 'MEDICINA GENERAL')
                , ('303101', 'NUTRICION'), ('302802', 'CONSULTORIO CONTROL TUBERCULOSIS'), ('303203', 'OBSTETRICIA')
                , ('303304', 'ODONTOLOGIA GENERAL'), ('303802', 'PSICOLOGIA'), ('303712', 'PEDIATRIA');";
            $conC->consultar($query);
        }
    } /* 14-02-2014, BD. Tb "ups". Crear Tabla */    
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'profesion' "); 
    if(count($aux) == 0)
    {   $query = "CREATE TABLE sin_nino.profesion (codigo VARCHAR(2) NOT NULL, nombre VARCHAR(64) NULL,
            PRIMARY KEY (codigo),  UNIQUE INDEX codigo_UNIQUE (codigo ASC)) COMMENT = 'Lista de Colegios Profesionales';";
        $conC->consultar($query);
        $query = "INSERT INTO sin_nino.profesion (codigo, nombre) VALUES ('00', 'TECNICO Y OTROS')
            , ('01', 'MEDICO'), ('02', 'QUIMICO'), ('03', 'ODONTOLOGO'), ('04', 'BIOLOGO'), ('05', 'OBSTETRA')
            , ('06', 'ENFERMERO'), ('07', 'TRABAJADOR SOCIAL'), ('08', 'PSICOLOGO'), ('09', 'TECNOLOGO MEDICO')
            , ('10', 'NUTRICIONISTA'), ('11', 'MEDICO VETERINARIO');";
        $conC->consultar($query);
    } /* 14-02-2014, BD. Tb "profesion". Crear Tabla */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='37' AND codigoHis='90712' AND dosis='1' AND cierre='0' LIMIT 1;");
    if(count($aux) == 1)
    {   $query = "UPDATE vacuna SET cierre='1', fechaCierre='2013-08-15' WHERE idVacuna='37' AND codigoHis='90712' AND dosis='1' LIMIT 1;";
        $conC->consultar($query);
        $query = "ALTER TABLE vacuna ADD fechaInicio DATE NULL DEFAULT NULL AFTER cierre;";
        $conC->consultar($query);
        $query = "UPDATE sin_nino.vacuna SET fechaInicio='2011-01-01' WHERE fechaInicio IS NULL;";
        $conC->consultar($query);
        $query = "UPDATE sin_nino.vacuna SET fechaInicio='2016-10-01', fechaCierre='2017-03-15' WHERE idVacuna='41' AND codigoHis='90708';";
        $conC->consultar($query);    } /* 01-05-2017, BD. Tb "vacuna". Modificar Vacuna 90712 APO 1, fechaInicio */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='15' AND codigoHis='90669' AND dosis='3' AND (edadMaxima!='23' OR his!='1') LIMIT 1;");
    if(count($aux) == 1) 
    {   $query = "UPDATE vacuna SET edadMaxima='23', his='1' WHERE idVacuna='15' AND dosis='3' AND codigoHis='90669' LIMIT 1;";
        $conC->consultar($query);    } /* 31-10-2015, BD. Tb "vacuna". Modificar Vacuna 90669 3ra Dosis */
            
    $aux = $conC->datosTabla("SELECT * FROM regla
        WHERE idRegla='16' AND tipoRegla='SUPLEMENTO' AND edadMaxima!='1200' LIMIT 1;");
    if(count($aux) == 1) 
    {   $query = "UPDATE regla SET edadMaxima='1200' WHERE idRegla='16' AND tipoRegla='SUPLEMENTO' AND edadMaxima!='1200' LIMIT 1;";
        $conC->consultar($query);    } /* 31-10-2015, BD. Tb "regla". Modificar Antiparasitario EdadMax 1200 Meses*/

    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='42' AND codigoHis='90657' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "DELETE FROM sin_nino.vacuna WHERE idVacuna='42';";
        $conC->consultar($query);        
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('42', '90657', 'Influenza Estacional', 'INYECION', '', 'MES', '2', '12', '23', '14', '0', '0', '0', '2016-08-31', '1', '0');";
        $conC->consultar($query);
    } /* 06-06-2017, BD. Tb "vacuna". Agregar Vacuna 90657 INFLU */
         
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='25' AND codigoHis='90657' AND idVacunaParecida='40' AND repetir='0' LIMIT 1;");
    if(count($aux) == 1)   
    {   $query = "UPDATE ".$bd.".vacuna SET repetir='1' WHERE idVacuna='25' AND codigoHis='90657' AND idVacunaParecida='40' AND repetir='0' LIMIT 1;";
        $conC->consultar($query);
    } /* 06-06-2017, BD. Tb "vacuna". Modificar Vacuna 90657 INFLU */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='40' AND codigoHis='90657' AND idVacunaParecida='25' AND cierre='0' LIMIT 1;");
    if(count($aux) == 1)   
    {   $query = "UPDATE ".$bd.".vacuna SET cierre='1', fechaCierre='2016-12-31' WHERE idVacuna='40' AND codigoHis='90657' AND idVacunaParecida='25' AND cierre='0' LIMIT 1;";
        $conC->consultar($query);
    } /* 06-0-2017, BD. Tb "vacuna". Modificar Vacuna 90657 INFLU */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='41' AND codigoHis='90708' AND his='0' AND cierre='1'  LIMIT 1;");
    if(count($aux) == 1)   
    {   $query = "UPDATE ".$bd.".vacuna SET cierre='0', his='1', fechaCierre=NULL WHERE idVacuna='41' AND codigoHis='90708' AND his='0' AND cierre='1'   LIMIT 1;";
        $conC->consultar($query);
    } /* 06-06-2017, BD. Tb "vacuna". Modificar Vacuna 90657 INFLU */
    
    $aux = $conC->datosTabla(" SELECT * FROM regla WHERE idRegla='24' AND tipoRegla='TAMIZAJE' LIMIT 1");
    if(count($aux) == 0)
    {   $query = "INSERT INTO sin_nino.regla (idRegla, tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia
            , tipoFrecuencia, edadMinima, edadMaxima, pesoMinimo, pesoMaximo) VALUES ('24', 'TAMIZAJE', 'Sifilis - PRA
            ', 'Tamizaje para Sifilis - PRA', '1', '4', '1', 'ANIO', '10', '99', '0', '99');";
        $conC->consultar($query);
        $query = "INSERT INTO sin_nino.regla (idRegla, tipoRegla, nombre, descripcion, cantidadMinima, cantidadMaxima, frecuencia
            , tipoFrecuencia, edadMinima, edadMaxima, pesoMinimo, pesoMaximo) VALUES ('25', 'TAMIZAJE', 'VIH - Prueba Rapida'
            , 'Tamizaje para VIH - PRA', '1', '4', '1', 'ANIO', '10', '99', '0', '99');";
        $conC->consultar($query);
    }   /* 26-11-2014, BD. Tb "regla". Se agrega reglas de Psicomotor */
             
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM regla LIKE 'sexo' "); 
    if(count($aux) == 0)   
    {   $query = "ALTER TABLE ".$bd.".regla 
            CHANGE COLUMN frecuencia frecuencia INT(11) NULL DEFAULT NULL ,
            ADD COLUMN sexo VARCHAR(1) NULL AFTER descripcion,
            ADD COLUMN tipoEdad VARCHAR(1) NULL AFTER edadMaxima;";
        $conC->consultar($query);
        $query = "UPDATE ".$bd.".regla SET sexo='A', tipoEdad='A' LIMIT 25;";        $conC->consultar($query);
        $query = "INSERT INTO ".$bd.".regla (idRegla, tipoRegla, nombre, descripcion, sexo, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, tipoEdad, pesoMinimo, pesoMaximo) 
            VALUES ('26', 'SSR', 'Control de Gestante', 'Control de Gestante', 'F', '6', '20', '7', 'DIA', '10', '49', 'A', '0', '99'),
                   ('27', 'SSR', 'Control de la Puerpera', 'Control de la Puerpera', 'F', '2', '4', '7', 'DIA', '10', '49', 'A', '0', '99');";
        $conC->consultar($query);        
        $query = "CREATE TABLE ".$bd.".m_triaje ( id INT(11) NOT NULL AUTO_INCREMENT, descripcion VARCHAR(128) NULL, PRIMARY KEY (id)); ";
        $conC->consultar($query);
    } /* 25-06-2017, BD. Tb "regla". Modificar Regla Campo Sexo */
    
    
    $aux = $conC->datosTabla(" SELECT DATA_TYPE FROM information_schema.columns WHERE TABLE_SCHEMA='sin_nino' AND TABLE_NAME='nino_cred' AND COLUMN_NAME='idNIno' AND DATA_TYPE='int' "); 
    if(count($aux) == 0)   
    {   $query = "ALTER TABLE ".$bd.".nino_cred 
            ENGINE = MyISAM ,CHANGE COLUMN `idNino` `idNino` INT(11) NOT NULL ;";
        $conC->consultar($query);        
        $query = "ALTER TABLE ".$bd.".nino_vacuna ENGINE = MyISAM ;";
        $conC->consultar($query);
    } /* 04-02-2018, BD. Tb "sin_nino". Modificar a MySAM */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna
        WHERE idVacuna='43' AND codigoHis='90716' LIMIT 1;");
    if(count($aux) == 0)   
    {   echo "hola";
        $query = "DELETE FROM ".$bd.".vacuna WHERE idVacuna='43';";
        $conC->consultar($query);        
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('43', '90716', 'Varicela 1ra Dosis', 'INYECION', '1', 'MES', '1', '12', '47', '44', '0', '0', '0', '0', '2018-03-01', '1', 0);";
        $conC->consultar($query);      
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('44', '90716', 'Varicela Vacunacion [CONTROL]', 'INYECION', '', 'MES', '12', '5', '60', '43', '0', '0', '0', '0', '2018-03-01', '1', 0);";
        $conC->consultar($query);      
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('45', '90716', 'Varicela Vacunacion [CONTROL]', 'INYECION', '', 'ANIO', '1', '5', '99', '43', '0', '0', '1', '0', '2018-03-01', '1', 0);";
        $conC->consultar($query);
    } /* 06-06-2017, BD. Tb "vacuna". Agregar Vacuna 90716 VARICELA */  
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_tipo_documento' "); 
    if(count($aux) == 0)
    {   $query = "CREATE TABLE ".$bd.".m_tipo_documento ( id INT(11) NOT NULL, sigla VARCHAR(8) NULL, descripcion VARCHAR(64) NULL,
              PRIMARY KEY (id)) ENGINE = InnoDB COMMENT = 'TipoDocumento';";
        $conC->consultar($query);
        $query = "INSERT INTO ".$bd.".m_tipo_documento (id, sigla, descripcion) VALUES ('1', 'DNI', 'Documento Nacional de Identidad')
            , ('2', 'CE', 'Carnet de Extranjeria'), ('3', 'PASS', 'Pasaporte'), ('4', 'DIE', 'Documento de Identidad Extranjero'), ('5', 'S/DOC', 'No sabe');";
        $conC->consultar($query);
    } /* 23-12-2018, BD. Tb "m_tipo_documento". Crear Tabla */  
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_condicion_trabajo' "); 
    if(count($aux) == 0)
    {   $query = "CREATE TABLE ".$bd.".m_condicion_trabajo ( id INT(11) NOT NULL, descripcion VARCHAR(64) NULL,
              PRIMARY KEY (id)) ENGINE = InnoDB COMMENT = 'CondicionTrabajo';";
        $conC->consultar($query);
        $query = "INSERT INTO ".$bd.".m_condicion_trabajo (id, descripcion) VALUES ('1', 'NOMBRADO'), ('2', 'CONTRATADO'), ('3', 'SERUM')
            , ('4', 'RESIDENTE'), ('5', 'INTERNO'), ('6', 'ALUMNO'), ('7', 'AGENTE COMUNITARIO'), ('8', 'OTROS'), ('9', 'DESTACADO');";
        $conC->consultar($query);
    } /* 23-12-2018, BD. Tb "m_condicion_trabajo". Crear Tabla */  
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_profesion' "); 
    if(count($aux) == 0)
    {   $query = "CREATE TABLE ".$bd.".m_profesion ( id CHAR(2) NOT NULL, descripcion VARCHAR(64) NULL,
              PRIMARY KEY (id)) ENGINE = InnoDB COMMENT = 'Profesion';";
        $conC->consultar($query);
        $query = "INSERT INTO ".$bd.".m_profesion (id, descripcion) VALUES ('01','MEDICO GENERAL'), ('02','MEDICO NEUMOLOGO')
            , ('03','MEDICO CARDIOLOGO'), ('04','MEDICO NEUROLOGO'), ('05','MEDICO GASTROENTEROLOGO'), ('06','MEDICO DERMATOLOGO')
            , ('07','MEDICO NEFROLOGO'), ('08','MEDICO ONCOLOGO'), ('09','MEDICO PSIQUIATRA'), ('10','MEDICO CIRUJANO GENERAL')
            , ('11','MEDICO TRAUMATOLOGO ORTOPEDISTA'), ('12','MEDICO OTORRINOLARINGOLOGO'), ('13','MEDICO OFTALMOLOGO')
            , ('14','MEDICO UROLOGO'), ('15','MEDICO CIRUJANO ONCOLOGO'), ('16','MEDICO PATOLOGO'), ('17','MEDICO OTROS CIRUGIA')
            , ('18','MEDICO PEDIATRA'), ('19','MEDICO GINECO-OBSTETRA'), ('20','MEDICO EPIDEMIOLOGO'), ('21','MEDICO RADIOLOGO')
            , ('22','MEDICO OTRAS ESPECIALIDADES'), ('23','OBSTETRIZ'), ('24','NUTRICIONISTA'), ('25','ODONTOLOGO')
            , ('26','QUIMICO FARMACEUTICO'), ('27','RADIOTERAPEUTA'), ('28','PSICOLOGO'), ('29','ENFERMERA (O)'), ('30','TECNOLOGO MEDICO')
            , ('31','BIOLOGO'), ('32','VETERINARIO'), ('33','ASISTENTA SOCIAL'), ('34','TECNICOS DE SALUD'), ('35','TECNICAS DE ENFERMERIA')
            , ('36','TECNICO DE LABORATORIO'), ('37','TECNICO RADIOLOGO'), ('38','TECNICO DENTAL'), ('39','TECNICO SANEAMIENTO AMBIENTAL')
            , ('40','AUXILIARES DE SALUD'), ('41','OTROS TECNICOS Y AUXILIARES'), ('42','OTROS NO ESPECIFICADOS'), ('43','INTERNO DE MEDICINA')
            , ('44','INTERNOS NO MEDICOS'), ('45','SERUMISTA MEDICO'), ('46','SERUMISTA ENFERMERA'), ('47','SERUMISTA ODONTOLOGO')
            , ('48','SERUMISTA OBSTETRIZ'), ('49','SERUMISTA SERVICIO SOCIAL'), ('50','SERUMISTA PSICOLOGO'), ('51','MEDICO RESIDENTE')
            , ('52','AGENTE COMUNITARIO'), ('53','ESTADISTICO');";
        $conC->consultar($query);
    } /* 23-12-2018, BD. Tb "m_profesion". Crear Tabla */  
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_financiamiento' "); 
    if(count($aux) == 0)
    {   $query = "ALTER TABLE ".$bd.".financiamiento RENAME TO ".$bd.".m_financiamiento ;";
        $conC->consultar($query);
    } /* 23-12-2018, BD. Tb "m_financiamiento". Modificar Tabla */ 
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_ups' "); 
    if(count($aux) == 0)
    {   $aux1 = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'ups' "); 
        if(count($aux1) == 1)
        {   $query = "ALTER TABLE ".$bd.".ups RENAME TO ".$bd.".m_ups ;";
            $conC->consultar($query);
        } 
    } /* 23-12-2018, BD. Tb "m_ups". Modificar Tabla */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM ".$bd.".nino LIKE 'dniValido' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE ".$bd.".nino ADD COLUMN dniValido INT(11) NULL DEFAULT 0 COMMENT '1: DNI Validado con Padron Nominal. 0: Si Validar' AFTER fechaActualizacion;";        
        $conC->consultar($query);   }   /* 24-12-2018, BD. Tb "nino". Campo "dniValido" */  
             
    $aux = $conC->datosTabla("SELECT * FROM ".$bd.".vacuna WHERE idVacuna='13' AND codigoHis='90657' AND edadMinima='6' LIMIT 1;");
    if(count($aux) == 0)  
    {   $query = "UPDATE ".$bd.".vacuna SET edadMinima='6' WHERE idVacuna='13' LIMIT 1;";        
        $conC->consultar($query);   }  /* 26-12-2018, BD. Tb "vacuna". Modificar edadMinima "INFLUENZA" */
    
    $aux = $conC->datosTabla("SELECT * FROM ".$bd.".vacuna WHERE idVacuna='14' AND codigoHis='90657' AND edadMinima='7' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "UPDATE ".$bd.".vacuna SET edadMinima='7' WHERE idVacuna='14' LIMIT 1;";        
        $conC->consultar($query);   }  /* 26-12-2018, BD. Tb "vacuna". Modificar edadMinima "INFLUENZA" */
             
    $aux = $conC->datosTabla("SELECT * FROM ".$bd.".vacuna WHERE idVacuna='28' AND codigoHis='90708' AND idVacunaParecida='20' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "UPDATE ".$bd.".vacuna SET idVacunaParecida='20' WHERE idVacuna='28' AND codigoHis='90708' LIMIT 1;";        
        $conC->consultar($query);   }  /* 26-12-2018, BD. Tb "vacuna". Modificar Vacuna 90708 SR */
             
    $aux = $conC->datosTabla("SHOW COLUMNS FROM ".$bd.".nino LIKE 'fechaNacimiento';");
    if($aux[0][1]=="datetime")    
    {   $query = "ALTER TABLE ".$bd.".nino CHANGE COLUMN fechaNacimiento fechaNacimiento DATE NULL DEFAULT NULL ;";        
        $conC->consultar($query);  }   /* 26-12-2018, BD. Tb "vacuna". Modificar Vacuna 90716 INFLUENZA */
             
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM ".$bd.".nino_suplemento LIKE 'presentacion' "); 
    if(count($aux) == 0)
    {   $query = "ALTER TABLE ".$bd.".nino_suplemento ADD COLUMN presentacion CHAR(2) NULL AFTER cantidad;";        
        $conC->consultar($query);  
        $query = "UPDATE ".$bd.".regla SET nombre='Suplemento 1m-5m', descripcion='Suplemento 1m-5m' WHERE idRegla='8';";   $conC->consultar($query);  
        $query = "UPDATE ".$bd.".regla SET nombre='Suplemento 6m-36m', descripcion='Suplemento 6m-36m' WHERE idRegla='9';"; $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='MN' WHERE idRegla='9';"; $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET cantidad='1' WHERE cantidad='30';";    $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET cantidad='2' WHERE cantidad='60';";    $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET cantidad='3' WHERE cantidad='90';";    $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='SF' WHERE idRegla='8' AND YEAR(fechaAtencion)<='2017';";  $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='HP' WHERE idRegla='8' AND YEAR(fechaAtencion)>='2018';";  $conC->consultar($query);   
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='VA' WHERE idRegla='10';";         $conC->consultar($query);  
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='SF' WHERE idRegla='11';";         $conC->consultar($query);  
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='ZN' WHERE idRegla='12';";         $conC->consultar($query);  
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='MZ' WHERE idRegla='16';";         $conC->consultar($query); 
    }   /* 12-01-2019, BD. Tb "nino_suplemento". Agregar Campo presentacion */  
        
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'm_etnia'; "); 
    if(count($aux) == 0)   
    {   $query = "CREATE TABLE ".$bd.".m_etnia ( idEtnia CHAR(2) NOT NULL, nombre VARCHAR(128) NULL, grupo CHAR(2) NULL, PRIMARY KEY (idEtnia));";
        $conC->consultar($query);
        $query = "INSERT INTO ".$bd.".m_etnia (idEtnia, nombre, grupo) VALUES ('58','Mestizo','1') ,('56','Afrodescendiente / Afroperuano, Negro, Zambo, Mulato','2') ,('40','Quechuas / caaris, chankas, chopccas, huancas, huaylas, kana, qeros.','3')
            ,('19','Jaqaru / Aimara central, Aimara tupino, Aru, Cauqui','3') ,('49','Uro / Uru','3') ,('02','Aimara / Aru','3'),('38','Ocaina / Dukaiya, Dyoxaiya','4'),('41','Resgaro / Resigero','4') ,('37','Nomatsigenga / Atiri, Nomachiguenga','4') ,('39','Omagua / Ariana, Omagua yete, Pariana, Umawa','4') ,('35','Nahua / Yora','4') ,('31','Matses / Mayoruna','4') 
            ,('32','Matsigenka / Machiguenga, Matsiganga, Matsiguenga','4') ,('34','Murui-muinani / Huitoto','4'),('42','Secoya / Aido pai','4') ,('36','Nanti / Matsigenka','4') ,('45','Shipibo-konibo / Chioeo-conivo, Joni, Shipibo','4'),('52','Yagua / Nihamwo, Yihamwo','4'),('53','Yaminahua / Jjamimawa, Yora, Yuminahua','4') ,('54','Yanesha / Amage, Amuesha, Amuexia','4'),('55','Yine / Chotaquiro, Pira, Piro, Simirinche','4'),('51','Wampis / Huambisa, Shuar-suampis','4'),('48','Urarina / Itucali, Itukale, Kacha edze','4') ,('44','Shawi / Campo piyapi, Chayawita, Tshahui','4') ,('01','Achuar / Achual, Achuale, Achuare','4')
            ,('46','Shiwilu / Jebero, Shiwila, Xebero','4') ,('47','Tikuna / Duuxugu, Ticuna','4') ,('43','Sharanahua / Onicoin, Yora','4'),('30','Mastanahua / Yora','4') ,('11','Chamicuro / Camikodlo, Chamicolos','4') ,('10','Cashinahua / Caxinahua, Huni kuin, Kachinahua','4'),('12','Chapra / Shapra','4'),('13','Chitonahua / Murunahua, Yora','4') ,('29','Mashco Piro','4') ,('09','Capanahua / Buskipani, Nuquencaibo','4'),('08','Bora / Booraa, Miamuna, Miranha, Miranya','4') ,('04','Arabela / Chiripuno, Tapueyocuaca','4') ,('03','Amahuaca / Amin waka, Yora','4') ,('05','Ashaninka / Campa ashaninka','4'),('06','Asheninka / Ashaninka del Gran Pajonal','4') ,('07','Awajn / Aents, Aguaruna','4'),('15','Harakbut / Amarakaeri, Arasaeri, Kisamberi, Pukirieri, Sapiteri, Toyoeri, Wachipaeri','4'),('14','Ese eja / Eseejja, Huarayo, Tiatinagua','4'),('25','Kukama kukamiria / Cocama cocamilla, Xibitaona','4')
            ,('16','Ikitu / Amacacore, Iquito, Quiturran','4'),('26','Madija / Culina, Kolina, Madiha','4'),('27','Maijuna / Maijiki, Orejon','4'),('28','Marinahua / Onocoin, Yora','4'),('23','Kandozi / Kandoshi','4'),('24','Kichwa / Inga, Quichua, Lamas, Llacuash','4'),('18','Isconahua / Isconawa, Iskobakebo','4'),('21','Kakataibo / Uni, Unibo','4'),('20','Jibaro / Jibaro del rio Corrientes, Shiwiar, Siwaro','4'),('22','Kakinte / Poyenisati','4'),('59','Asiatico Descendiente','6'),('60','Otros','99') ,('17','Inapari / Inamari, Inapari, Kushitireni','99'),('33','Muniche / Munichi','99')
            ,('50','Vacacocha / Abijira, Aushiri, Awshira, Aewa','99'),('57','Blanco','99');";
        $conC->consultar($query);
        $query = "ALTER TABLE ".$bd.".nino CHANGE COLUMN idEtnia idEtnia CHAR(2) NULL;"; $conC->consultar($query);
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='MN' WHERE idRegla='9' AND presentacion='';";     $conC->consultar($query); 
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='HP' WHERE idRegla='8' AND presentacion='';";     $conC->consultar($query); 
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='HP' WHERE idRegla='8' AND presentacion='MN';";     $conC->consultar($query);         
        $query = "UPDATE ".$bd.".nino SET idEtnia='12' WHERE idEtnia='58';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='58' WHERE idEtnia='80';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='45' WHERE idEtnia='61';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='05' WHERE idEtnia='17';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='55' WHERE idEtnia='71';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='06' WHERE idEtnia='18';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='53' WHERE idEtnia='69';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='43' WHERE idEtnia='59';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='59' WHERE idEtnia='73';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='03' WHERE idEtnia='10';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='10' WHERE idEtnia='26';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='32' WHERE idEtnia='42';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='30' WHERE idEtnia='44';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='07' WHERE idEtnia='19';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='01' WHERE idEtnia='9';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='44' WHERE idEtnia='60';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='51' WHERE idEtnia='67';"; $conC->consultar($query);$query = "UPDATE ".$bd.".nino SET idEtnia='02' WHERE idEtnia='1';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='02' WHERE idEtnia='2';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='03' WHERE idEtnia='3';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='04' WHERE idEtnia='4';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='05' WHERE idEtnia='5';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='06' WHERE idEtnia='6';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='07' WHERE idEtnia='7';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='08' WHERE idEtnia='8';"; $conC->consultar($query); $query = "UPDATE ".$bd.".nino SET idEtnia='58' WHERE idEtnia>'60';"; $conC->consultar($query); 
        $query = "DROP TABLE ".$bd.".etnia;"; $conC->consultar($query); 
        
    }/* 19-01-2019, BD. Tb "m_etnia". Crear Tabla */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM vacuna WHERE idVacuna='46' AND codigoHis='90670' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "DELETE FROM ".$bd.".vacuna WHERE idVacuna='46';";        $conC->consultar($query);        
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('46', '90670', 'Neumococo 60A+', 'INYECION', '', 'ANIO', '12', '60', '99', '', '0', '0', '0', '0', '2019-01-01', 1, 0);";
        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET repetir=0 WHERE idVacuna>'0';" ;        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET repetir=1 WHERE idVacuna='25' OR idVacuna='26' OR idVacuna='27' OR idVacuna='40';" ;
        $conC->consultar($query);
        $query = "DELETE FROM ".$bd.".vacuna WHERE idVacuna='40';";        $conC->consultar($query);         
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, fechaCierre, his, repetir) 
            VALUES ('40', '90657', 'Influencia FNI 2a-4a', 'INYECION', '', 'MES', '12', '24', '59', '25', '0', '0', '0', '1', '2011-01-01', '2016-12-31', 1, 1);";
        $conC->consultar($query);
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='MN' WHERE idRegla='9' AND presentacion='';";     $conC->consultar($query); 
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='HP' WHERE idRegla='8' AND presentacion='';";     $conC->consultar($query); 
        $query = "UPDATE ".$bd.".nino_suplemento SET presentacion='HP' WHERE idRegla='8' AND presentacion='MN';";     $conC->consultar($query);
    } /* 24-01-2019, BD. Tb "vacuna". Agregar Vacuna 90669 NEUMOCOCO 60A */ 
    
    $aux = $conC->datosTabla(" SHOW TABLES FROM ".$bd." LIKE 'envios'; "); 
    if(count($aux) == 0)   
    {   $query = "CREATE TABLE ".$bd.".envios ( id int(11) NOT NULL AUTO_INCREMENT, cod_2000 varchar(9) DEFAULT NULL, tipo int(11) DEFAULT NULL COMMENT '1: CRED, 2: VACUNA', anioProduccion int(11) DEFAULT NULL, mesProduccion int(11) DEFAULT NULL, idUsuario int(11) DEFAULT NULL, fechaEmision date DEFAULT NULL, horaEmision time DEFAULT NULL, PRIMARY KEY (id) ) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=latin1;";        
            $conC->consultar($query);        
    } /* 04-02-2019, BD. Tb "envios". Crear Tabla */
    
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM ".$bd.".nino_cred LIKE 'idEnvio' ");
    if(count($aux) == 0)   
    {   $query = "ALTER TABLE ".$bd.".nino_cred ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER mmnConsumido;";         $conC->consultar($query);  
        $query = "ALTER TABLE ".$bd.".nino_domicilio ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER fechaRegistro;";  $conC->consultar($query);  
        $query = "ALTER TABLE ".$bd.".nino_psicomotor ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER fechaRegistro;"; $conC->consultar($query);  
        $query = "ALTER TABLE ".$bd.".nino_suplemento ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER estado;";        $conC->consultar($query);  
        $query = "ALTER TABLE ".$bd.".nino_tamizaje ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER numeroControl;";   $conC->consultar($query);  
        $query = "ALTER TABLE ".$bd.".nino_vacuna ADD COLUMN idEnvio INT(11) NULL DEFAULT 0 AFTER estado;";            $conC->consultar($query);
    } /* 04-02-2019, BD. Tb "nino_cred y otros". Crear Campo idEnvio */
     
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='24' AND codigoHis='90744' AND edadMaxima='7' LIMIT 1;");
    if(count($aux) == 0)
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='7', nombre='HVB 24H - 7D' WHERE idVacuna='24' AND codigoHis='90744' AND edadMaxima!='7';" ;
        $conC->consultar($query);        
    } /* 01-04-2019, BD. Tb "nino_vacuna". Modificar Vacuna 90744 RN 7D*/
     
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='47' AND codigoHis='90715' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "DELETE FROM ".$bd.".vacuna WHERE idVacuna='47';";        $conC->consultar($query);        
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('47', '90715', 'TDAP Gestantes', 'INYECION', '', 'ANIO', '1', '10', '99', '', '0', '0', '1', '0', '2019-01-01', '1', 1);";
        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET codigoHis='90670' WHERE codigoHis='90669';" ;        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET codigoHis='90658' WHERE codigoHis='90657' AND (idVacuna='26' OR idVacuna='27');" ;        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET codigoHis='90714' WHERE codigoHis='Z2781' AND (idVacuna='32' OR idVacuna='33' OR idVacuna='34');" ;        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET codigoHis='90746' WHERE codigoHis='90744' AND (idVacuna='29' OR idVacuna='30' OR idVacuna='31');" ;
    } /* 08-06-2019, BD. Tb "vacuna". Agregar Vacuna 90715 TDAP Gestantes */
             
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='47' AND repetir='0' LIMIT 1;");
    if(count($aux) == 1) 
    {   $query = "UPDATE ".$bd.".vacuna SET repetir=1 WHERE (idVacuna='25' AND codigoHis='90657') OR (idVacuna='26' AND codigoHis='90658') OR (idVacuna='27' AND codigoHis='90658') OR (idVacuna='40' AND codigoHis='90657') OR (idVacuna='47' AND codigoHis='90715');" ;        $conC->consultar($query);
        $query = "UPDATE ".$bd.".vacuna SET repetir=0 WHERE ((idVacuna='1' OR idVacuna='2' OR idVacuna='3') AND codigoHis='90723') OR ((idVacuna='4' OR idVacuna='5') AND codigoHis='90713') OR (idVacuna='6' AND codigoHis='90712') OR ((idVacuna='7' OR idVacuna='8') AND codigoHis='90670') OR (idVacuna='9' AND codigoHis='90585') OR (idVacuna='10' AND codigoHis='90744') OR ((idVacuna='11' OR idVacuna='12') AND codigoHis='90681') OR (idVacuna='13' AND codigoHis='90657') OR (idVacuna='14' AND codigoHis='90657') OR (idVacuna='15' AND codigoHis='90670') OR (idVacuna='16' AND codigoHis='90701') OR (idVacuna='17' AND codigoHis='90717') OR (idVacuna='18' AND codigoHis='90707') OR (idVacuna='19' AND codigoHis='90701') OR (idVacuna='20' AND codigoHis='90707') OR (idVacuna='21' AND codigoHis='90712') OR (idVacuna='22' AND codigoHis='90712') OR (idVacuna='23' AND codigoHis='90712') OR (idVacuna='24' AND codigoHis='90744') OR (idVacuna='28' AND codigoHis='90708') OR (idVacuna='29' AND codigoHis='90744') OR (idVacuna='30' AND codigoHis='90744') OR (idVacuna='31' AND codigoHis='90744') OR (idVacuna='32' AND codigoHis='90714') OR (idVacuna='33' AND codigoHis='90714') OR (idVacuna='34' AND codigoHis='90714') OR (idVacuna='35' AND codigoHis='90670') OR (idVacuna='36' AND codigoHis='90713') OR (idVacuna='37' AND codigoHis='90712') OR (idVacuna='38' AND codigoHis='90712') OR (idVacuna='39' AND codigoHis='90717') OR (idVacuna='41' AND codigoHis='90708') OR (idVacuna='42' AND codigoHis='90657') OR (idVacuna='43' AND codigoHis='90716') OR (idVacuna='44' AND codigoHis='90716') OR (idVacuna='45' AND codigoHis='90716') OR (idVacuna='46' AND codigoHis='90670');" ;        $conC->consultar($query);
    } /* 08-12-2019, BD. Tb "vacuna". Modificar campos repetir*/
     
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='48' AND codigoHis='90670' LIMIT 1;");
    if(count($aux) == 0)   
    {   $query = "DELETE FROM ".$bd.".vacuna WHERE idVacuna='48';";        $conC->consultar($query);        
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('48', '90670', 'Neumococo 5a - 59a', 'INYECION', '', 'ANIO', '12', '5', '59', '', '0', '0', '1', '0', '2020-01-01', '1', 0);";
        $conC->consultar($query);
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('49', '90649', '1ra Vacuna VPH', 'INYECION', '1', 'ANIO', '1', '9', '13', '', '0', '0', '0', '0', '2020-01-01', '1', 0);";
        $conC->consultar($query);
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
            VALUES ('50', '90649', '2da Vacuna VPH', 'INYECION', '2', 'ANIO', '1', '9', '13', '', '49', '0', '0', '0', '2020-01-01', '1', 0);";
        $conC->consultar($query);
        
    } /* 09-09-2020, BD. Tb "vacuna". Agregar Vacuna 90715 TDAP Gestantes */
                   
    $aux = $conC->datosTabla(" SHOW COLUMNS FROM nino LIKE 'cnv' ");
    if(count($aux) == 0)
    {   $query = "ALTER TABLE nino ADD COLUMN cnv VARCHAR(32) NULL AFTER dni;";
        $conC->consultar($query);   
        $query = "ALTER TABLE nino ADD COLUMN telefono2 VARCHAR(32) NULL AFTER telefono;";
        $conC->consultar($query);       
    }   /* 11-09-2020, BD. Tb "usuario". Campo "colegiatura" */         
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='43' AND codigoHis='90716' AND dosis='1' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET dosis='1', nombre='Varicela 1ra Dosis', rango='1', edadMaxima='47' WHERE idVacuna='43' AND codigoHis='90716' AND dosis='';" ;        $conC->consultar($query);
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
                              VALUES ('51',   '90716', 'Varicela 2da Dosis', 'INYECION', '2', 'MES',      '1',   '13', '47', '', '43', '0', '0', '0', '2021-05-01', 1, 0);";
        $conC->consultar($query);        
        
    }  /* 06-06-2021, BD. Tb "vacuna". Modificar Vacuna 90716 VARICELA */      
    
    $aux = $conC->datosTabla("SHOW COLUMNS FROM ".$bd.".nino WHERE Type LIKE 'INT%' AND Field='telefono' ;");
    if(count($aux) == 1)    
    {   $query = "ALTER TABLE sin_nino.nino CHANGE COLUMN telefono telefono VARCHAR(32) NULL DEFAULT NULL COMMENT 'Fijo o Celular' ;";
        $conC->consultar($query);       
    }  /* 02-11-2022, BD. Tb "nino". campo "telefono" Cambiar a tipo INT */
    
    $aux = $conC->datosTabla("SHOW COLUMNS FROM ".$bd.".regla LIKE 'adicional' "); 
    if(count($aux) == 0)  
    {   $query = "ALTER TABLE sin_nino.regla ADD COLUMN adicional VARCHAR(45) NULL COMMENT 'VARIABLE ADICIONAL PARA CONDICIONES' AFTER tipoEdad;";
        $conC->consultar($query); 
        $query = "INSERT INTO sin_nino.regla (idRegla, tipoRegla, nombre, descripcion, sexo, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, tipoEdad, adicional, pesoMinimo, pesoMaximo) VALUES ('28', 'SUPLEMENTO', 'Suplemento 24m-35m', 'Suplemento 24m-35m', 'A', '1', '6', '1', 'MES', '24', '36', 'M', 'b6', '0', '30');";
        $conC->consultar($query); 
        $query = "INSERT INTO sin_nino.regla (idRegla, tipoRegla, nombre, descripcion, sexo, cantidadMinima, cantidadMaxima, frecuencia, tipoFrecuencia, edadMinima, edadMaxima, tipoEdad, adicional, pesoMinimo, pesoMaximo) VALUES ('29', 'SUPLEMENTO', 'Suplemento 36m-59m', 'Suplemento 36m-59m', 'A', '1', '6', '1', 'MES', '36', '60', 'M', 'b6', '0', '30');";
        $conC->consultar($query); 
        $query = "UPDATE sin_nino.regla SET nombre = 'Suplemento 6m-23m', descripcion = 'Suplemento 6m-23m', cantidadMinima = '1', cantidadMaxima = '6', edadMaxima = '24', tipoEdad = 'M', adicional = 'b6' WHERE (idRegla = '9');";
        $conC->consultar($query); 
        $query = "UPDATE sin_nino.regla SET cantidadMinima = '1', edadMaxima = '6', tipoEdad = 'M', adicional = 'a6' WHERE (idRegla = '8');";
        $conC->consultar($query); 
        $query = "UPDATE sin_nino.regla SET tipoEdad = 'M' WHERE (idRegla = '16');";
        $conC->consultar($query); 
    }  /* 05-11-2022, BD. Tb "regla". Agregar campo "adicional" y Modificar datos de las entregas de suplementacin */
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna WHERE idVacuna='52' AND codigoHis='90585' LIMIT 1;");
    if(count($aux) == 0)  
    {   $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
                    VALUES ('52',   '90585', 'Vacuna BCG', 'INYECION', '', 'ANIO',      '1',   '1', '4', '9', '0', '0', '0', '0', '2016-01-01', 1, 0);";
        $conC->consultar($query);   
        
    }  /* 16-02-2023,  BD. Tb "vacuna". Agregar Vacuna BGC en 1a a 5a*/
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE idVacuna='1' AND codigoHis='90723' AND edadMaxima='83' AND dosis='1' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='83' WHERE idVacuna='1' AND codigoHis='90723' AND dosis='1' ;" ;  
        $conC->consultar($query);  
    }  /* 04-03-2023, BD. Tb "nino_vacuna". Modificar Vacuna 90723 Dosis 1 hasta 7 aos*/   
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE idVacuna='2' AND codigoHis='90723' AND edadMaxima='83' AND dosis='2' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='83' WHERE idVacuna='2' AND codigoHis='90723' AND dosis='2' ;" ;  
        $conC->consultar($query);  
    }  /* 04-03-2023, BD. Tb "nino_vacuna". Modificar Vacuna 90723 Dosis 2 hasta 7 aos*/   
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE idVacuna='3' AND codigoHis='90723' AND edadMaxima='83' AND dosis='3' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='83' WHERE idVacuna='3' AND codigoHis='90723' AND dosis='3' ;" ;  
        $conC->consultar($query);  
    }  /* 04-03-2023, BD. Tb "nino_vacuna". Modificar Vacuna 90723 Dosis 3 hasta 7 aos*/   
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE idVacuna='16' AND codigoHis='90701' AND edadMaxima='83' AND dosis='DA' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='83' WHERE idVacuna='16' AND codigoHis='90701' AND dosis='DA' ;" ;  
        $conC->consultar($query);  
    }  /* 05-03-2023, BD. Tb "nino_vacuna". Modificar Vacuna 90701 Dosis 3 hasta 7 aos*/   
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE idVacuna='19' AND codigoHis='90701' AND edadMaxima='83' AND dosis='DA' LIMIT 1;");
    if(count($aux) == 0)    
    {   $query = "UPDATE ".$bd.".vacuna SET edadMaxima='83' WHERE idVacuna='19' AND codigoHis='90701' AND dosis='DA' ;" ;  
        $conC->consultar($query);  
    }  /* 05-03-2023, BD. Tb "nino_vacuna". Modificar Vacuna 90701 Dosis 3 hasta 7 aos*/   
    
    $aux = $conC->datosTabla("SELECT idVacuna, codigoHis FROM ".$bd.".vacuna 
        WHERE (idVacuna='53' AND codigoHis='90633.01') OR (idVacuna='54' AND codigoHis='90713')  LIMIT 1;");
    if(count($aux) == 0)  
    {   $query = "INSERT INTO vacuna (idVacuna, codigoHis,      nombre,       tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima, idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
                              VALUES ('53',   '90633.01', 'Vacuna HVA (Hep.A)', 'INYECION',    '',       'MES',      '1',      '15',        '59',           '0',            '0',                 '0',       '0',    '0', '2016-01-01', 1,   0);";
        $conC->consultar($query);   
        $query = "INSERT INTO vacuna (idVacuna, codigoHis, nombre, tipoAplicacion, dosis, tipoFrecuencia, rango, edadMinima, edadMaxima,    idVacunaParecida, idVacunaDependencia, coMorbilidad, lab2, cierre, fechaInicio, his, repetir) 
                              VALUES (   '54', '90713', 'IPV 1r. Refuerzo ', 'INYECION', 'DA', 'MES',      '1',     '18',       '83',        '21',              '36',                   '1',       '0',   '0',  '2023-01-01', 1,    0);";
        $conC->consultar($query);   
        
    }  /* 17-06-2023,  BD. Tb "vacuna". Agregar Vacuna HVA Hepatitis A e IPV 1er Refuerzo*/
             
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
?>









