<script>
	function vacuna_lista()
	{	$.ajax(
		{	url : 'controlador/control_vacuna.php',
			data : {accion:'Listado'},
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function vacuna_nuevo_formulario()
	{	$.ajax(
		{	url : 'controlador/control_vacuna.php',
			data : "accion=Nuevo",
			success : function(respuesta)
			{	$('#capa1').html(respuesta);	}
		});
	}

	function editar_vacuna(idVacuna)
	{	$.ajax(
		{	url : "controlador/control_vacuna.php",
			data : "accion=Edicion&idVacuna=" + idVacuna,
			success : function(respuesta)
			{	$("#capa1").html(respuesta);	}
		});
	}

	function eliminar_vacuna(idVacuna, obj)
	{	if(confirm("\u00BFSeguro de Eliminar?"))
		{	$("#loading_vacuna").show();
			$.ajax(
			{	url : "controlador/control_vacuna.php",
				data : "accion=Eliminar&idVacuna=" + idVacuna,
				success : function(respuesta)
				{	alert("Registro Eliminado");
					var tr = obj.parentNode.parentNode.parentNode.parentNode;
					var table = tr.parentNode;
					table.removeChild(tr);
					$("#loading_vacuna").hide();
				}
			});
		}
	}

</script>
<br />
<!-- Default datatable -->
<div class="widget row-fluid">
<div class="span12">
	<div class="navbar">
		<div class="navbar-inner">
			<h6><strong>Listado de vacuna</strong></h6>
			<div class="nav pull-right">
				<a class="dropdown-toggle navbar-icon" data-toggle="dropdown" href="javascript:void(0)">
					<i class="icon-cog"></i></a>
				<ul class="dropdown-menu pull-right">
					<li><a onclick="vacuna_nuevo_formulario()" href="javascript:void(0)">
							<i class="icon-plus"></i>Nuevo vacuna</a></li>
				</ul>
			</div>
			<div id="loading_vacuna" class="loading pull-right hide">
				<span>Cargando</span>
				<img src="img/elements/loaders/6s.gif" alt="" />
			</div>
		</div>
	</div>
	<div class="well body">
		<div class="table-overflow">
		<table class="table table-striped table-bordered" id="data-table">
			<thead>
				<tr>
					<th>CIE10</th>
					<th>Nombre</th>
					<th>Dosis</th>
					<th>Frec.</th>
					<th>Rango</th>
					<th>Edad-</th>
					<th>Edad+</th>
					<th>Parecida</th>
					<th>Depend</th>
					<th>DepParec</th>
					<th>CoMorbil</th>
					<th>Lab2</th>
					<th>Cierre</th>
					<th class="tam80">Fec. Inicio</th>
					<th class="tam80">Fec. Cierre</th>
					<th>HIS</th>
					<th>Rep.</th>
					<th class="no-sort tam50">Acci&oacute;n</th>
				</tr>
			</thead>
			<tbody>
				<?php	$i = 0;
				  foreach($datos as $item)	{	$i++;
					if($item->getIdVacuna()!=0)	{?>
					  <tr class="gradeX">
						<td><?php echo $item->getCodigoHis();?></td>
						<td><?php echo $item->getNombre();?></td>
						<td><?php echo $item->getDosis();?></td>
						<td><?php echo $item->getTipoFrecuencia();?></td>
						<td><?php echo $item->getRango();?></td>
						<td><?php echo $item->getEdadMinima();?></td>
						<td><?php echo $item->getEdadMaxima();?></td>
						<td><?php echo $item->getIdVacunaParecida();?></td>
						<td><?php echo $item->getIdVacunaDependencia();?></td>
						<td><?php echo $item->getDependenciaParecida();?></td>
						<td><?php echo $item->getCoMorbilidad();?></td>
						<td><?php echo $item->getLab2();?></td>
						<td><?php echo $item->getCierre();?></td>
						<td><?php echo $item->getFechaInicio();?></td>
						<td><?php echo $item->getFechaCierre();?></td>
						<td><?php echo $item->getHis();?></td>
						<td><?php echo $item->getRepetir();?></td>
						<td class="align-center">
							<ul class="table-controls">
								<li><a onclick="editar_vacuna(<?php echo $item->getIdVacuna();?>)" title="Editar vacuna" class="tip" href="javascript:void(0)">
										<i class="icon-edit"></i></a> </li>
								<li><a onclick="eliminar_vacuna(<?php echo $item->getIdVacuna();?>, this)" title="Eliminar vacuna" class="tip" href="javascript:void(0)">
										<i class="icon-remove"></i></a> </li>
							</ul>
						</td>
					</tr>
				<?php } 	}?>
			</tbody>
		</table><br /><br />
		</div>
	</div>
</div>
</div>
<!-- /default datatable -->

<script>
	$("#data-table").dataTable({
		"bJQueryUI": false,
		"bAutoWidth": false,
		"sPaginationType": "full_numbers",
		//"sDom": '<"datatable-header"fl>t<"datatable-footer"ip>',
		"oLanguage": {
			"sSearch": "<span>Buscar registro:</span> _INPUT_",
			"sLengthMenu": "<span>Mostrar:</span> _MENU_",
			"oPaginate": { "sFirst": "Primero", "sLast": "ltimo", "sNext": ">", "sPrevious": "<" }
		},
		"aoColumnDefs" : [{ "bSortable" : false, "aTargets" : [ "no-sort" ] }]
		//, "aaSorting": [[ 2, "desc" ]]
	});
</script>